// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : CrossPlanTaskHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-27 14:50:41
 *
 ******************************************************************************/
var CrossPlanTaskHead_TaskNr = grmi.NewField("TaskNr", "[CrossPlanTaskHead].TaskNr", "tasknr", grmi.TypeInt)
var CrossPlanTaskHead_FromPlantNr = grmi.NewField("FromPlantNr", "[CrossPlanTaskHead].FromPlantNr", "fromplantnr", grmi.TypeInt)
var CrossPlanTaskHead_ToPlantNr = grmi.NewField("ToPlantNr", "[CrossPlanTaskHead].ToPlantNr", "toplantnr", grmi.TypeInt)
var CrossPlanTaskHead_ArtId = grmi.NewField("ArtId", "[CrossPlanTaskHead].ArtId", "artid", grmi.TypeString)
var CrossPlanTaskHead_PlanQty = grmi.NewField("PlanQty", "[CrossPlanTaskHead].PlanQty", "planqty", grmi.TypeInt)
var CrossPlanTaskHead_ActQty = grmi.NewField("ActQty", "[CrossPlanTaskHead].ActQty", "actqty", grmi.TypeInt)
var CrossPlanTaskHead_Status = grmi.NewField("Status", "[CrossPlanTaskHead].Status", "status", grmi.TypeInt)
var CrossPlanTaskHead_OrderType = grmi.NewField("OrderType", "[CrossPlanTaskHead].OrderType", "ordertype", grmi.TypeString)
var CrossPlanTaskHead_PlanType = grmi.NewField("PlanType", "[CrossPlanTaskHead].PlanType", "plantype", grmi.TypeString)
var CrossPlanTaskHead_SchedType = grmi.NewField("SchedType", "[CrossPlanTaskHead].SchedType", "schedtype", grmi.TypeString)
var CrossPlanTaskHead_BusinessObjType = grmi.NewField("BusinessObjType", "[CrossPlanTaskHead].BusinessObjType", "businessobjtype", grmi.TypeString)
var CrossPlanTaskHead_BusinessObjId = grmi.NewField("BusinessObjId", "[CrossPlanTaskHead].BusinessObjId", "businessobjid", grmi.TypeString)
var CrossPlanTaskHead_PlanStartTime = grmi.NewField("PlanStartTime", "[CrossPlanTaskHead].PlanStartTime", "planstarttime", grmi.TypeDateTime)
var CrossPlanTaskHead_PlanEndTime = grmi.NewField("PlanEndTime", "[CrossPlanTaskHead].PlanEndTime", "planendtime", grmi.TypeDateTime)
var CrossPlanTaskHead_LastPo = grmi.NewField("LastPo", "[CrossPlanTaskHead].LastPo", "lastpo", grmi.TypeString)
var CrossPlanTaskHead_ReleaseQty = grmi.NewField("ReleaseQty", "[CrossPlanTaskHead].ReleaseQty", "releaseqty", grmi.TypeString)
var CrossPlanTaskHead_StartTime = grmi.NewField("StartTime", "[CrossPlanTaskHead].StartTime", "starttime", grmi.TypeDateTime)
var CrossPlanTaskHead_AccomplishTime = grmi.NewField("AccomplishTime", "[CrossPlanTaskHead].AccomplishTime", "accomplishtime", grmi.TypeDateTime)
var CrossPlanTaskHead_ErrorMsg = grmi.NewField("ErrorMsg", "[CrossPlanTaskHead].ErrorMsg", "errormsg", grmi.TypeString)
var CrossPlanTaskHead_Priority = grmi.NewField("Priority", "[CrossPlanTaskHead].Priority", "priority", grmi.TypeInt)
var CrossPlanTaskHead_ProjectId = grmi.NewField("ProjectId", "[CrossPlanTaskHead].ProjectId", "projectid", grmi.TypeString)
var CrossPlanTaskHead_CtrlStr1 = grmi.NewField("CtrlStr1", "[CrossPlanTaskHead].CtrlStr1", "ctrlstr1", grmi.TypeString)
var CrossPlanTaskHead_CtrlStr2 = grmi.NewField("CtrlStr2", "[CrossPlanTaskHead].CtrlStr2", "ctrlstr2", grmi.TypeString)
var CrossPlanTaskHead_CtrlStr3 = grmi.NewField("CtrlStr3", "[CrossPlanTaskHead].CtrlStr3", "ctrlstr3", grmi.TypeString)
var CrossPlanTaskHead_CtrlStr4 = grmi.NewField("CtrlStr4", "[CrossPlanTaskHead].CtrlStr4", "ctrlstr4", grmi.TypeString)
var CrossPlanTaskHead_CtrInt1 = grmi.NewField("CtrInt1", "[CrossPlanTaskHead].CtrInt1", "ctrint1", grmi.TypeInt)
var CrossPlanTaskHead_CtrInt2 = grmi.NewField("CtrInt2", "[CrossPlanTaskHead].CtrInt2", "ctrint2", grmi.TypeInt)
var CrossPlanTaskHead_CtrInt3 = grmi.NewField("CtrInt3", "[CrossPlanTaskHead].CtrInt3", "ctrint3", grmi.TypeInt)
var CrossPlanTaskHead_CtrInt4 = grmi.NewField("CtrInt4", "[CrossPlanTaskHead].CtrInt4", "ctrint4", grmi.TypeInt)
var CrossPlanTaskHead_LastModify = grmi.NewField("LastModify", "[CrossPlanTaskHead].LastModify", "lastmodify", grmi.TypeDateTime)
var CrossPlanTaskHead_LastUser = grmi.NewField("LastUser", "[CrossPlanTaskHead].LastUser", "lastuser", grmi.TypeString)
var CrossPlanTaskHead_CreateTime = grmi.NewField("CreateTime", "[CrossPlanTaskHead].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CrossPlanTaskHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-27 14:50:41
 *
 ******************************************************************************/
var CrossPlanTaskHead = grmi.NewEntity(
	"CrossPlanTaskHead",
	func() interface{} { return &model.CrossPlanTaskHead{} },
	map[string]grmi.Field{
		CrossPlanTaskHead_TaskNr.Name:          CrossPlanTaskHead_TaskNr,
		CrossPlanTaskHead_FromPlantNr.Name:     CrossPlanTaskHead_FromPlantNr,
		CrossPlanTaskHead_ToPlantNr.Name:       CrossPlanTaskHead_ToPlantNr,
		CrossPlanTaskHead_ArtId.Name:           CrossPlanTaskHead_ArtId,
		CrossPlanTaskHead_PlanQty.Name:         CrossPlanTaskHead_PlanQty,
		CrossPlanTaskHead_ActQty.Name:          CrossPlanTaskHead_ActQty,
		CrossPlanTaskHead_Status.Name:          CrossPlanTaskHead_Status,
		CrossPlanTaskHead_OrderType.Name:       CrossPlanTaskHead_OrderType,
		CrossPlanTaskHead_PlanType.Name:        CrossPlanTaskHead_PlanType,
		CrossPlanTaskHead_SchedType.Name:       CrossPlanTaskHead_SchedType,
		CrossPlanTaskHead_BusinessObjType.Name: CrossPlanTaskHead_BusinessObjType,
		CrossPlanTaskHead_BusinessObjId.Name:   CrossPlanTaskHead_BusinessObjId,
		CrossPlanTaskHead_PlanStartTime.Name:   CrossPlanTaskHead_PlanStartTime,
		CrossPlanTaskHead_PlanEndTime.Name:     CrossPlanTaskHead_PlanEndTime,
		CrossPlanTaskHead_LastPo.Name:          CrossPlanTaskHead_LastPo,
		CrossPlanTaskHead_ReleaseQty.Name:      CrossPlanTaskHead_ReleaseQty,
		CrossPlanTaskHead_StartTime.Name:       CrossPlanTaskHead_StartTime,
		CrossPlanTaskHead_AccomplishTime.Name:  CrossPlanTaskHead_AccomplishTime,
		CrossPlanTaskHead_ErrorMsg.Name:        CrossPlanTaskHead_ErrorMsg,
		CrossPlanTaskHead_Priority.Name:        CrossPlanTaskHead_Priority,
		CrossPlanTaskHead_ProjectId.Name:       CrossPlanTaskHead_ProjectId,
		CrossPlanTaskHead_CtrlStr1.Name:        CrossPlanTaskHead_CtrlStr1,
		CrossPlanTaskHead_CtrlStr2.Name:        CrossPlanTaskHead_CtrlStr2,
		CrossPlanTaskHead_CtrlStr3.Name:        CrossPlanTaskHead_CtrlStr3,
		CrossPlanTaskHead_CtrlStr4.Name:        CrossPlanTaskHead_CtrlStr4,
		CrossPlanTaskHead_CtrInt1.Name:         CrossPlanTaskHead_CtrInt1,
		CrossPlanTaskHead_CtrInt2.Name:         CrossPlanTaskHead_CtrInt2,
		CrossPlanTaskHead_CtrInt3.Name:         CrossPlanTaskHead_CtrInt3,
		CrossPlanTaskHead_CtrInt4.Name:         CrossPlanTaskHead_CtrInt4,
		CrossPlanTaskHead_LastModify.Name:      CrossPlanTaskHead_LastModify,
		CrossPlanTaskHead_LastUser.Name:        CrossPlanTaskHead_LastUser,
		CrossPlanTaskHead_CreateTime.Name:      CrossPlanTaskHead_CreateTime,
	},
	[]string{},
	[]string{"FromPlantNr", "ToPlantNr", "ArtId", "PlanQty", "ActQty", "Status", "OrderType", "PlanType", "SchedType", "BusinessObjType", "BusinessObjId", "PlanStartTime", "PlanEndTime", "LastPo", "ReleaseQty", "StartTime", "AccomplishTime", "ErrorMsg", "Priority", "ProjectId", "CtrlStr1", "CtrlStr2", "CtrlStr3", "CtrlStr4", "CtrInt1", "CtrInt2", "CtrInt3", "CtrInt4", "LastUser"})
