// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCComValueCheckRule的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
var OPCComValueCheckRule_PlantNr = grmi.NewField("PlantNr", "OPCComValueCheckRule.PlantNr", "plantnr", grmi.TypeInt)
var OPCComValueCheckRule_Id = grmi.NewField("Id", "OPCComValueCheckRule.Id", "id", grmi.TypeInt)
var OPCComValueCheckRule_CheckOperationId = grmi.NewField("CheckOperationId", "OPCComValueCheckRule.CheckOperationId", "checkoperationid", grmi.TypeInt)
var OPCComValueCheckRule_CheckPO = grmi.NewField("CheckPO", "OPCComValueCheckRule.CheckPO", "checkpo", grmi.TypeString)
var OPCComValueCheckRule_CheckStepNo = grmi.NewField("CheckStepNo", "OPCComValueCheckRule.CheckStepNo", "checkstepno", grmi.TypeInt)
var OPCComValueCheckRule_CheckStepDesc = grmi.NewField("CheckStepDesc", "OPCComValueCheckRule.CheckStepDesc", "checkstepdesc", grmi.TypeString)
var OPCComValueCheckRule_CheckPos = grmi.NewField("CheckPos", "OPCComValueCheckRule.CheckPos", "checkpos", grmi.TypeInt)
var OPCComValueCheckRule_CheckProductId = grmi.NewField("CheckProductId", "OPCComValueCheckRule.CheckProductId", "checkproductid", grmi.TypeString)
var OPCComValueCheckRule_CheckWorkPlaceNr = grmi.NewField("CheckWorkPlaceNr", "OPCComValueCheckRule.CheckWorkPlaceNr", "checkworkplacenr", grmi.TypeInt)
var OPCComValueCheckRule_MaxCheckTime = grmi.NewField("MaxCheckTime", "OPCComValueCheckRule.MaxCheckTime", "maxchecktime", grmi.TypeInt)
var OPCComValueCheckRule_LastModify = grmi.NewField("LastModify", "OPCComValueCheckRule.LastModify", "lastmodify", grmi.TypeDateTime)
var OPCComValueCheckRule_LastUser = grmi.NewField("LastUser", "OPCComValueCheckRule.LastUser", "lastuser", grmi.TypeString)
var OPCComValueCheckRule_CreateTime = grmi.NewField("CreateTime", "OPCComValueCheckRule.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCComValueCheckRule的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
var OPCComValueCheckRule = grmi.NewEntity(
	"OPCComValueCheckRule",
	func() interface{} { return &model.OPCComValueCheckRule{} },
	map[string]grmi.Field{
		OPCComValueCheckRule_PlantNr.Name:          OPCComValueCheckRule_PlantNr,
		OPCComValueCheckRule_Id.Name:               OPCComValueCheckRule_Id,
		OPCComValueCheckRule_CheckOperationId.Name: OPCComValueCheckRule_CheckOperationId,
		OPCComValueCheckRule_CheckPO.Name:          OPCComValueCheckRule_CheckPO,
		OPCComValueCheckRule_CheckStepNo.Name:      OPCComValueCheckRule_CheckStepNo,
		OPCComValueCheckRule_CheckStepDesc.Name:    OPCComValueCheckRule_CheckStepDesc,
		OPCComValueCheckRule_CheckPos.Name:         OPCComValueCheckRule_CheckPos,
		OPCComValueCheckRule_CheckProductId.Name:   OPCComValueCheckRule_CheckProductId,
		OPCComValueCheckRule_CheckWorkPlaceNr.Name: OPCComValueCheckRule_CheckWorkPlaceNr,
		OPCComValueCheckRule_MaxCheckTime.Name:     OPCComValueCheckRule_MaxCheckTime,
		OPCComValueCheckRule_LastModify.Name:       OPCComValueCheckRule_LastModify,
		OPCComValueCheckRule_LastUser.Name:         OPCComValueCheckRule_LastUser,
		OPCComValueCheckRule_CreateTime.Name:       OPCComValueCheckRule_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"CheckOperationId", "CheckPO", "CheckStepNo", "CheckStepDesc", "CheckPos", "CheckProductId", "CheckWorkPlaceNr", "MaxCheckTime", "LastUser"})
