// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCComValueCheckRuleDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
var OPCComValueCheckRuleDetail_PlantNr = grmi.NewField("PlantNr", "OPCComValueCheckRuleDetail.PlantNr", "plantnr", grmi.TypeInt)
var OPCComValueCheckRuleDetail_Id = grmi.NewField("Id", "OPCComValueCheckRuleDetail.Id", "id", grmi.TypeInt)
var OPCComValueCheckRuleDetail_DetailId = grmi.NewField("DetailId", "OPCComValueCheckRuleDetail.DetailId", "detailid", grmi.TypeInt)
var OPCComValueCheckRuleDetail_CheckOperationId = grmi.NewField("CheckOperationId", "OPCComValueCheckRuleDetail.CheckOperationId", "checkoperationid", grmi.TypeInt)
var OPCComValueCheckRuleDetail_CheckPO = grmi.NewField("CheckPO", "OPCComValueCheckRuleDetail.CheckPO", "checkpo", grmi.TypeString)
var OPCComValueCheckRuleDetail_CheckStepNo = grmi.NewField("CheckStepNo", "OPCComValueCheckRuleDetail.CheckStepNo", "checkstepno", grmi.TypeInt)
var OPCComValueCheckRuleDetail_CheckStepDesc = grmi.NewField("CheckStepDesc", "OPCComValueCheckRuleDetail.CheckStepDesc", "checkstepdesc", grmi.TypeString)
var OPCComValueCheckRuleDetail_CheckPos = grmi.NewField("CheckPos", "OPCComValueCheckRuleDetail.CheckPos", "checkpos", grmi.TypeInt)
var OPCComValueCheckRuleDetail_CheckProductId = grmi.NewField("CheckProductId", "OPCComValueCheckRuleDetail.CheckProductId", "checkproductid", grmi.TypeString)
var OPCComValueCheckRuleDetail_CheckWorkPlaceNr = grmi.NewField("CheckWorkPlaceNr", "OPCComValueCheckRuleDetail.CheckWorkPlaceNr", "checkworkplacenr", grmi.TypeInt)
var OPCComValueCheckRuleDetail_ObjectStepNo = grmi.NewField("ObjectStepNo", "OPCComValueCheckRuleDetail.ObjectStepNo", "objectstepno", grmi.TypeInt)
var OPCComValueCheckRuleDetail_ObjectPos = grmi.NewField("ObjectPos", "OPCComValueCheckRuleDetail.ObjectPos", "objectpos", grmi.TypeInt)
var OPCComValueCheckRuleDetail_ObjectOPCDesc = grmi.NewField("ObjectOPCDesc", "OPCComValueCheckRuleDetail.ObjectOPCDesc", "objectopcdesc", grmi.TypeString)
var OPCComValueCheckRuleDetail_OperatorSimbol = grmi.NewField("OperatorSimbol", "OPCComValueCheckRuleDetail.OperatorSimbol", "operatorsimbol", grmi.TypeString)
var OPCComValueCheckRuleDetail_CheckValue = grmi.NewField("CheckValue", "OPCComValueCheckRuleDetail.CheckValue", "checkvalue", grmi.TypeString)
var OPCComValueCheckRuleDetail_DoWhenOK = grmi.NewField("DoWhenOK", "OPCComValueCheckRuleDetail.DoWhenOK", "dowhenok", grmi.TypeString)
var OPCComValueCheckRuleDetail_DoWhenNOK = grmi.NewField("DoWhenNOK", "OPCComValueCheckRuleDetail.DoWhenNOK", "dowhennok", grmi.TypeString)
var OPCComValueCheckRuleDetail_LastModify = grmi.NewField("LastModify", "OPCComValueCheckRuleDetail.LastModify", "lastmodify", grmi.TypeDateTime)
var OPCComValueCheckRuleDetail_LastUser = grmi.NewField("LastUser", "OPCComValueCheckRuleDetail.LastUser", "lastuser", grmi.TypeString)
var OPCComValueCheckRuleDetail_CreateTime = grmi.NewField("CreateTime", "OPCComValueCheckRuleDetail.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCComValueCheckRuleDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
var OPCComValueCheckRuleDetail = grmi.NewEntity(
	"OPCComValueCheckRuleDetail",
	func() interface{} { return &model.OPCComValueCheckRuleDetail{} },
	map[string]grmi.Field{
		OPCComValueCheckRuleDetail_PlantNr.Name:          OPCComValueCheckRuleDetail_PlantNr,
		OPCComValueCheckRuleDetail_Id.Name:               OPCComValueCheckRuleDetail_Id,
		OPCComValueCheckRuleDetail_DetailId.Name:         OPCComValueCheckRuleDetail_DetailId,
		OPCComValueCheckRuleDetail_CheckOperationId.Name: OPCComValueCheckRuleDetail_CheckOperationId,
		OPCComValueCheckRuleDetail_CheckPO.Name:          OPCComValueCheckRuleDetail_CheckPO,
		OPCComValueCheckRuleDetail_CheckStepNo.Name:      OPCComValueCheckRuleDetail_CheckStepNo,
		OPCComValueCheckRuleDetail_CheckStepDesc.Name:    OPCComValueCheckRuleDetail_CheckStepDesc,
		OPCComValueCheckRuleDetail_CheckPos.Name:         OPCComValueCheckRuleDetail_CheckPos,
		OPCComValueCheckRuleDetail_CheckProductId.Name:   OPCComValueCheckRuleDetail_CheckProductId,
		OPCComValueCheckRuleDetail_CheckWorkPlaceNr.Name: OPCComValueCheckRuleDetail_CheckWorkPlaceNr,
		OPCComValueCheckRuleDetail_ObjectStepNo.Name:     OPCComValueCheckRuleDetail_ObjectStepNo,
		OPCComValueCheckRuleDetail_ObjectPos.Name:        OPCComValueCheckRuleDetail_ObjectPos,
		OPCComValueCheckRuleDetail_ObjectOPCDesc.Name:    OPCComValueCheckRuleDetail_ObjectOPCDesc,
		OPCComValueCheckRuleDetail_OperatorSimbol.Name:   OPCComValueCheckRuleDetail_OperatorSimbol,
		OPCComValueCheckRuleDetail_CheckValue.Name:       OPCComValueCheckRuleDetail_CheckValue,
		OPCComValueCheckRuleDetail_DoWhenOK.Name:         OPCComValueCheckRuleDetail_DoWhenOK,
		OPCComValueCheckRuleDetail_DoWhenNOK.Name:        OPCComValueCheckRuleDetail_DoWhenNOK,
		OPCComValueCheckRuleDetail_LastModify.Name:       OPCComValueCheckRuleDetail_LastModify,
		OPCComValueCheckRuleDetail_LastUser.Name:         OPCComValueCheckRuleDetail_LastUser,
		OPCComValueCheckRuleDetail_CreateTime.Name:       OPCComValueCheckRuleDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"CheckOperationId", "CheckPO", "CheckStepNo", "CheckStepDesc", "CheckPos", "CheckProductId", "CheckWorkPlaceNr", "ObjectStepNo", "ObjectPos", "ObjectOPCDesc", "OperatorSimbol", "CheckValue", "DoWhenOK", "DoWhenNOK", "LastUser"})
