// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PrintBasicRuleInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-16 18:01:44
 *
 ******************************************************************************/
var PrintBasicRuleInfo_PlantNr = grmi.NewField("PlantNr", "[PrintBasicRuleInfo].PlantNr", "plantnr", grmi.TypeInt)
var PrintBasicRuleInfo_OperationId = grmi.NewField("OperationId", "[PrintBasicRuleInfo].OperationId", "operationid", grmi.TypeInt)
var PrintBasicRuleInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[PrintBasicRuleInfo].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var PrintBasicRuleInfo_MainCodeName = grmi.NewField("MainCodeName", "[PrintBasicRuleInfo].MainCodeName", "maincodename", grmi.TypeString)
var PrintBasicRuleInfo_TemplateFile = grmi.NewField("TemplateFile", "[PrintBasicRuleInfo].TemplateFile", "templatefile", grmi.TypeString)
var PrintBasicRuleInfo_PO = grmi.NewField("PO", "[PrintBasicRuleInfo].PO", "po", grmi.TypeString)
var PrintBasicRuleInfo_StepNo = grmi.NewField("StepNo", "[PrintBasicRuleInfo].StepNo", "stepno", grmi.TypeInt)
var PrintBasicRuleInfo_StepDesc = grmi.NewField("StepDesc", "[PrintBasicRuleInfo].StepDesc", "stepdesc", grmi.TypeString)
var PrintBasicRuleInfo_ProjectId = grmi.NewField("ProjectId", "[PrintBasicRuleInfo].ProjectId", "projectid", grmi.TypeString)
var PrintBasicRuleInfo_TemplateChooseModel = grmi.NewField("TemplateChooseModel", "[PrintBasicRuleInfo].TemplateChooseModel", "templatechoosemodel", grmi.TypeString)
var PrintBasicRuleInfo_DependPO = grmi.NewField("DependPO", "[PrintBasicRuleInfo].DependPO", "dependpo", grmi.TypeString)
var PrintBasicRuleInfo_DependStepNo = grmi.NewField("DependStepNo", "[PrintBasicRuleInfo].DependStepNo", "dependstepno", grmi.TypeInt)
var PrintBasicRuleInfo_DependRuleId = grmi.NewField("DependRuleId", "[PrintBasicRuleInfo].DependRuleId", "dependruleid", grmi.TypeInt)
var PrintBasicRuleInfo_DependValue = grmi.NewField("DependValue", "[PrintBasicRuleInfo].DependValue", "dependvalue", grmi.TypeString)
var PrintBasicRuleInfo_Action = grmi.NewField("Action", "[PrintBasicRuleInfo].Action", "action", grmi.TypeString)
var PrintBasicRuleInfo_WhetherCheckContent = grmi.NewField("WhetherCheckContent", "[PrintBasicRuleInfo].WhetherCheckContent", "whethercheckcontent", grmi.TypeInt)
var PrintBasicRuleInfo_PrinterId = grmi.NewField("PrinterId", "[PrintBasicRuleInfo].PrinterId", "printerid", grmi.TypeString)
var PrintBasicRuleInfo_TemplateId = grmi.NewField("TemplateId", "[PrintBasicRuleInfo].TemplateId", "templateid", grmi.TypeString)
var PrintBasicRuleInfo_TemplateType = grmi.NewField("TemplateType", "[PrintBasicRuleInfo].TemplateType", "templatetype", grmi.TypeString)
var PrintBasicRuleInfo_Qty = grmi.NewField("Qty", "[PrintBasicRuleInfo].Qty", "qty", grmi.TypeInt)
var PrintBasicRuleInfo_CollectScanBarcode = grmi.NewField("CollectScanBarcode", "[PrintBasicRuleInfo].CollectScanBarcode", "collectscanbarcode", grmi.TypeBool)
var PrintBasicRuleInfo_ScanOperationId = grmi.NewField("ScanOperationId", "[PrintBasicRuleInfo].ScanOperationId", "scanoperationid", grmi.TypeInt)
var PrintBasicRuleInfo_LabelDetailPos = grmi.NewField("LabelDetailPos", "[PrintBasicRuleInfo].LabelDetailPos", "labeldetailpos", grmi.TypeString)
var PrintBasicRuleInfo_ScanPo = grmi.NewField("ScanPo", "[PrintBasicRuleInfo].ScanPo", "scanpo", grmi.TypeString)
var PrintBasicRuleInfo_LastModify = grmi.NewField("LastModify", "[PrintBasicRuleInfo].LastModify", "lastmodify", grmi.TypeDateTime)
var PrintBasicRuleInfo_LastUser = grmi.NewField("LastUser", "[PrintBasicRuleInfo].LastUser", "lastuser", grmi.TypeString)
var PrintBasicRuleInfo_CreateTime = grmi.NewField("CreateTime", "[PrintBasicRuleInfo].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PrintBasicRuleInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-16 18:01:44
 *
 ******************************************************************************/
var PrintBasicRuleInfo = grmi.NewEntity(
	"PrintBasicRuleInfo",
	func() interface{} { return &model.PrintBasicRuleInfo{} },
	map[string]grmi.Field{
		PrintBasicRuleInfo_PlantNr.Name:             PrintBasicRuleInfo_PlantNr,
		PrintBasicRuleInfo_OperationId.Name:         PrintBasicRuleInfo_OperationId,
		PrintBasicRuleInfo_WorkPlaceNr.Name:         PrintBasicRuleInfo_WorkPlaceNr,
		PrintBasicRuleInfo_MainCodeName.Name:        PrintBasicRuleInfo_MainCodeName,
		PrintBasicRuleInfo_TemplateFile.Name:        PrintBasicRuleInfo_TemplateFile,
		PrintBasicRuleInfo_PO.Name:                  PrintBasicRuleInfo_PO,
		PrintBasicRuleInfo_StepNo.Name:              PrintBasicRuleInfo_StepNo,
		PrintBasicRuleInfo_StepDesc.Name:            PrintBasicRuleInfo_StepDesc,
		PrintBasicRuleInfo_ProjectId.Name:           PrintBasicRuleInfo_ProjectId,
		PrintBasicRuleInfo_TemplateChooseModel.Name: PrintBasicRuleInfo_TemplateChooseModel,
		PrintBasicRuleInfo_DependPO.Name:            PrintBasicRuleInfo_DependPO,
		PrintBasicRuleInfo_DependStepNo.Name:        PrintBasicRuleInfo_DependStepNo,
		PrintBasicRuleInfo_DependRuleId.Name:        PrintBasicRuleInfo_DependRuleId,
		PrintBasicRuleInfo_DependValue.Name:         PrintBasicRuleInfo_DependValue,
		PrintBasicRuleInfo_Action.Name:              PrintBasicRuleInfo_Action,
		PrintBasicRuleInfo_WhetherCheckContent.Name: PrintBasicRuleInfo_WhetherCheckContent,
		PrintBasicRuleInfo_PrinterId.Name:           PrintBasicRuleInfo_PrinterId,
		PrintBasicRuleInfo_TemplateId.Name:          PrintBasicRuleInfo_TemplateId,
		PrintBasicRuleInfo_TemplateType.Name:        PrintBasicRuleInfo_TemplateType,
		PrintBasicRuleInfo_Qty.Name:                 PrintBasicRuleInfo_Qty,
		PrintBasicRuleInfo_CollectScanBarcode.Name:  PrintBasicRuleInfo_CollectScanBarcode,
		PrintBasicRuleInfo_ScanOperationId.Name:          PrintBasicRuleInfo_ScanOperationId,
		PrintBasicRuleInfo_LabelDetailPos.Name:      PrintBasicRuleInfo_LabelDetailPos,
		PrintBasicRuleInfo_ScanPo.Name:              PrintBasicRuleInfo_ScanPo,
		PrintBasicRuleInfo_LastModify.Name:          PrintBasicRuleInfo_LastModify,
		PrintBasicRuleInfo_LastUser.Name:            PrintBasicRuleInfo_LastUser,
		PrintBasicRuleInfo_CreateTime.Name:          PrintBasicRuleInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "ProjectId", "TemplateChooseModel", "DependPO", "DependStepNo", "DependRuleId", "DependValue", "Action", "WhetherCheckContent", "PrinterId", "TemplateId", "TemplateType", "Qty", "CollectScanBarcode", "ScanOperationId", "ScanPo", "LabelDetailPos", "LastUser"})
