// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : RPDashBoardLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
var RPDashBoardLst_PlantNr = grmi.NewField("PlantNr", "[RP_DashBoardLst].PlantNr", "plantnr", grmi.TypeInt)
var RPDashBoardLst_DashboardId = grmi.NewField("DashboardId", "[RP_DashBoardLst].DashboardId", "dashboardid", grmi.TypeInt)
var RPDashBoardLst_Pos = grmi.NewField("Pos", "[RP_DashBoardLst].Pos", "pos", grmi.TypeInt)
var RPDashBoardLst_ParamName = grmi.NewField("ParamName", "[RP_DashBoardLst].ParamName", "paramname", grmi.TypeString)
var RPDashBoardLst_Descr = grmi.NewField("Descr", "[RP_DashBoardLst].Descr", "descr", grmi.TypeString)
var RPDashBoardLst_IntParam1 = grmi.NewField("IntParam1", "[RP_DashBoardLst].IntParam1", "intparam1", grmi.TypeInt)
var RPDashBoardLst_IntParam2 = grmi.NewField("IntParam2", "[RP_DashBoardLst].IntParam2", "intparam2", grmi.TypeInt)
var RPDashBoardLst_FloatParam1 = grmi.NewField("FloatParam1", "[RP_DashBoardLst].FloatParam1", "floatparam1", grmi.TypeFloat64)
var RPDashBoardLst_FloatParam2 = grmi.NewField("FloatParam2", "[RP_DashBoardLst].FloatParam2", "floatparam2", grmi.TypeFloat64)
var RPDashBoardLst_CharParam1 = grmi.NewField("CharParam1", "[RP_DashBoardLst].CharParam1", "charparam1", grmi.TypeString)
var RPDashBoardLst_CharParam2 = grmi.NewField("CharParam2", "[RP_DashBoardLst].CharParam2", "charparam2", grmi.TypeString)
var RPDashBoardLst_CharParam3 = grmi.NewField("CharParam3", "[RP_DashBoardLst].CharParam3", "charparam3", grmi.TypeString)
var RPDashBoardLst_CharParam4 = grmi.NewField("CharParam4", "[RP_DashBoardLst].CharParam4", "charparam4", grmi.TypeString)
var RPDashBoardLst_IntParam3 = grmi.NewField("IntParam3", "[RP_DashBoardLst].IntParam3", "intparam3", grmi.TypeInt)
var RPDashBoardLst_IntParam4 = grmi.NewField("IntParam4", "[RP_DashBoardLst].IntParam4", "intparam4", grmi.TypeInt)
var RPDashBoardLst_IntParam5 = grmi.NewField("IntParam5", "[RP_DashBoardLst].IntParam5", "intparam5", grmi.TypeInt)
var RPDashBoardLst_LastModify = grmi.NewField("LastModify", "[RP_DashBoardLst].LastModify", "lastmodify", grmi.TypeDateTime)
var RPDashBoardLst_LastUser = grmi.NewField("LastUser", "[RP_DashBoardLst].LastUser", "lastuser", grmi.TypeString)
var RPDashBoardLst_CreateTime = grmi.NewField("CreateTime", "[RP_DashBoardLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : RPDashBoardLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
var RPDashBoardLst = grmi.NewEntity(
	"RP_DashBoardLst",
	func() interface{} { return &model.RPDashBoardLst{} },
	map[string]grmi.Field{
		RPDashBoardLst_PlantNr.Name:     RPDashBoardLst_PlantNr,
		RPDashBoardLst_DashboardId.Name: RPDashBoardLst_DashboardId,
		RPDashBoardLst_Pos.Name:         RPDashBoardLst_Pos,
		RPDashBoardLst_ParamName.Name:   RPDashBoardLst_ParamName,
		RPDashBoardLst_Descr.Name:       RPDashBoardLst_Descr,
		RPDashBoardLst_IntParam1.Name:   RPDashBoardLst_IntParam1,
		RPDashBoardLst_IntParam2.Name:   RPDashBoardLst_IntParam2,
		RPDashBoardLst_FloatParam1.Name: RPDashBoardLst_FloatParam1,
		RPDashBoardLst_FloatParam2.Name: RPDashBoardLst_FloatParam2,
		RPDashBoardLst_CharParam1.Name:  RPDashBoardLst_CharParam1,
		RPDashBoardLst_CharParam2.Name:  RPDashBoardLst_CharParam2,
		RPDashBoardLst_CharParam3.Name:  RPDashBoardLst_CharParam3,
		RPDashBoardLst_CharParam4.Name:  RPDashBoardLst_CharParam4,
		RPDashBoardLst_IntParam3.Name:   RPDashBoardLst_IntParam3,
		RPDashBoardLst_IntParam4.Name:   RPDashBoardLst_IntParam4,
		RPDashBoardLst_IntParam5.Name:   RPDashBoardLst_IntParam5,
		RPDashBoardLst_LastModify.Name:  RPDashBoardLst_LastModify,
		RPDashBoardLst_LastUser.Name:    RPDashBoardLst_LastUser,
		RPDashBoardLst_CreateTime.Name:  RPDashBoardLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ParamName", "Descr", "IntParam1", "IntParam2", "FloatParam1", "FloatParam2", "CharParam1", "CharParam2", "CharParam3", "CharParam4", "IntParam3", "IntParam4", "IntParam5", "LastUser"})
