// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkOrderIdentifyRuleDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-30 14:27:09
 *
 ******************************************************************************/
var WorkOrderIdentifyRuleDetail_PlantNr = grmi.NewField("PlantNr", "[WorkOrderIdentifyRuleDetail].PlantNr", "plantnr", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_CollerationBasis = grmi.NewField("CollerationBasis", "[WorkOrderIdentifyRuleDetail].CollerationBasis", "collerationbasis", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_CollerationOperationId = grmi.NewField("CollerationOperationId", "[WorkOrderIdentifyRuleDetail].CollerationOperationId", "collerationoperationid", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_IdentifyRuleId = grmi.NewField("IdentifyRuleId", "[WorkOrderIdentifyRuleDetail].IdentifyRuleId", "identifyruleid", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_PO = grmi.NewField("PO", "[WorkOrderIdentifyRuleDetail].PO", "po", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_OpenPlan = grmi.NewField("OpenPlan", "[WorkOrderIdentifyRuleDetail].OpenPlan", "openplan", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_IdentifyPlan = grmi.NewField("IdentifyPlan", "[WorkOrderIdentifyRuleDetail].IdentifyPlan", "identifyplan", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_CombinePlan = grmi.NewField("CombinePlan", "[WorkOrderIdentifyRuleDetail].CombinePlan", "combineplan", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_CollerationRuleId = grmi.NewField("CollerationRuleId", "[WorkOrderIdentifyRuleDetail].CollerationRuleId", "collerationruleid", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_MapBy = grmi.NewField("MapBy", "[WorkOrderIdentifyRuleDetail].MapBy", "mapby", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_StartCheckPos = grmi.NewField("StartCheckPos", "[WorkOrderIdentifyRuleDetail].StartCheckPos", "startcheckpos", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_CheckLength = grmi.NewField("CheckLength", "[WorkOrderIdentifyRuleDetail].CheckLength", "checklength", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_Formula = grmi.NewField("Formula", "[WorkOrderIdentifyRuleDetail].Formula", "formula", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_OperatorSimbol = grmi.NewField("OperatorSimbol", "[WorkOrderIdentifyRuleDetail].OperatorSimbol", "operatorsimbol", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_CheckObject = grmi.NewField("CheckObject", "[WorkOrderIdentifyRuleDetail].CheckObject", "checkobject", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_AssociatedObject = grmi.NewField("AssociatedObject", "[WorkOrderIdentifyRuleDetail].AssociatedObject", "associatedobject", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_AssociatedAttrCode = grmi.NewField("AssociatedAttrCode", "[WorkOrderIdentifyRuleDetail].AssociatedAttrCode", "associatedattrcode", grmi.TypeInt)
var WorkOrderIdentifyRuleDetail_AssociatedAttrValue = grmi.NewField("AssociatedAttrValue", "[WorkOrderIdentifyRuleDetail].AssociatedAttrValue", "associatedattrvalue", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_AssociatedProjectId = grmi.NewField("AssociatedProjectId", "[WorkOrderIdentifyRuleDetail].AssociatedProjectId", "associatedprojectid", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_LastModify = grmi.NewField("LastModify", "[WorkOrderIdentifyRuleDetail].LastModify", "lastmodify", grmi.TypeDateTime)
var WorkOrderIdentifyRuleDetail_LastUser = grmi.NewField("LastUser", "[WorkOrderIdentifyRuleDetail].LastUser", "lastuser", grmi.TypeString)
var WorkOrderIdentifyRuleDetail_CreateTime = grmi.NewField("CreateTime", "[WorkOrderIdentifyRuleDetail].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkOrderIdentifyRuleDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-30 14:27:09
 *
 ******************************************************************************/
var WorkOrderIdentifyRuleDetail = grmi.NewEntity(
	"WorkOrderIdentifyRuleDetail",
	func() interface{} { return &model.WorkOrderIdentifyRuleDetail{} },
	map[string]grmi.Field{
		WorkOrderIdentifyRuleDetail_PlantNr.Name:                WorkOrderIdentifyRuleDetail_PlantNr,
		WorkOrderIdentifyRuleDetail_CollerationBasis.Name:       WorkOrderIdentifyRuleDetail_CollerationBasis,
		WorkOrderIdentifyRuleDetail_CollerationOperationId.Name: WorkOrderIdentifyRuleDetail_CollerationOperationId,
		WorkOrderIdentifyRuleDetail_IdentifyRuleId.Name:         WorkOrderIdentifyRuleDetail_IdentifyRuleId,
		WorkOrderIdentifyRuleDetail_PO.Name:                     WorkOrderIdentifyRuleDetail_PO,
		WorkOrderIdentifyRuleDetail_OpenPlan.Name:               WorkOrderIdentifyRuleDetail_OpenPlan,
		WorkOrderIdentifyRuleDetail_IdentifyPlan.Name:           WorkOrderIdentifyRuleDetail_IdentifyPlan,
		WorkOrderIdentifyRuleDetail_CombinePlan.Name:            WorkOrderIdentifyRuleDetail_CombinePlan,
		WorkOrderIdentifyRuleDetail_CollerationRuleId.Name:      WorkOrderIdentifyRuleDetail_CollerationRuleId,
		WorkOrderIdentifyRuleDetail_MapBy.Name:                  WorkOrderIdentifyRuleDetail_MapBy,
		WorkOrderIdentifyRuleDetail_StartCheckPos.Name:          WorkOrderIdentifyRuleDetail_StartCheckPos,
		WorkOrderIdentifyRuleDetail_CheckLength.Name:            WorkOrderIdentifyRuleDetail_CheckLength,
		WorkOrderIdentifyRuleDetail_Formula.Name:                WorkOrderIdentifyRuleDetail_Formula,
		WorkOrderIdentifyRuleDetail_OperatorSimbol.Name:         WorkOrderIdentifyRuleDetail_OperatorSimbol,
		WorkOrderIdentifyRuleDetail_CheckObject.Name:            WorkOrderIdentifyRuleDetail_CheckObject,
		WorkOrderIdentifyRuleDetail_AssociatedObject.Name:       WorkOrderIdentifyRuleDetail_AssociatedObject,
		WorkOrderIdentifyRuleDetail_AssociatedAttrCode.Name:     WorkOrderIdentifyRuleDetail_AssociatedAttrCode,
		WorkOrderIdentifyRuleDetail_AssociatedAttrValue.Name: WorkOrderIdentifyRuleDetail_AssociatedAttrValue,
		WorkOrderIdentifyRuleDetail_AssociatedProjectId.Name:    WorkOrderIdentifyRuleDetail_AssociatedProjectId,
		WorkOrderIdentifyRuleDetail_LastModify.Name:             WorkOrderIdentifyRuleDetail_LastModify,
		WorkOrderIdentifyRuleDetail_LastUser.Name:               WorkOrderIdentifyRuleDetail_LastUser,
		WorkOrderIdentifyRuleDetail_CreateTime.Name:             WorkOrderIdentifyRuleDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "OpenPlan", "IdentifyPlan", "CombinePlan", "CollerationRuleId", "MapBy", "StartCheckPos", "CheckLength", "Formula", "OperatorSimbol", "CheckObject", "AssociatedObject", "AssociatedAttrCode", "AssociatedAttrValue", "AssociatedProjectId", "LastUser"})
