// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkShift的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-07-15 16:11:24
 *
 ******************************************************************************/
var WorkShift_PlantNr = grmi.NewField("PlantNr", "[WorkShift].PlantNr", "plantnr", grmi.TypeInt)
var WorkShift_WorkShiftNr = grmi.NewField("WorkShiftNr", "[WorkShift].WorkShiftNr", "workshiftnr", grmi.TypeInt)
var WorkShift_Descr = grmi.NewField("Descr", "[WorkShift].Descr", "descr", grmi.TypeString)
var WorkShift_Abrev = grmi.NewField("Abrev", "[WorkShift].Abrev", "abrev", grmi.TypeString)
var WorkShift_HexColor = grmi.NewField("HexColor", "[WorkShift].HexColor", "hexcolor", grmi.TypeString)
var WorkShift_PlanPersonQty = grmi.NewField("PlanPersonQty", "[WorkShift].PlanPersonQty", "planpersonqty", grmi.TypeInt)
var WorkShift_PlanEfficiency = grmi.NewField("PlanEfficiency", "[WorkShift].PlanEfficiency", "planefficiency", grmi.TypeFloat64)
var WorkShift_SBeg = grmi.NewField("SBeg", "[WorkShift].S_Beg", "sbeg", grmi.TypeInt)
var WorkShift_SEnd = grmi.NewField("SEnd", "[WorkShift].S_End", "send", grmi.TypeInt)
var WorkShift_SLen = grmi.NewField("SLen", "[WorkShift].S_Len", "slen", grmi.TypeInt)
var WorkShift_SB1Beg = grmi.NewField("SB1Beg", "[WorkShift].S_B1_Beg", "sb1beg", grmi.TypeInt)
var WorkShift_SB1End = grmi.NewField("SB1End", "[WorkShift].S_B1_End", "sb1end", grmi.TypeInt)
var WorkShift_SB2Beg = grmi.NewField("SB2Beg", "[WorkShift].S_B2_Beg", "sb2beg", grmi.TypeInt)
var WorkShift_SB2End = grmi.NewField("SB2End", "[WorkShift].S_B2_End", "sb2end", grmi.TypeInt)
var WorkShift_SB3Beg = grmi.NewField("SB3Beg", "[WorkShift].S_B3_Beg", "sb3beg", grmi.TypeInt)
var WorkShift_SB3End = grmi.NewField("SB3End", "[WorkShift].S_B3_End", "sb3end", grmi.TypeInt)
var WorkShift_SB4Beg = grmi.NewField("SB4Beg", "[WorkShift].S_B4_Beg", "sb4beg", grmi.TypeInt)
var WorkShift_SB4End = grmi.NewField("SB4End", "[WorkShift].S_B4_End", "sb4end", grmi.TypeInt)
var WorkShift_SB5Beg = grmi.NewField("SB5Beg", "[WorkShift].S_B5_Beg", "sb5beg", grmi.TypeInt)
var WorkShift_SB5End = grmi.NewField("SB5End", "[WorkShift].S_B5_End", "sb5end", grmi.TypeInt)
var WorkShift_SB6Beg = grmi.NewField("SB6Beg", "[WorkShift].S_B6_Beg", "sb6beg", grmi.TypeInt)
var WorkShift_SB6End = grmi.NewField("SB6End", "[WorkShift].S_B6_End", "sb6end", grmi.TypeInt)
var WorkShift_SB7Beg = grmi.NewField("SB7Beg", "[WorkShift].S_B7_Beg", "sb7beg", grmi.TypeInt)
var WorkShift_SB7End = grmi.NewField("SB7End", "[WorkShift].S_B7_End", "sb7end", grmi.TypeInt)
var WorkShift_SB8Beg = grmi.NewField("SB8Beg", "[WorkShift].S_B8_Beg", "sb8beg", grmi.TypeInt)
var WorkShift_SB8End = grmi.NewField("SB8End", "[WorkShift].S_B8_End", "sb8end", grmi.TypeInt)
var WorkShift_SB9Beg = grmi.NewField("SB9Beg", "[WorkShift].S_B9_Beg", "sb9beg", grmi.TypeInt)
var WorkShift_SB9End = grmi.NewField("SB9End", "[WorkShift].S_B9_End", "sb9end", grmi.TypeInt)
var WorkShift_SB10Beg = grmi.NewField("SB10Beg", "[WorkShift].S_B10_Beg", "sb10beg", grmi.TypeInt)
var WorkShift_SB10End = grmi.NewField("SB10End", "[WorkShift].S_B10_End", "sb10end", grmi.TypeInt)
var WorkShift_EnableCrossDayToggle = grmi.NewField("EnableCrossDayToggle", "[WorkShift].EnableCrossDayToggle", "enablecrossdaytoggle", grmi.TypeBool)
var WorkShift_LastModify = grmi.NewField("LastModify", "[WorkShift].LastModify", "lastmodify", grmi.TypeDateTime)
var WorkShift_LastUser = grmi.NewField("LastUser", "[WorkShift].LastUser", "lastuser", grmi.TypeString)
var WorkShift_CreateTime = grmi.NewField("CreateTime", "[WorkShift].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkShift的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-07-15 16:11:24
 *
 ******************************************************************************/
var WorkShift = grmi.NewEntity(
	"WorkShift",
	func() interface{} { return &model.WorkShift{} },
	map[string]grmi.Field{
		WorkShift_PlantNr.Name:              WorkShift_PlantNr,
		WorkShift_WorkShiftNr.Name:          WorkShift_WorkShiftNr,
		WorkShift_Descr.Name:                WorkShift_Descr,
		WorkShift_Abrev.Name:                WorkShift_Abrev,
		WorkShift_HexColor.Name:             WorkShift_HexColor,
		WorkShift_PlanPersonQty.Name:        WorkShift_PlanPersonQty,
		WorkShift_PlanEfficiency.Name:       WorkShift_PlanEfficiency,
		WorkShift_SBeg.Name:                 WorkShift_SBeg,
		WorkShift_SEnd.Name:                 WorkShift_SEnd,
		WorkShift_SLen.Name:                 WorkShift_SLen,
		WorkShift_SB1Beg.Name:               WorkShift_SB1Beg,
		WorkShift_SB1End.Name:               WorkShift_SB1End,
		WorkShift_SB2Beg.Name:               WorkShift_SB2Beg,
		WorkShift_SB2End.Name:               WorkShift_SB2End,
		WorkShift_SB3Beg.Name:               WorkShift_SB3Beg,
		WorkShift_SB3End.Name:               WorkShift_SB3End,
		WorkShift_SB4Beg.Name:               WorkShift_SB4Beg,
		WorkShift_SB4End.Name:               WorkShift_SB4End,
		WorkShift_SB5Beg.Name:               WorkShift_SB5Beg,
		WorkShift_SB5End.Name:               WorkShift_SB5End,
		WorkShift_SB6Beg.Name:               WorkShift_SB6Beg,
		WorkShift_SB6End.Name:               WorkShift_SB6End,
		WorkShift_SB7Beg.Name:               WorkShift_SB7Beg,
		WorkShift_SB7End.Name:               WorkShift_SB7End,
		WorkShift_SB8Beg.Name:               WorkShift_SB8Beg,
		WorkShift_SB8End.Name:               WorkShift_SB8End,
		WorkShift_SB9Beg.Name:               WorkShift_SB9Beg,
		WorkShift_SB9End.Name:               WorkShift_SB9End,
		WorkShift_SB10Beg.Name:              WorkShift_SB10Beg,
		WorkShift_SB10End.Name:              WorkShift_SB10End,
		WorkShift_EnableCrossDayToggle.Name: WorkShift_EnableCrossDayToggle,
		WorkShift_LastModify.Name:           WorkShift_LastModify,
		WorkShift_LastUser.Name:             WorkShift_LastUser,
		WorkShift_CreateTime.Name:           WorkShift_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Abrev", "HexColor", "PlanPersonQty", "PlanEfficiency", "S_Beg", "S_End", "S_Len", "S_B1_Beg", "S_B1_End", "S_B2_Beg", "S_B2_End", "S_B3_Beg", "S_B3_End", "S_B4_Beg", "S_B4_End", "S_B5_Beg", "S_B5_End", "S_B6_Beg", "S_B6_End", "S_B7_Beg", "S_B7_End", "S_B8_Beg", "S_B8_End", "S_B9_Beg", "S_B9_End", "S_B10_Beg", "S_B10_End", "EnableCrossDayToggle", "LastUser"})
