// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
)

/******************************************************************************
 *
 * @Description              : EOLTESTF1的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
var EOLTESTF1_BARCODE = grmi.NewField("BARCODE", "[EOL_TEST_F_1].BARCODE", "barcode", grmi.TypeString)
var EOLTESTF1_TYPE = grmi.NewField("TYPE", "[EOL_TEST_F_1].TYPE", "type", grmi.TypeString)
var EOLTESTF1_SBR_UNLOAD = grmi.NewField("SBR-UNLOAD", "[EOL_TEST_F_1].SBR-UNLOAD", "sbr-unload", grmi.TypeString)
var EOLTESTF1_SBR_UNLOADRESULT = grmi.NewField("SBR-UNLOADRESULT", "[EOL_TEST_F_1].SBR-UNLOADRESULT", "sbr-unloadresult", grmi.TypeString)
var EOLTESTF1_SBR_8KGLOAD = grmi.NewField("SBR-8KGLOAD", "[EOL_TEST_F_1].SBR-8KGLOAD", "sbr-8kgload", grmi.TypeString)
var EOLTESTF1_SBR_8KGLOADRESULT = grmi.NewField("SBR-8KGLOADRESULT", "[EOL_TEST_F_1].SBR-8KGLOADRESULT", "sbr-8kgloadresult", grmi.TypeString)
var EOLTESTF1_SBR_18KGLOAD = grmi.NewField("SBR-18KGLOAD", "[EOL_TEST_F_1].SBR-18KGLOAD", "sbr-18kgload", grmi.TypeString)
var EOLTESTF1_SBR_18KGLOADRESULT = grmi.NewField("SBR-18KGLOADRESULT", "[EOL_TEST_F_1].SBR-18KGLOADRESULT", "sbr-18kgloadresult", grmi.TypeString)
var EOLTESTF1_SAB = grmi.NewField("SAB", "[EOL_TEST_F_1].SAB", "sab", grmi.TypeString)
var EOLTESTF1_SABRESULT = grmi.NewField("SABRESULT", "[EOL_TEST_F_1].SABRESULT", "sabresult", grmi.TypeString)
var EOLTESTF1_HEAT = grmi.NewField("HEAT", "[EOL_TEST_F_1].HEAT", "heat", grmi.TypeString)
var EOLTESTF1_HEATRESULT = grmi.NewField("HEATRESULT", "[EOL_TEST_F_1].HEATRESULT", "heatresult", grmi.TypeString)
var EOLTESTF1_BUCKELUN = grmi.NewField("BUCKELUN", "[EOL_TEST_F_1].BUCKELUN", "buckelun", grmi.TypeString)
var EOLTESTF1_BUCKELUNRESULT = grmi.NewField("BUCKELUNRESULT", "[EOL_TEST_F_1].BUCKELUNRESULT", "buckelunresult", grmi.TypeString)
var EOLTESTF1_BUCKELIN = grmi.NewField("BUCKELIN", "[EOL_TEST_F_1].BUCKELIN", "buckelin", grmi.TypeString)
var EOLTESTF1_BUCKELINRESULT = grmi.NewField("BUCKELINRESULT", "[EOL_TEST_F_1].BUCKELINRESULT", "buckelinresult", grmi.TypeString)
var EOLTESTF1_BUCKELOUT = grmi.NewField("BUCKELOUT", "[EOL_TEST_F_1].BUCKELOUT", "buckelout", grmi.TypeString)
var EOLTESTF1_BUCKELOUTRESULT = grmi.NewField("BUCKELOUTRESULT", "[EOL_TEST_F_1].BUCKELOUTRESULT", "buckeloutresult", grmi.TypeString)
var EOLTESTF1_TOTALRESULT = grmi.NewField("TOTALRESULT", "[EOL_TEST_F_1].TOTALRESULT", "totalresult", grmi.TypeString)
var EOLTESTF1_CIRCLETIME = grmi.NewField("CIRCLETIME", "[EOL_TEST_F_1].CIRCLETIME", "circletime", grmi.TypeString)
var EOLTESTF1_DATE = grmi.NewField("DATE", "[EOL_TEST_F_1].DATE", "date", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : EOLTESTF1的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
var EOLTESTF1 = grmi.NewEntity(
	"EOL_TEST_F_1",
	func() interface{} { return &model.EOLTESTF1{} },
	map[string]grmi.Field{
		EOLTESTF1_BARCODE.Name:            EOLTESTF1_BARCODE,
		EOLTESTF1_TYPE.Name:               EOLTESTF1_TYPE,
		EOLTESTF1_SBR_UNLOAD.Name:         EOLTESTF1_SBR_UNLOAD,
		EOLTESTF1_SBR_UNLOADRESULT.Name:   EOLTESTF1_SBR_UNLOADRESULT,
		EOLTESTF1_SBR_8KGLOAD.Name:        EOLTESTF1_SBR_8KGLOAD,
		EOLTESTF1_SBR_8KGLOADRESULT.Name:  EOLTESTF1_SBR_8KGLOADRESULT,
		EOLTESTF1_SBR_18KGLOAD.Name:       EOLTESTF1_SBR_18KGLOAD,
		EOLTESTF1_SBR_18KGLOADRESULT.Name: EOLTESTF1_SBR_18KGLOADRESULT,
		EOLTESTF1_SAB.Name:                EOLTESTF1_SAB,
		EOLTESTF1_SABRESULT.Name:          EOLTESTF1_SABRESULT,
		EOLTESTF1_HEAT.Name:               EOLTESTF1_HEAT,
		EOLTESTF1_HEATRESULT.Name:         EOLTESTF1_HEATRESULT,
		EOLTESTF1_BUCKELUN.Name:           EOLTESTF1_BUCKELUN,
		EOLTESTF1_BUCKELUNRESULT.Name:     EOLTESTF1_BUCKELUNRESULT,
		EOLTESTF1_BUCKELIN.Name:           EOLTESTF1_BUCKELIN,
		EOLTESTF1_BUCKELINRESULT.Name:     EOLTESTF1_BUCKELINRESULT,
		EOLTESTF1_BUCKELOUT.Name:          EOLTESTF1_BUCKELOUT,
		EOLTESTF1_BUCKELOUTRESULT.Name:    EOLTESTF1_BUCKELOUTRESULT,
		EOLTESTF1_TOTALRESULT.Name:        EOLTESTF1_TOTALRESULT,
		EOLTESTF1_CIRCLETIME.Name:         EOLTESTF1_CIRCLETIME,
		EOLTESTF1_DATE.Name:               EOLTESTF1_DATE,
	},
	[]string{},
	[]string{"BARCODE", "TYPE", "SBR-UNLOAD", "SBR-UNLOADRESULT", "SBR-8KGLOAD", "SBR-8KGLOADRESULT", "SBR-18KGLOAD", "SBR-18KGLOADRESULT", "SAB", "SABRESULT", "HEAT", "HEATRESULT", "BUCKELUN", "BUCKELUNRESULT", "BUCKELIN", "BUCKELINRESULT", "BUCKELOUT", "BUCKELOUTRESULT", "TOTALRESULT", "CIRCLETIME", "DATE"})
