// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : PackOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrderStatus_PlantNr = grmi.NewField("PlantNr", "[JIT_PackOrderStatus].PlantNr", "plantnr", grmi.TypeInt)
var PackOrderStatus_PackOrderId = grmi.NewField("PackOrderId", "[JIT_PackOrderStatus].PackOrderId", "packorderid", grmi.TypeString)
var PackOrderStatus_Status = grmi.NewField("Status", "[JIT_PackOrderStatus].Status", "status", grmi.TypeInt)
var PackOrderStatus_LoadStatus = grmi.NewField("LoadStatus", "[JIT_PackOrderStatus].LoadStatus", "loadstatus", grmi.TypeInt)
var PackOrderStatus_ShipStatus = grmi.NewField("ShipStatus", "[JIT_PackOrderStatus].ShipStatus", "shipstatus", grmi.TypeInt)
var PackOrderStatus_BackflushedToggle = grmi.NewField("BackflushedToggle", "[JIT_PackOrderStatus].BackflushedToggle", "backflushedtoggle", grmi.TypeBool)
var PackOrderStatus_Status1 = grmi.NewField("Status1", "[JIT_PackOrderStatus].Status1", "status1", grmi.TypeInt)
var PackOrderStatus_Status2 = grmi.NewField("Status2", "[JIT_PackOrderStatus].Status2", "status2", grmi.TypeInt)
var PackOrderStatus_LastModify = grmi.NewField("LastModify", "[JIT_PackOrderStatus].LastModify", "lastmodify", grmi.TypeDateTime)
var PackOrderStatus_LastUser = grmi.NewField("LastUser", "[JIT_PackOrderStatus].LastUser", "lastuser", grmi.TypeString)
var PackOrderStatus_CreateTime = grmi.NewField("CreateTime", "[JIT_PackOrderStatus].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackOrderStatus = grmi.NewEntity(
	"JIT_PackOrderStatus",
	func() interface{} { return &model.PackOrderStatus{} },
	map[string]grmi.Field{
		PackOrderStatus_PlantNr.Name:           PackOrderStatus_PlantNr,
		PackOrderStatus_PackOrderId.Name:       PackOrderStatus_PackOrderId,
		PackOrderStatus_Status.Name:            PackOrderStatus_Status,
		PackOrderStatus_LoadStatus.Name:        PackOrderStatus_LoadStatus,
		PackOrderStatus_ShipStatus.Name:        PackOrderStatus_ShipStatus,
		PackOrderStatus_BackflushedToggle.Name: PackOrderStatus_BackflushedToggle,
		PackOrderStatus_Status1.Name:           PackOrderStatus_Status1,
		PackOrderStatus_Status2.Name:           PackOrderStatus_Status2,
		PackOrderStatus_LastModify.Name:        PackOrderStatus_LastModify,
		PackOrderStatus_LastUser.Name:          PackOrderStatus_LastUser,
		PackOrderStatus_CreateTime.Name:        PackOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "LoadStatus", "ShipStatus", "BackflushedToggle", "Status1", "Status2", "LastUser"})
