// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipTemplateItemLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipTemplateItemLst_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipTemplateItemLst].PlantNr", "plantnr", grmi.TypeInt)
var ShipTemplateItemLst_ShipTemplateId = grmi.NewField("ShipTemplateId", "[JIT_ShipTemplateItemLst].ShipTemplateId", "shiptemplateid", grmi.TypeString)
var ShipTemplateItemLst_Pos = grmi.NewField("Pos", "[JIT_ShipTemplateItemLst].Pos", "pos", grmi.TypeInt)
var ShipTemplateItemLst_PackTemplateId = grmi.NewField("PackTemplateId", "[JIT_ShipTemplateItemLst].PackTemplateId", "packtemplateid", grmi.TypeString)
var ShipTemplateItemLst_PackTypeId = grmi.NewField("PackTypeId", "[JIT_ShipTemplateItemLst].PackTypeId", "packtypeid", grmi.TypeString)
var ShipTemplateItemLst_PlanQty = grmi.NewField("PlanQty", "[JIT_ShipTemplateItemLst].PlanQty", "planqty", grmi.TypeInt)
var ShipTemplateItemLst_LastModify = grmi.NewField("LastModify", "[JIT_ShipTemplateItemLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipTemplateItemLst_LastUser = grmi.NewField("LastUser", "[JIT_ShipTemplateItemLst].LastUser", "lastuser", grmi.TypeString)
var ShipTemplateItemLst_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipTemplateItemLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipTemplateItemLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipTemplateItemLst = grmi.NewEntity(
	"JIT_ShipTemplateItemLst",
	func() interface{} { return &model.ShipTemplateItemLst{} },
	map[string]grmi.Field{
		ShipTemplateItemLst_PlantNr.Name:        ShipTemplateItemLst_PlantNr,
		ShipTemplateItemLst_ShipTemplateId.Name: ShipTemplateItemLst_ShipTemplateId,
		ShipTemplateItemLst_Pos.Name:            ShipTemplateItemLst_Pos,
		ShipTemplateItemLst_PackTemplateId.Name: ShipTemplateItemLst_PackTemplateId,
		ShipTemplateItemLst_PackTypeId.Name:     ShipTemplateItemLst_PackTypeId,
		ShipTemplateItemLst_PlanQty.Name:        ShipTemplateItemLst_PlanQty,
		ShipTemplateItemLst_LastModify.Name:     ShipTemplateItemLst_LastModify,
		ShipTemplateItemLst_LastUser.Name:       ShipTemplateItemLst_LastUser,
		ShipTemplateItemLst_CreateTime.Name:     ShipTemplateItemLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PackTemplateId", "PackTypeId", "PlanQty", "LastUser"})
