// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : ProductFamily的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 14:04:53
 *
 ******************************************************************************/
var ProductFamily_PlantNr = grmi.NewField("PlantNr", "[ME_ProductFamily].PlantNr", "plantnr", grmi.TypeInt)
var ProductFamily_ProductFamilyId = grmi.NewField("ProductFamilyId", "[ME_ProductFamily].ProductFamilyId", "productfamilyid", grmi.TypeString)
var ProductFamily_Descr = grmi.NewField("Descr", "[ME_ProductFamily].Descr", "descr", grmi.TypeString)
var ProductFamily_ProjectId = grmi.NewField("ProjectId", "[ME_ProductFamily].ProjectId", "projectid", grmi.TypeString)
var ProductFamily_ConfigValue = grmi.NewField("ConfigValue", "[ME_ProductFamily].ConfigValue", "configvalue", grmi.TypeString)
var ProductFamily_ModelValue = grmi.NewField("ModelValue", "[ME_ProductFamily].ModelValue", "modelvalue", grmi.TypeString)
var ProductFamily_ColorValue = grmi.NewField("ColorValue", "[ME_ProductFamily].ColorValue", "colorvalue", grmi.TypeString)
var ProductFamily_BroadcastPoint = grmi.NewField("BroadcastPoint", "[ME_ProductFamily].BroadcastPoint", "broadcastpoint", grmi.TypeString)
var ProductFamily_AutoGenPackToggle = grmi.NewField("AutoGenPackToggle", "[ME_ProductFamily].AutoGenPackToggle", "autogenpacktoggle", grmi.TypeBool)
var ProductFamily_MultiWorkLineToggle = grmi.NewField("MultiWorkLineToggle", "[ME_ProductFamily].MultiWorkLineToggle", "multiworklinetoggle", grmi.TypeBool)
var ProductFamily_Jph = grmi.NewField("Jph", "[ME_ProductFamily].Jph", "jph", grmi.TypeFloat64)
var ProductFamily_WorkLineId = grmi.NewField("WorkLineId", "[ME_ProductFamily].WorkLineId", "worklineid", grmi.TypeString)
var ProductFamily_PackTypeId = grmi.NewField("PackTypeId", "[ME_ProductFamily].PackTypeId", "packtypeid", grmi.TypeString)
var ProductFamily_CheckSyncKey = grmi.NewField("CheckSyncKey", "[ME_ProductFamily].CheckSyncKey", "checksynckey", grmi.TypeBool)
var ProductFamily_Enable = grmi.NewField("Enable", "[ME_ProductFamily].Enable", "enable", grmi.TypeBool)
var ProductFamily_CtrlPara1 = grmi.NewField("CtrlPara1", "[ME_ProductFamily].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ProductFamily_CtrlPara2 = grmi.NewField("CtrlPara2", "[ME_ProductFamily].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ProductFamily_CtrlStr1 = grmi.NewField("CtrlStr1", "[ME_ProductFamily].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ProductFamily_CtrlStr2 = grmi.NewField("CtrlStr2", "[ME_ProductFamily].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ProductFamily_CtrlTime1 = grmi.NewField("CtrlTime1", "[ME_ProductFamily].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ProductFamily_CtrlTime2 = grmi.NewField("CtrlTime2", "[ME_ProductFamily].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ProductFamily_LastModify = grmi.NewField("LastModify", "[ME_ProductFamily].LastModify", "lastmodify", grmi.TypeDateTime)
var ProductFamily_LastUser = grmi.NewField("LastUser", "[ME_ProductFamily].LastUser", "lastuser", grmi.TypeString)
var ProductFamily_CreateTime = grmi.NewField("CreateTime", "[ME_ProductFamily].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProductFamily的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 14:04:53
 *
 ******************************************************************************/
var ProductFamily = grmi.NewEntity(
	"ME_ProductFamily",
	func() interface{} { return &model.ProductFamily{} },
	map[string]grmi.Field{
		ProductFamily_PlantNr.Name:             ProductFamily_PlantNr,
		ProductFamily_ProductFamilyId.Name:     ProductFamily_ProductFamilyId,
		ProductFamily_Descr.Name:               ProductFamily_Descr,
		ProductFamily_ProjectId.Name:           ProductFamily_ProjectId,
		ProductFamily_ConfigValue.Name:         ProductFamily_ConfigValue,
		ProductFamily_ModelValue.Name:          ProductFamily_ModelValue,
		ProductFamily_ColorValue.Name:          ProductFamily_ColorValue,
		ProductFamily_BroadcastPoint.Name:      ProductFamily_BroadcastPoint,
		ProductFamily_AutoGenPackToggle.Name:   ProductFamily_AutoGenPackToggle,
		ProductFamily_MultiWorkLineToggle.Name: ProductFamily_MultiWorkLineToggle,
		ProductFamily_Jph.Name:                 ProductFamily_Jph,
		ProductFamily_WorkLineId.Name:          ProductFamily_WorkLineId,
		ProductFamily_PackTypeId.Name:          ProductFamily_PackTypeId,
		ProductFamily_CheckSyncKey.Name:        ProductFamily_CheckSyncKey,
		ProductFamily_Enable.Name:              ProductFamily_Enable,
		ProductFamily_CtrlPara1.Name:           ProductFamily_CtrlPara1,
		ProductFamily_CtrlPara2.Name:           ProductFamily_CtrlPara2,
		ProductFamily_CtrlStr1.Name:            ProductFamily_CtrlStr1,
		ProductFamily_CtrlStr2.Name:            ProductFamily_CtrlStr2,
		ProductFamily_CtrlTime1.Name:           ProductFamily_CtrlTime1,
		ProductFamily_CtrlTime2.Name:           ProductFamily_CtrlTime2,
		ProductFamily_LastModify.Name:          ProductFamily_LastModify,
		ProductFamily_LastUser.Name:            ProductFamily_LastUser,
		ProductFamily_CreateTime.Name:          ProductFamily_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "ProjectId",  "ConfigValue", "ModelValue", "ColorValue", "BroadcastPoint", "AutoGenPackToggle", "MultiWorkLineToggle", "Jph", "WorkLineId", "PackTypeId", "CheckSyncKey", "Enable", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
