// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : ProductFamilyRelate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 15:30:32
 *
 ******************************************************************************/
var ProductFamilyRelate_PlantNr = grmi.NewField("PlantNr", "[ME_ProductFamilyRelate].PlantNr", "plantnr", grmi.TypeInt)
var ProductFamilyRelate_ProductFamilyId = grmi.NewField("ProductFamilyId", "[ME_ProductFamilyRelate].ProductFamilyId", "productfamilyid", grmi.TypeString)
var ProductFamilyRelate_ProjectId = grmi.NewField("ProjectId", "[ME_ProductFamilyRelate].ProjectId", "projectid", grmi.TypeString)
var ProductFamilyRelate_ProductId = grmi.NewField("ProductId", "[ME_ProductFamilyRelate].ProductId", "productid", grmi.TypeString)
var ProductFamilyRelate_ProductDescr = grmi.NewField("ProductDescr", "[ME_ProductFamilyRelate].ProductDescr", "productdescr", grmi.TypeString)
var ProductFamilyRelate_Pos = grmi.NewField("Pos", "[ME_ProductFamilyRelate].Pos", "pos", grmi.TypeInt)
var ProductFamilyRelate_Count = grmi.NewField("Count", "[ME_ProductFamilyRelate].Count", "count", grmi.TypeInt)
var ProductFamilyRelate_LastModify = grmi.NewField("LastModify", "[ME_ProductFamilyRelate].LastModify", "lastmodify", grmi.TypeDateTime)
var ProductFamilyRelate_LastUser = grmi.NewField("LastUser", "[ME_ProductFamilyRelate].LastUser", "lastuser", grmi.TypeString)
var ProductFamilyRelate_CreateTime = grmi.NewField("CreateTime", "[ME_ProductFamilyRelate].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProductFamilyRelate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 15:30:32
 *
 ******************************************************************************/
var ProductFamilyRelate = grmi.NewEntity(
	"ME_ProductFamilyRelate",
	func() interface{} { return &model.ProductFamilyRelate{} },
	map[string]grmi.Field{
		ProductFamilyRelate_PlantNr.Name:         ProductFamilyRelate_PlantNr,
		ProductFamilyRelate_ProductFamilyId.Name: ProductFamilyRelate_ProductFamilyId,
		ProductFamilyRelate_ProjectId.Name:       ProductFamilyRelate_ProjectId,
		ProductFamilyRelate_ProductId.Name:       ProductFamilyRelate_ProductId,
		ProductFamilyRelate_ProductDescr.Name:    ProductFamilyRelate_ProductDescr,
		ProductFamilyRelate_Pos.Name:             ProductFamilyRelate_Pos,
		ProductFamilyRelate_Count.Name:           ProductFamilyRelate_Count,
		ProductFamilyRelate_LastModify.Name:      ProductFamilyRelate_LastModify,
		ProductFamilyRelate_LastUser.Name:        ProductFamilyRelate_LastUser,
		ProductFamilyRelate_CreateTime.Name:      ProductFamilyRelate_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ProductDescr", "Pos", "LastUser"})
