// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : ProductFamilyWorkLineLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-11 13:56:25
 *
 ******************************************************************************/
var ProductFamilyWorkLineLst_PlantNr = grmi.NewField("PlantNr", "[ME_ProductFamilyWorkLineLst].PlantNr", "plantnr", grmi.TypeInt)
var ProductFamilyWorkLineLst_ProductFamilyId = grmi.NewField("ProductFamilyId", "[ME_ProductFamilyWorkLineLst].ProductFamilyId", "productfamilyid", grmi.TypeString)
var ProductFamilyWorkLineLst_WorkLineId = grmi.NewField("WorkLineId", "[ME_ProductFamilyWorkLineLst].WorkLineId", "worklineid", grmi.TypeString)
var ProductFamilyWorkLineLst_WorkLineDescr = grmi.NewField("WorkLineDescr", "[ME_ProductFamilyWorkLineLst].WorkLineDescr", "worklinedescr", grmi.TypeString)
var ProductFamilyWorkLineLst_LastModify = grmi.NewField("LastModify", "[ME_ProductFamilyWorkLineLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ProductFamilyWorkLineLst_LastUser = grmi.NewField("LastUser", "[ME_ProductFamilyWorkLineLst].LastUser", "lastuser", grmi.TypeString)
var ProductFamilyWorkLineLst_CreateTime = grmi.NewField("CreateTime", "[ME_ProductFamilyWorkLineLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProductFamilyWorkLineLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-11 13:56:25
 *
 ******************************************************************************/
var ProductFamilyWorkLineLst = grmi.NewEntity(
	"ME_ProductFamilyWorkLineLst",
	func() interface{} { return &model.ProductFamilyWorkLineLst{} },
	map[string]grmi.Field{
		ProductFamilyWorkLineLst_PlantNr.Name:         ProductFamilyWorkLineLst_PlantNr,
		ProductFamilyWorkLineLst_ProductFamilyId.Name: ProductFamilyWorkLineLst_ProductFamilyId,
		ProductFamilyWorkLineLst_WorkLineId.Name:      ProductFamilyWorkLineLst_WorkLineId,
		ProductFamilyWorkLineLst_WorkLineDescr.Name:   ProductFamilyWorkLineLst_WorkLineDescr,
		ProductFamilyWorkLineLst_LastModify.Name:      ProductFamilyWorkLineLst_LastModify,
		ProductFamilyWorkLineLst_LastUser.Name:        ProductFamilyWorkLineLst_LastUser,
		ProductFamilyWorkLineLst_CreateTime.Name:      ProductFamilyWorkLineLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"WorkLineDescr", "LastUser"})
