// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderOnlyBarcodeRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-20 09:20:27
 *
 ******************************************************************************/
var SerialOrderOnlyBarcodeRecLst_PlantNr = grmi.NewField("PlantNr", "[OM_SerialOrderOnlyBarcodeRecLst].PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderOnlyBarcodeRecLst_SerialOrderId = grmi.NewField("SerialOrderId", "[OM_SerialOrderOnlyBarcodeRecLst].SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderOnlyBarcodeRecLst_PO = grmi.NewField("PO", "[OM_SerialOrderOnlyBarcodeRecLst].PO", "po", grmi.TypeString)
var SerialOrderOnlyBarcodeRecLst_SubArtId = grmi.NewField("SubArtId", "[OM_SerialOrderOnlyBarcodeRecLst].SubArtId", "subartid", grmi.TypeString)
var SerialOrderOnlyBarcodeRecLst_Barcode = grmi.NewField("Barcode", "[OM_SerialOrderOnlyBarcodeRecLst].Barcode", "barcode", grmi.TypeString)
var SerialOrderOnlyBarcodeRecLst_Status = grmi.NewField("Status", "[OM_SerialOrderOnlyBarcodeRecLst].Status", "status", grmi.TypeInt)
var SerialOrderOnlyBarcodeRecLst_DetailId = grmi.NewField("DetailId", "[OM_SerialOrderOnlyBarcodeRecLst].DetailId", "detailid", grmi.TypeInt64)
var SerialOrderOnlyBarcodeRecLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[OM_SerialOrderOnlyBarcodeRecLst].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var SerialOrderOnlyBarcodeRecLst_Remark1 = grmi.NewField("Remark1", "[OM_SerialOrderOnlyBarcodeRecLst].Remark1", "remark1", grmi.TypeString)
var SerialOrderOnlyBarcodeRecLst_Remark2 = grmi.NewField("Remark2", "[OM_SerialOrderOnlyBarcodeRecLst].Remark2", "remark2", grmi.TypeString)
var SerialOrderOnlyBarcodeRecLst_LastModify = grmi.NewField("LastModify", "[OM_SerialOrderOnlyBarcodeRecLst].LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderOnlyBarcodeRecLst_LastUser = grmi.NewField("LastUser", "[OM_SerialOrderOnlyBarcodeRecLst].LastUser", "lastuser", grmi.TypeString)
var SerialOrderOnlyBarcodeRecLst_CreateTime = grmi.NewField("CreateTime", "[OM_SerialOrderOnlyBarcodeRecLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderOnlyBarcodeRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-20 09:20:27
 *
 ******************************************************************************/
var SerialOrderOnlyBarcodeRecLst = grmi.NewEntity(
	"OM_SerialOrderOnlyBarcodeRecLst",
	func() interface{} { return &model.SerialOrderOnlyBarcodeRecLst{} },
	map[string]grmi.Field{
		SerialOrderOnlyBarcodeRecLst_PlantNr.Name:       SerialOrderOnlyBarcodeRecLst_PlantNr,
		SerialOrderOnlyBarcodeRecLst_SerialOrderId.Name: SerialOrderOnlyBarcodeRecLst_SerialOrderId,
		SerialOrderOnlyBarcodeRecLst_PO.Name:            SerialOrderOnlyBarcodeRecLst_PO,
		SerialOrderOnlyBarcodeRecLst_SubArtId.Name:      SerialOrderOnlyBarcodeRecLst_SubArtId,
		SerialOrderOnlyBarcodeRecLst_Barcode.Name:       SerialOrderOnlyBarcodeRecLst_Barcode,
		SerialOrderOnlyBarcodeRecLst_Status.Name:        SerialOrderOnlyBarcodeRecLst_Status,
		SerialOrderOnlyBarcodeRecLst_DetailId.Name:      SerialOrderOnlyBarcodeRecLst_DetailId,
		SerialOrderOnlyBarcodeRecLst_WorkPlaceNr.Name:   SerialOrderOnlyBarcodeRecLst_WorkPlaceNr,
		SerialOrderOnlyBarcodeRecLst_Remark1.Name:       SerialOrderOnlyBarcodeRecLst_Remark1,
		SerialOrderOnlyBarcodeRecLst_Remark2.Name:       SerialOrderOnlyBarcodeRecLst_Remark2,
		SerialOrderOnlyBarcodeRecLst_LastModify.Name:    SerialOrderOnlyBarcodeRecLst_LastModify,
		SerialOrderOnlyBarcodeRecLst_LastUser.Name:      SerialOrderOnlyBarcodeRecLst_LastUser,
		SerialOrderOnlyBarcodeRecLst_CreateTime.Name:    SerialOrderOnlyBarcodeRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DetailId", "WorkPlaceNr", "Remark1", "Remark2", "LastUser"})
