// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : CustOrderStatus的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
var CustOrderStatus_PlantNr = grmi.NewField("PlantNr", "[PLN_CustOrderStatus].PlantNr", "plantnr", grmi.TypeInt)
var CustOrderStatus_CustOrderId = grmi.NewField("CustOrderId", "[PLN_CustOrderStatus].CustOrderId", "custorderid", grmi.TypeString)
var CustOrderStatus_Status = grmi.NewField("Status", "[PLN_CustOrderStatus].Status", "status", grmi.TypeInt)
var CustOrderStatus_BackFlushStatus = grmi.NewField("BackFlushStatus", "[PLN_CustOrderStatus].BackFlushStatus", "backflushstatus", grmi.TypeInt)
var CustOrderStatus_PackStatus = grmi.NewField("PackStatus", "[PLN_CustOrderStatus].PackStatus", "packstatus", grmi.TypeInt)
var CustOrderStatus_ShipStatus = grmi.NewField("ShipStatus", "[PLN_CustOrderStatus].ShipStatus", "shipstatus", grmi.TypeInt)
var CustOrderStatus_Status1 = grmi.NewField("Status1", "[PLN_CustOrderStatus].Status1", "status1", grmi.TypeInt)
var CustOrderStatus_Status2 = grmi.NewField("Status2", "[PLN_CustOrderStatus].Status2", "status2", grmi.TypeInt)
var CustOrderStatus_LastModify = grmi.NewField("LastModify", "[PLN_CustOrderStatus].LastModify", "lastmodify", grmi.TypeDateTime)
var CustOrderStatus_LastUser = grmi.NewField("LastUser", "[PLN_CustOrderStatus].LastUser", "lastuser", grmi.TypeString)
var CustOrderStatus_CreateTime = grmi.NewField("CreateTime", "[PLN_CustOrderStatus].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CustOrderStatus的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
var CustOrderStatus = grmi.NewEntity(
	"PLN_CustOrderStatus",
	func() interface{} { return &model.CustOrderStatus{} },
	map[string]grmi.Field{
		CustOrderStatus_PlantNr.Name:         CustOrderStatus_PlantNr,
		CustOrderStatus_CustOrderId.Name:     CustOrderStatus_CustOrderId,
		CustOrderStatus_Status.Name:          CustOrderStatus_Status,
		CustOrderStatus_BackFlushStatus.Name: CustOrderStatus_BackFlushStatus,
		CustOrderStatus_PackStatus.Name:      CustOrderStatus_PackStatus,
		CustOrderStatus_ShipStatus.Name:      CustOrderStatus_ShipStatus,
		CustOrderStatus_Status1.Name:         CustOrderStatus_Status1,
		CustOrderStatus_Status2.Name:         CustOrderStatus_Status2,
		CustOrderStatus_LastModify.Name:      CustOrderStatus_LastModify,
		CustOrderStatus_LastUser.Name:        CustOrderStatus_LastUser,
		CustOrderStatus_CreateTime.Name:      CustOrderStatus_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "BackFlushStatus", "PackStatus", "ShipStatus", "Status1", "Status2", "LastUser"})
