// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : CustOrderStatusHistory的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
var CustOrderStatusHistory_PlantNr = grmi.NewField("PlantNr", "[PLN_CustOrderStatusHistory].PlantNr", "plantnr", grmi.TypeInt)
var CustOrderStatusHistory_CustOrderId = grmi.NewField("CustOrderId", "[PLN_CustOrderStatusHistory].CustOrderId", "custorderid", grmi.TypeString)
var CustOrderStatusHistory_Pos = grmi.NewField("Pos", "[PLN_CustOrderStatusHistory].Pos", "pos", grmi.TypeInt)
var CustOrderStatusHistory_StatusChangeType = grmi.NewField("StatusChangeType", "[PLN_CustOrderStatusHistory].StatusChangeType", "statuschangetype", grmi.TypeString)
var CustOrderStatusHistory_FromStatus = grmi.NewField("FromStatus", "[PLN_CustOrderStatusHistory].FromStatus", "fromstatus", grmi.TypeInt)
var CustOrderStatusHistory_ToStatus = grmi.NewField("ToStatus", "[PLN_CustOrderStatusHistory].ToStatus", "tostatus", grmi.TypeInt)
var CustOrderStatusHistory_TriggerEvent = grmi.NewField("TriggerEvent", "[PLN_CustOrderStatusHistory].TriggerEvent", "triggerevent", grmi.TypeString)
var CustOrderStatusHistory_TriggerObjId = grmi.NewField("TriggerObjId", "[PLN_CustOrderStatusHistory].TriggerObjId", "triggerobjid", grmi.TypeString)
var CustOrderStatusHistory_ChangeTime = grmi.NewField("ChangeTime", "[PLN_CustOrderStatusHistory].ChangeTime", "changetime", grmi.TypeDateTime)
var CustOrderStatusHistory_TriggerPara1 = grmi.NewField("TriggerPara1", "[PLN_CustOrderStatusHistory].TriggerPara1", "triggerpara1", grmi.TypeString)
var CustOrderStatusHistory_TriggerPara2 = grmi.NewField("TriggerPara2", "[PLN_CustOrderStatusHistory].TriggerPara2", "triggerpara2", grmi.TypeString)
var CustOrderStatusHistory_LastModify = grmi.NewField("LastModify", "[PLN_CustOrderStatusHistory].LastModify", "lastmodify", grmi.TypeDateTime)
var CustOrderStatusHistory_LastUser = grmi.NewField("LastUser", "[PLN_CustOrderStatusHistory].LastUser", "lastuser", grmi.TypeString)
var CustOrderStatusHistory_CreateTime = grmi.NewField("CreateTime", "[PLN_CustOrderStatusHistory].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CustOrderStatusHistory的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
var CustOrderStatusHistory = grmi.NewEntity(
	"PLN_CustOrderStatusHistory",
	func() interface{} { return &model.CustOrderStatusHistory{} },
	map[string]grmi.Field{
		CustOrderStatusHistory_PlantNr.Name:          CustOrderStatusHistory_PlantNr,
		CustOrderStatusHistory_CustOrderId.Name:      CustOrderStatusHistory_CustOrderId,
		CustOrderStatusHistory_Pos.Name:              CustOrderStatusHistory_Pos,
		CustOrderStatusHistory_StatusChangeType.Name: CustOrderStatusHistory_StatusChangeType,
		CustOrderStatusHistory_FromStatus.Name:       CustOrderStatusHistory_FromStatus,
		CustOrderStatusHistory_ToStatus.Name:         CustOrderStatusHistory_ToStatus,
		CustOrderStatusHistory_TriggerEvent.Name:     CustOrderStatusHistory_TriggerEvent,
		CustOrderStatusHistory_TriggerObjId.Name:     CustOrderStatusHistory_TriggerObjId,
		CustOrderStatusHistory_ChangeTime.Name:       CustOrderStatusHistory_ChangeTime,
		CustOrderStatusHistory_TriggerPara1.Name:     CustOrderStatusHistory_TriggerPara1,
		CustOrderStatusHistory_TriggerPara2.Name:     CustOrderStatusHistory_TriggerPara2,
		CustOrderStatusHistory_LastModify.Name:       CustOrderStatusHistory_LastModify,
		CustOrderStatusHistory_LastUser.Name:         CustOrderStatusHistory_LastUser,
		CustOrderStatusHistory_CreateTime.Name:       CustOrderStatusHistory_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StatusChangeType", "FromStatus", "ToStatus", "TriggerEvent", "TriggerObjId", "ChangeTime", "TriggerPara1", "TriggerPara2", "LastUser"})
