// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : HondaCalloffItemLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
var HondaCalloffItemLst_PlantNr = grmi.NewField("PlantNr", "[PLN_HondaCalloffItemLst].PlantNr", "plantnr", grmi.TypeInt)
var HondaCalloffItemLst_CalloffId = grmi.NewField("CalloffId", "[PLN_HondaCalloffItemLst].CalloffId", "calloffid", grmi.TypeString)
var HondaCalloffItemLst_Pos = grmi.NewField("Pos", "[PLN_HondaCalloffItemLst].Pos", "pos", grmi.TypeInt)
var HondaCalloffItemLst_CalloffDate = grmi.NewField("CalloffDate", "[PLN_HondaCalloffItemLst].CalloffDate", "calloffdate", grmi.TypeDate)
var HondaCalloffItemLst_CalloffTime = grmi.NewField("CalloffTime", "[PLN_HondaCalloffItemLst].CalloffTime", "callofftime", grmi.TypeTime)
var HondaCalloffItemLst_PlanQty = grmi.NewField("PlanQty", "[PLN_HondaCalloffItemLst].PlanQty", "planqty", grmi.TypeInt)
var HondaCalloffItemLst_ConfigValue = grmi.NewField("ConfigValue", "[PLN_HondaCalloffItemLst].ConfigValue", "configvalue", grmi.TypeString)
var HondaCalloffItemLst_ModelValue = grmi.NewField("ModelValue", "[PLN_HondaCalloffItemLst].ModelValue", "modelvalue", grmi.TypeString)
var HondaCalloffItemLst_ColorValue = grmi.NewField("ColorValue", "[PLN_HondaCalloffItemLst].ColorValue", "colorvalue", grmi.TypeString)
var HondaCalloffItemLst_ProductFamilyId = grmi.NewField("ProductFamilyId", "[PLN_HondaCalloffItemLst].ProductFamilyId", "productfamilyid", grmi.TypeString)
var HondaCalloffItemLst_VinNo = grmi.NewField("VinNo", "[PLN_HondaCalloffItemLst].VinNo", "vinno", grmi.TypeString)
var HondaCalloffItemLst_CtrlPara1 = grmi.NewField("CtrlPara1", "[PLN_HondaCalloffItemLst].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var HondaCalloffItemLst_CtrlPara2 = grmi.NewField("CtrlPara2", "[PLN_HondaCalloffItemLst].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var HondaCalloffItemLst_CtrlStr1 = grmi.NewField("CtrlStr1", "[PLN_HondaCalloffItemLst].CtrlStr1", "ctrlstr1", grmi.TypeString)
var HondaCalloffItemLst_CtrlStr2 = grmi.NewField("CtrlStr2", "[PLN_HondaCalloffItemLst].CtrlStr2", "ctrlstr2", grmi.TypeString)
var HondaCalloffItemLst_CtrlTime1 = grmi.NewField("CtrlTime1", "[PLN_HondaCalloffItemLst].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var HondaCalloffItemLst_CtrlTime2 = grmi.NewField("CtrlTime2", "[PLN_HondaCalloffItemLst].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var HondaCalloffItemLst_LastModify = grmi.NewField("LastModify", "[PLN_HondaCalloffItemLst].LastModify", "lastmodify", grmi.TypeDateTime)
var HondaCalloffItemLst_LastUser = grmi.NewField("LastUser", "[PLN_HondaCalloffItemLst].LastUser", "lastuser", grmi.TypeString)
var HondaCalloffItemLst_CreateTime = grmi.NewField("CreateTime", "[PLN_HondaCalloffItemLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : HondaCalloffItemLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
var HondaCalloffItemLst = grmi.NewEntity(
	"PLN_HondaCalloffItemLst",
	func() interface{} { return &model.HondaCalloffItemLst{} },
	map[string]grmi.Field{
		HondaCalloffItemLst_PlantNr.Name:         HondaCalloffItemLst_PlantNr,
		HondaCalloffItemLst_CalloffId.Name:       HondaCalloffItemLst_CalloffId,
		HondaCalloffItemLst_Pos.Name:             HondaCalloffItemLst_Pos,
		HondaCalloffItemLst_CalloffDate.Name:     HondaCalloffItemLst_CalloffDate,
		HondaCalloffItemLst_CalloffTime.Name:     HondaCalloffItemLst_CalloffTime,
		HondaCalloffItemLst_PlanQty.Name:         HondaCalloffItemLst_PlanQty,
		HondaCalloffItemLst_ConfigValue.Name:     HondaCalloffItemLst_ConfigValue,
		HondaCalloffItemLst_ModelValue.Name:      HondaCalloffItemLst_ModelValue,
		HondaCalloffItemLst_ColorValue.Name:      HondaCalloffItemLst_ColorValue,
		HondaCalloffItemLst_ProductFamilyId.Name: HondaCalloffItemLst_ProductFamilyId,
		HondaCalloffItemLst_VinNo.Name:           HondaCalloffItemLst_VinNo,
		HondaCalloffItemLst_CtrlPara1.Name:       HondaCalloffItemLst_CtrlPara1,
		HondaCalloffItemLst_CtrlPara2.Name:       HondaCalloffItemLst_CtrlPara2,
		HondaCalloffItemLst_CtrlStr1.Name:        HondaCalloffItemLst_CtrlStr1,
		HondaCalloffItemLst_CtrlStr2.Name:        HondaCalloffItemLst_CtrlStr2,
		HondaCalloffItemLst_CtrlTime1.Name:       HondaCalloffItemLst_CtrlTime1,
		HondaCalloffItemLst_CtrlTime2.Name:       HondaCalloffItemLst_CtrlTime2,
		HondaCalloffItemLst_LastModify.Name:      HondaCalloffItemLst_LastModify,
		HondaCalloffItemLst_LastUser.Name:        HondaCalloffItemLst_LastUser,
		HondaCalloffItemLst_CreateTime.Name:      HondaCalloffItemLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"CalloffDate", "CalloffTime", "PlanQty", "ConfigValue", "ModelValue", "ColorValue", "ProductFamilyId", "VinNo", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
