// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : HondaDemandErrorLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
var HondaDemandErrorLst_PlantNr = grmi.NewField("PlantNr", "[PLN_HondaDemandErrorLst].PlantNr", "plantnr", grmi.TypeInt)
var HondaDemandErrorLst_DemandId = grmi.NewField("DemandId", "[PLN_HondaDemandErrorLst].DemandId", "demandid", grmi.TypeString)
var HondaDemandErrorLst_Pos = grmi.NewField("Pos", "[PLN_HondaDemandErrorLst].Pos", "pos", grmi.TypeInt)
var HondaDemandErrorLst_ErrorType = grmi.NewField("ErrorType", "[PLN_HondaDemandErrorLst].ErrorType", "errortype", grmi.TypeString)
var HondaDemandErrorLst_ErrorInfo = grmi.NewField("ErrorInfo", "[PLN_HondaDemandErrorLst].ErrorInfo", "errorinfo", grmi.TypeString)
var HondaDemandErrorLst_ErrorStatus = grmi.NewField("ErrorStatus", "[PLN_HondaDemandErrorLst].ErrorStatus", "errorstatus", grmi.TypeString)
var HondaDemandErrorLst_LastModify = grmi.NewField("LastModify", "[PLN_HondaDemandErrorLst].LastModify", "lastmodify", grmi.TypeDateTime)
var HondaDemandErrorLst_LastUser = grmi.NewField("LastUser", "[PLN_HondaDemandErrorLst].LastUser", "lastuser", grmi.TypeString)
var HondaDemandErrorLst_CreateTime = grmi.NewField("CreateTime", "[PLN_HondaDemandErrorLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : HondaDemandErrorLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
var HondaDemandErrorLst = grmi.NewEntity(
	"PLN_HondaDemandErrorLst",
	func() interface{} { return &model.HondaDemandErrorLst{} },
	map[string]grmi.Field{
		HondaDemandErrorLst_PlantNr.Name:     HondaDemandErrorLst_PlantNr,
		HondaDemandErrorLst_DemandId.Name:    HondaDemandErrorLst_DemandId,
		HondaDemandErrorLst_Pos.Name:         HondaDemandErrorLst_Pos,
		HondaDemandErrorLst_ErrorType.Name:   HondaDemandErrorLst_ErrorType,
		HondaDemandErrorLst_ErrorInfo.Name:   HondaDemandErrorLst_ErrorInfo,
		HondaDemandErrorLst_ErrorStatus.Name: HondaDemandErrorLst_ErrorStatus,
		HondaDemandErrorLst_LastModify.Name:  HondaDemandErrorLst_LastModify,
		HondaDemandErrorLst_LastUser.Name:    HondaDemandErrorLst_LastUser,
		HondaDemandErrorLst_CreateTime.Name:  HondaDemandErrorLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ErrorType", "ErrorInfo", "ErrorStatus", "LastUser"})
