// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : ToyotaDeliveryOrderErrorLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-16 10:14:04
 *
 ******************************************************************************/
var ToyotaDeliveryOrderErrorLst_PlantNr = grmi.NewField("PlantNr", "[PLN_ToyotaDeliveryOrderErrorLst].PlantNr", "plantnr", grmi.TypeInt)
var ToyotaDeliveryOrderErrorLst_DemandId = grmi.NewField("DemandId", "[PLN_ToyotaDeliveryOrderErrorLst].DemandId", "demandid", grmi.TypeString)
var ToyotaDeliveryOrderErrorLst_Pos = grmi.NewField("Pos", "[PLN_ToyotaDeliveryOrderErrorLst].Pos", "pos", grmi.TypeInt)
var ToyotaDeliveryOrderErrorLst_ErrorType = grmi.NewField("ErrorType", "[PLN_ToyotaDeliveryOrderErrorLst].ErrorType", "errortype", grmi.TypeString)
var ToyotaDeliveryOrderErrorLst_ErrorInfo = grmi.NewField("ErrorInfo", "[PLN_ToyotaDeliveryOrderErrorLst].ErrorInfo", "errorinfo", grmi.TypeString)
var ToyotaDeliveryOrderErrorLst_ErrorStatus = grmi.NewField("ErrorStatus", "[PLN_ToyotaDeliveryOrderErrorLst].ErrorStatus", "errorstatus", grmi.TypeString)
var ToyotaDeliveryOrderErrorLst_LastModify = grmi.NewField("LastModify", "[PLN_ToyotaDeliveryOrderErrorLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ToyotaDeliveryOrderErrorLst_LastUser = grmi.NewField("LastUser", "[PLN_ToyotaDeliveryOrderErrorLst].LastUser", "lastuser", grmi.TypeString)
var ToyotaDeliveryOrderErrorLst_CreateTime = grmi.NewField("CreateTime", "[PLN_ToyotaDeliveryOrderErrorLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ToyotaDeliveryOrderErrorLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-16 10:14:04
 *
 ******************************************************************************/
var ToyotaDeliveryOrderErrorLst = grmi.NewEntity(
	"PLN_ToyotaDeliveryOrderErrorLst",
	func() interface{} { return &model.ToyotaDeliveryOrderErrorLst{} },
	map[string]grmi.Field{
		ToyotaDeliveryOrderErrorLst_PlantNr.Name:     ToyotaDeliveryOrderErrorLst_PlantNr,
		ToyotaDeliveryOrderErrorLst_DemandId.Name:    ToyotaDeliveryOrderErrorLst_DemandId,
		ToyotaDeliveryOrderErrorLst_Pos.Name:         ToyotaDeliveryOrderErrorLst_Pos,
		ToyotaDeliveryOrderErrorLst_ErrorType.Name:   ToyotaDeliveryOrderErrorLst_ErrorType,
		ToyotaDeliveryOrderErrorLst_ErrorInfo.Name:   ToyotaDeliveryOrderErrorLst_ErrorInfo,
		ToyotaDeliveryOrderErrorLst_ErrorStatus.Name: ToyotaDeliveryOrderErrorLst_ErrorStatus,
		ToyotaDeliveryOrderErrorLst_LastModify.Name:  ToyotaDeliveryOrderErrorLst_LastModify,
		ToyotaDeliveryOrderErrorLst_LastUser.Name:    ToyotaDeliveryOrderErrorLst_LastUser,
		ToyotaDeliveryOrderErrorLst_CreateTime.Name:  ToyotaDeliveryOrderErrorLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ErrorType", "ErrorInfo", "ErrorStatus", "LastUser"})
