// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/report"
)

/******************************************************************************
 *
 * @Description              : DashBoardHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 11:05:20
 *
 ******************************************************************************/
var DashBoardHead_PlantNr = grmi.NewField("PlantNr", "[RP_DashBoardHead].PlantNr", "plantnr", grmi.TypeInt)
var DashBoardHead_DashboardId = grmi.NewField("DashboardId", "[RP_DashBoardHead].DashboardId", "dashboardid", grmi.TypeString)
var DashBoardHead_Desc = grmi.NewField("Desc", "[RP_DashBoardHead].Desc", "desc", grmi.TypeString)
var DashBoardHead_Title = grmi.NewField("Title", "[RP_DashBoardHead].Title", "title", grmi.TypeString)
var DashBoardHead_DPCtrlPara1 = grmi.NewField("DPCtrlPara1", "[RP_DashBoardHead].DPCtrlPara1", "dpctrlpara1", grmi.TypeInt)
var DashBoardHead_DPCtrlPara2 = grmi.NewField("DPCtrlPara2", "[RP_DashBoardHead].DPCtrlPara2", "dpctrlpara2", grmi.TypeInt)
var DashBoardHead_DPCtrlPara3 = grmi.NewField("DPCtrlPara3", "[RP_DashBoardHead].DPCtrlPara3", "dpctrlpara3", grmi.TypeString)
var DashBoardHead_DPCtrlPara4 = grmi.NewField("DPCtrlPara4", "[RP_DashBoardHead].DPCtrlPara4", "dpctrlpara4", grmi.TypeString)
var DashBoardHead_DPCtrlPara5 = grmi.NewField("DPCtrlPara5", "[RP_DashBoardHead].DPCtrlPara5", "dpctrlpara5", grmi.TypeFloat64)
var DashBoardHead_DPCtrlPara6 = grmi.NewField("DPCtrlPara6", "[RP_DashBoardHead].DPCtrlPara6", "dpctrlpara6", grmi.TypeFloat64)
var DashBoardHead_LastModify = grmi.NewField("LastModify", "[RP_DashBoardHead].LastModify", "lastmodify", grmi.TypeDateTime)
var DashBoardHead_LastUser = grmi.NewField("LastUser", "[RP_DashBoardHead].LastUser", "lastuser", grmi.TypeString)
var DashBoardHead_CreateTime = grmi.NewField("CreateTime", "[RP_DashBoardHead].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DashBoardHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 11:05:20
 *
 ******************************************************************************/
var DashBoardHead = grmi.NewEntity(
	"RP_DashBoardHead",
	func() interface{} { return &model.DashBoardHead{} },
	map[string]grmi.Field{
		DashBoardHead_PlantNr.Name:     DashBoardHead_PlantNr,
		DashBoardHead_DashboardId.Name: DashBoardHead_DashboardId,
		DashBoardHead_Desc.Name:        DashBoardHead_Desc,
		DashBoardHead_Title.Name:       DashBoardHead_Title,
		DashBoardHead_DPCtrlPara1.Name: DashBoardHead_DPCtrlPara1,
		DashBoardHead_DPCtrlPara2.Name: DashBoardHead_DPCtrlPara2,
		DashBoardHead_DPCtrlPara3.Name: DashBoardHead_DPCtrlPara3,
		DashBoardHead_DPCtrlPara4.Name: DashBoardHead_DPCtrlPara4,
		DashBoardHead_DPCtrlPara5.Name: DashBoardHead_DPCtrlPara5,
		DashBoardHead_DPCtrlPara6.Name: DashBoardHead_DPCtrlPara6,
		DashBoardHead_LastModify.Name:  DashBoardHead_LastModify,
		DashBoardHead_LastUser.Name:    DashBoardHead_LastUser,
		DashBoardHead_CreateTime.Name:  DashBoardHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Desc", "Title", "DPCtrlPara1", "DPCtrlPara2", "DPCtrlPara3", "DPCtrlPara4", "DPCtrlPara5", "DPCtrlPara6", "LastUser"})
