// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : AndonInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : AndonInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
type AndonInfo struct {
	WorkLineId  string        `xorm:"nvarchar(40) 'WorkLineId' not null" json:"AndonInfo-WorkLineId"`
	PO          string        `xorm:"nvarchar(40) 'PO' not null" json:"AndonInfo-PO"`
	WorkPlaceId string        `xorm:"nvarchar(40) 'WorkPlaceId' not null" json:"AndonInfo-WorkPlaceId"`
	WorkPlaceNr int           `xorm:"int 'WorkPlaceNr' not null" json:"AndonInfo-WorkPlaceNr"`
	SerialId    string        `xorm:"nvarchar(15) 'SerialId' not null" json:"AndonInfo-SerialId"`
	OperationId int           `xorm:"int 'OperationId' not null" json:"AndonInfo-OperationId"`
	RuleId      int           `xorm:"int 'RuleId' not null" json:"AndonInfo-RuleId"`
	RuleDesc    string        `xorm:"nvarchar(100) 'RuleDesc' not null" json:"AndonInfo-RuleDesc"`
	CallTime    grmi.DateTime `xorm:"datetime 'CallTime' not null" json:"AndonInfo-CallTime"`
	ManageTime  grmi.DateTime `xorm:"datetime 'ManageTime' not null" json:"AndonInfo-ManageTime"`
	IsActive    bool          `xorm:"bit 'isActive' not null" json:"AndonInfo-isActive"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"AndonInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
func (self *AndonInfo) GetKey() core.PK {
	return core.PK{}
}
