// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ShipTemplateItemLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ShipTemplateItemLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type ShipTemplateItemLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"JIT_ShipTemplateItemLst-PlantNr"`
	ShipTemplateId string        `xorm:"pk nvarchar(40) 'ShipTemplateId'" json:"JIT_ShipTemplateItemLst-ShipTemplateId"`
	Pos            int           `xorm:"pk int 'Pos'" json:"JIT_ShipTemplateItemLst-Pos"`
	PackTemplateId string        `xorm:"nvarchar(40) 'PackTemplateId' not null" json:"JIT_ShipTemplateItemLst-PackTemplateId"`
	PackTypeId     string        `xorm:"nvarchar(40) 'PackTypeId' not null" json:"JIT_ShipTemplateItemLst-PackTypeId"`
	PlanQty        int           `xorm:"int 'PlanQty' not null" json:"JIT_ShipTemplateItemLst-PlanQty"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_ShipTemplateItemLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_ShipTemplateItemLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_ShipTemplateItemLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *ShipTemplateItemLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ShipTemplateId, self.Pos}
}
