package jit

const (
	// PACK_TYPE_PRODUCT_FAMILY 打包类型
	PACK_TYPE_PRODUCT_FAMILY = "PRODUCT_FAMILY"

	MONGO_USER_SHIP_DATABASE    = "UserShipDB"
	MONGOD_USER_SHIP_COLLECTION = "UserShipCollection"

	SHIP_TYPE_ADVANCE = "ADVANCE" // 预发运
	SHIP_TYPE_FORMAL  = "FORMAL" // 正式发运
	SHIP_TYPE_SPECIAL = "SPECIAL" // 特殊发运

	// 包装单状态变更类型
	PACK_STATUS_CHANGE_TYPE_SHIP = "SHIP"
	PACK_STATUS_CHANGE_TYPE_PACK = "PACK"

	SHIP_STATUS_CHANGE_TYPE_SHIP     = "SHIP"
	SHIP_STATUS_CHANGE_TYPE_TRANSFER = "TRANSFER"

	// 包装单类型
	PACK_TYPE_STD = "STD"
	PACK_TYPE_INT = "INT"

	// 合格、不合格包装
	PACK_QUALITY_OK = "OK"
	PACK_QUALITY_NG = "NG"

	// 发运状态
	SHIP_STATUS_UNPLANED = 10 // 未计划
	SHIP_STATUS_PLANNED  = 20 // 已计划
	SHIP_STATUS_RELEASED = 26 // 已下达
	SHIP_STATUS_RUNNING  = 40 // 生产中
	SHIP_STATUS_CLOSED   = 80 // 已完成
	SHIP_STATUS_LOCKED   = 95 // 锁定
	SHIP_STATUS_CANCELED = 98 // 取消

	//包装状态
	PACK_STATUS_UNPLANED = 10 // 未计划
	PACK_STATUS_PLANNED  = 20 // 已计划
	PACK_STATUS_RELEASED = 26 // 已下达
	PACK_STATUS_RUNNING  = 40 // 生产中
	PACK_STATUS_CLOSED   = 80 // 已完成
	PACK_STATUS_LOCKED   = 95 // 锁定
	PACK_STATUS_CANCELED = 98 // 取消

	// 打包地点
	PACK_LOCATION_ON_LINE = "ON_LINE"
	PACK_LOCATION_OUT_LINE = "OUT_LINE"
	PACK_LOCATION_BACKFLUSH = "BACKFLUSH"

	// 错误类型
	ERROR_TYPE_SYSTEM = "SYSTEM"
	ERROR_TYPE_DATA = "DATA"
	ERROR_TYPE_HINT = "HINT"
	ERROR_TYTPE_PLC = "PLC"
)
