// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProductFamilyRelate
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductFamilyRelate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-26 14:38:54
 *
 ******************************************************************************/
type ProductFamilyRelate struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"ME_ProductFamilyRelate-PlantNr"`
	ProductFamilyId string        `xorm:"pk nvarchar(40) 'ProductFamilyId'" json:"ME_ProductFamilyRelate-ProductFamilyId"`
	ProjectId       string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"ME_ProductFamilyRelate-ProjectId"`
	ProductId       string        `xorm:"pk nvarchar(40) 'ProductId'" json:"ME_ProductFamilyRelate-ProductId"`
	ProductDescr    string        `xorm:"nvarchar(40) 'ProductDescr' not null" json:"ME_ProductFamilyRelate-ProductDescr"`
	Pos             int           `xorm:"int 'Pos' not null" json:"ME_ProductFamilyRelate-Pos"`
	Count           int           `xorm:"int 'Count' not null" json:"ME_ProductFamilyRelate-Count"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ME_ProductFamilyRelate-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ME_ProductFamilyRelate-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ME_ProductFamilyRelate-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-26 14:38:54
 *
 ******************************************************************************/
func (self *ProductFamilyRelate) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProductFamilyId, self.ProjectId, self.ProductId}
}
