// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderOnlyBarcodeRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderOnlyBarcodeRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-20 09:20:27
 *
 ******************************************************************************/
type SerialOrderOnlyBarcodeRecLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderOnlyBarcodeRecLst-PlantNr"`
	SerialOrderId string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderOnlyBarcodeRecLst-SerialOrderId"`
	PO            string        `xorm:"pk nvarchar(40) 'PO'" json:"OM_SerialOrderOnlyBarcodeRecLst-PO"`
	SubArtId      string        `xorm:"pk nvarchar(40) 'SubArtId'" json:"OM_SerialOrderOnlyBarcodeRecLst-SubArtId"`
	Barcode       string        `xorm:"pk nvarchar(300) 'Barcode'" json:"OM_SerialOrderOnlyBarcodeRecLst-Barcode"`
	Status        int           `xorm:"pk int 'Status'" json:"OM_SerialOrderOnlyBarcodeRecLst-Status"`
	DetailId      int64         `xorm:"bigint 'DetailId' not null autoincr" json:"OM_SerialOrderOnlyBarcodeRecLst-DetailId"`
	WorkPlaceNr   int           `xorm:"int 'WorkPlaceNr' not null" json:"OM_SerialOrderOnlyBarcodeRecLst-WorkPlaceNr"`
	Remark1       string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_SerialOrderOnlyBarcodeRecLst-Remark1"`
	Remark2       string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_SerialOrderOnlyBarcodeRecLst-Remark2"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderOnlyBarcodeRecLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderOnlyBarcodeRecLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderOnlyBarcodeRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-20 09:20:27
 *
 ******************************************************************************/
func (self *SerialOrderOnlyBarcodeRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.PO, self.SubArtId, self.Barcode, self.Status}
}
