// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : HondaCalloffErrorLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaCalloffErrorLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
type HondaCalloffErrorLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PLN_HondaCalloffErrorLst-PlantNr"`
	CalloffId   string        `xorm:"pk nvarchar(40) 'CalloffId'" json:"PLN_HondaCalloffErrorLst-CalloffId"`
	Pos         int           `xorm:"pk int 'Pos'" json:"PLN_HondaCalloffErrorLst-Pos"`
	ErrorType   string        `xorm:"nvarchar(20) 'ErrorType' not null" json:"PLN_HondaCalloffErrorLst-ErrorType"`
	ErrorInfo   string        `xorm:"nvarchar(255) 'ErrorInfo' not null" json:"PLN_HondaCalloffErrorLst-ErrorInfo"`
	ErrorStatus string        `xorm:"nvarchar(3) 'ErrorStatus' not null" json:"PLN_HondaCalloffErrorLst-ErrorStatus"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_HondaCalloffErrorLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_HondaCalloffErrorLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_HondaCalloffErrorLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
func (self *HondaCalloffErrorLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CalloffId, self.Pos}
}
