// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ToyotaCallOffErrorLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaCallOffErrorLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
type ToyotaCallOffErrorLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PLN_ToyotaCallOffErrorLst-PlantNr"`
	DemandId    string        `xorm:"pk nvarchar(40) 'DemandId'" json:"PLN_ToyotaCallOffErrorLst-DemandId"`
	Pos         int           `xorm:"pk int 'Pos'" json:"PLN_ToyotaCallOffErrorLst-Pos"`
	ErrorType   string        `xorm:"nvarchar(20) 'ErrorType' not null" json:"PLN_ToyotaCallOffErrorLst-ErrorType"`
	ErrorInfo   string        `xorm:"nvarchar(255) 'ErrorInfo' not null" json:"PLN_ToyotaCallOffErrorLst-ErrorInfo"`
	ErrorStatus string        `xorm:"nvarchar(5) 'ErrorStatus' not null" json:"PLN_ToyotaCallOffErrorLst-ErrorStatus"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_ToyotaCallOffErrorLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_ToyotaCallOffErrorLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_ToyotaCallOffErrorLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
func (self *ToyotaCallOffErrorLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DemandId, self.Pos}
}
