// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : AndonInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
var AndonInfo_WorkLineId = grmi.NewField("WorkLineId", "[AndonInfo].WorkLineId", "worklineid", grmi.TypeString)
var AndonInfo_PO = grmi.NewField("PO", "[AndonInfo].PO", "po", grmi.TypeString)
var AndonInfo_WorkPlaceId = grmi.NewField("WorkPlaceId", "[AndonInfo].WorkPlaceId", "workplaceid", grmi.TypeString)
var AndonInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[AndonInfo].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var AndonInfo_SerialId = grmi.NewField("SerialId", "[AndonInfo].SerialId", "serialid", grmi.TypeString)
var AndonInfo_OperationId = grmi.NewField("OperationId", "[AndonInfo].OperationId", "operationid", grmi.TypeInt)
var AndonInfo_RuleId = grmi.NewField("RuleId", "[AndonInfo].RuleId", "ruleid", grmi.TypeInt)
var AndonInfo_RuleDesc = grmi.NewField("RuleDesc", "[AndonInfo].RuleDesc", "ruledesc", grmi.TypeString)
var AndonInfo_CallTime = grmi.NewField("CallTime", "[AndonInfo].CallTime", "calltime", grmi.TypeDateTime)
var AndonInfo_ManageTime = grmi.NewField("ManageTime", "[AndonInfo].ManageTime", "managetime", grmi.TypeDateTime)
var AndonInfo_IsActive = grmi.NewField("IsActive", "[AndonInfo].isActive", "isactive", grmi.TypeBool)
var AndonInfo_LastModify = grmi.NewField("LastModify", "[AndonInfo].LastModify", "lastmodify", grmi.TypeDateTime)
var AndonInfo_LastUser = grmi.NewField("LastUser", "[AndonInfo].LastUser", "lastuser", grmi.TypeString)
var AndonInfo_CreateTime = grmi.NewField("CreateTime", "[AndonInfo].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : AndonInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
var AndonInfo = grmi.NewEntity(
	"AndonInfo",
	func() interface{} { return &model.AndonInfo{} },
	map[string]grmi.Field{
		AndonInfo_WorkLineId.Name:  AndonInfo_WorkLineId,
		AndonInfo_PO.Name:          AndonInfo_PO,
		AndonInfo_WorkPlaceId.Name: AndonInfo_WorkPlaceId,
		AndonInfo_WorkPlaceNr.Name: AndonInfo_WorkPlaceNr,
		AndonInfo_SerialId.Name:    AndonInfo_SerialId,
		AndonInfo_OperationId.Name: AndonInfo_OperationId,
		AndonInfo_RuleId.Name:      AndonInfo_RuleId,
		AndonInfo_RuleDesc.Name:    AndonInfo_RuleDesc,
		AndonInfo_CallTime.Name:    AndonInfo_CallTime,
		AndonInfo_ManageTime.Name:  AndonInfo_ManageTime,
		AndonInfo_IsActive.Name:    AndonInfo_IsActive,
		AndonInfo_LastModify.Name:  AndonInfo_LastModify,
		AndonInfo_LastUser.Name:    AndonInfo_LastUser,
		AndonInfo_CreateTime.Name:  AndonInfo_CreateTime,
	},
	[]string{},
	[]string{"WorkLineId", "PO", "WorkPlaceId", "WorkPlaceNr", "SerialId", "OperationId", "RuleId", "RuleDesc", "CallTime", "ManageTime", "isActive", "LastUser"})
