// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : CrossPlanTaskDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-19 17:51:14
 *
 ******************************************************************************/
var CrossPlanTaskDetail_TaskNr = grmi.NewField("TaskNr", "[CrossPlanTaskDetail].TaskNr", "tasknr", grmi.TypeInt)
var CrossPlanTaskDetail_ItemNr = grmi.NewField("ItemNr", "[CrossPlanTaskDetail].ItemNr", "itemnr", grmi.TypeInt)
var CrossPlanTaskDetail_ArtId = grmi.NewField("ArtId", "[CrossPlanTaskDetail].ArtId", "artid", grmi.TypeString)
var CrossPlanTaskDetail_Status = grmi.NewField("Status", "[CrossPlanTaskDetail].Status", "status", grmi.TypeInt)
var CrossPlanTaskDetail_BusinessObjType = grmi.NewField("BusinessObjType", "[CrossPlanTaskDetail].BusinessObjType", "businessobjtype", grmi.TypeString)
var CrossPlanTaskDetail_BusinessObjId = grmi.NewField("BusinessObjId", "[CrossPlanTaskDetail].BusinessObjId", "businessobjid", grmi.TypeString)
var CrossPlanTaskDetail_AccomplishTime = grmi.NewField("AccomplishTime", "[CrossPlanTaskDetail].AccomplishTime", "accomplishtime", grmi.TypeDateTime)
var CrossPlanTaskDetail_ErrorMsg = grmi.NewField("ErrorMsg", "[CrossPlanTaskDetail].ErrorMsg", "errormsg", grmi.TypeString)
var CrossPlanTaskDetail_TranferStrPara1 = grmi.NewField("TranferStrPara1", "[CrossPlanTaskDetail].TranferStrPara1", "tranferstrpara1", grmi.TypeString)
var CrossPlanTaskDetail_TranferStrPara2 = grmi.NewField("TranferStrPara2", "[CrossPlanTaskDetail].TranferStrPara2", "tranferstrpara2", grmi.TypeString)
var CrossPlanTaskDetail_TranferStrPara3 = grmi.NewField("TranferStrPara3", "[CrossPlanTaskDetail].TranferStrPara3", "tranferstrpara3", grmi.TypeString)
var CrossPlanTaskDetail_TranferIntPara1 = grmi.NewField("TranferIntPara1", "[CrossPlanTaskDetail].TranferIntPara1", "tranferintpara1", grmi.TypeInt)
var CrossPlanTaskDetail_TranferIntPara2 = grmi.NewField("TranferIntPara2", "[CrossPlanTaskDetail].TranferIntPara2", "tranferintpara2", grmi.TypeInt)
var CrossPlanTaskDetail_TranferIntPara3 = grmi.NewField("TranferIntPara3", "[CrossPlanTaskDetail].TranferIntPara3", "tranferintpara3", grmi.TypeInt)
var CrossPlanTaskDetail_LastModify = grmi.NewField("LastModify", "[CrossPlanTaskDetail].LastModify", "lastmodify", grmi.TypeDateTime)
var CrossPlanTaskDetail_LastUser = grmi.NewField("LastUser", "[CrossPlanTaskDetail].LastUser", "lastuser", grmi.TypeString)
var CrossPlanTaskDetail_CreateTime = grmi.NewField("CreateTime", "[CrossPlanTaskDetail].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CrossPlanTaskDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-19 17:51:14
 *
 ******************************************************************************/
var CrossPlanTaskDetail = grmi.NewEntity(
	"CrossPlanTaskDetail",
	func() interface{} { return &model.CrossPlanTaskDetail{} },
	map[string]grmi.Field{
		CrossPlanTaskDetail_TaskNr.Name:          CrossPlanTaskDetail_TaskNr,
		CrossPlanTaskDetail_ItemNr.Name:          CrossPlanTaskDetail_ItemNr,
		CrossPlanTaskDetail_ArtId.Name:           CrossPlanTaskDetail_ArtId,
		CrossPlanTaskDetail_Status.Name:          CrossPlanTaskDetail_Status,
		CrossPlanTaskDetail_BusinessObjType.Name: CrossPlanTaskDetail_BusinessObjType,
		CrossPlanTaskDetail_BusinessObjId.Name:   CrossPlanTaskDetail_BusinessObjId,
		CrossPlanTaskDetail_AccomplishTime.Name:  CrossPlanTaskDetail_AccomplishTime,
		CrossPlanTaskDetail_ErrorMsg.Name:        CrossPlanTaskDetail_ErrorMsg,
		CrossPlanTaskDetail_TranferStrPara1.Name: CrossPlanTaskDetail_TranferStrPara1,
		CrossPlanTaskDetail_TranferStrPara2.Name: CrossPlanTaskDetail_TranferStrPara2,
		CrossPlanTaskDetail_TranferStrPara3.Name: CrossPlanTaskDetail_TranferStrPara3,
		CrossPlanTaskDetail_TranferIntPara1.Name: CrossPlanTaskDetail_TranferIntPara1,
		CrossPlanTaskDetail_TranferIntPara2.Name: CrossPlanTaskDetail_TranferIntPara2,
		CrossPlanTaskDetail_TranferIntPara3.Name: CrossPlanTaskDetail_TranferIntPara3,
		CrossPlanTaskDetail_LastModify.Name:      CrossPlanTaskDetail_LastModify,
		CrossPlanTaskDetail_LastUser.Name:        CrossPlanTaskDetail_LastUser,
		CrossPlanTaskDetail_CreateTime.Name:      CrossPlanTaskDetail_CreateTime,
	},
	[]string{},
	[]string{"ArtId", "Status", "BusinessObjType", "BusinessObjId", "AccomplishTime", "ErrorMsg", "TranferStrPara1", "TranferStrPara2", "TranferStrPara3", "TranferIntPara1", "TranferIntPara2", "TranferIntPara3", "LastUser"})
