// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : LabelDetail的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelDetail_PlantNr = grmi.NewField("PlantNr", "[LabelDetail].PlantNr", "plantnr", grmi.TypeInt)
var LabelDetail_LabelId = grmi.NewField("LabelId", "[LabelDetail].LabelId", "labelid", grmi.TypeString)
var LabelDetail_Pos = grmi.NewField("Pos", "[LabelDetail].Pos", "pos", grmi.TypeInt)
var LabelDetail_VariableName = grmi.NewField("VariableName", "[LabelDetail].VariableName", "variablename", grmi.TypeString)
var LabelDetail_VariableValue = grmi.NewField("VariableValue", "[LabelDetail].VariableValue", "variablevalue", grmi.TypeString)
var LabelDetail_LastModify = grmi.NewField("LastModify", "[LabelDetail].LastModify", "lastmodify", grmi.TypeDateTime)
var LabelDetail_LastUser = grmi.NewField("LastUser", "[LabelDetail].LastUser", "lastuser", grmi.TypeString)
var LabelDetail_CreateTime = grmi.NewField("CreateTime", "[LabelDetail].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : LabelDetail的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelDetail = grmi.NewEntity(
	"LabelDetail",
	func() interface{} { return &model.LabelDetail{} },
	map[string]grmi.Field{
		LabelDetail_PlantNr.Name:       LabelDetail_PlantNr,
		LabelDetail_LabelId.Name:       LabelDetail_LabelId,
		LabelDetail_Pos.Name:           LabelDetail_Pos,
		LabelDetail_VariableName.Name:  LabelDetail_VariableName,
		LabelDetail_VariableValue.Name: LabelDetail_VariableValue,
		LabelDetail_LastModify.Name:    LabelDetail_LastModify,
		LabelDetail_LastUser.Name:      LabelDetail_LastUser,
		LabelDetail_CreateTime.Name:    LabelDetail_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"VariableName", "VariableValue", "LastUser"})
