// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : LabelHead的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelHead_PlantNr = grmi.NewField("PlantNr", "[LabelHead].PlantNr", "plantnr", grmi.TypeInt)
var LabelHead_LabelId = grmi.NewField("LabelId", "[LabelHead].LabelId", "labelid", grmi.TypeString)
var LableHead_OperationId = grmi.NewField("OperationId", "[LabelHead].OperationId", "operationid", grmi.TypeInt)
var LabelHead_LabelTemplateId = grmi.NewField("LabelTemplateId", "[LabelHead].LabelTemplateId", "labeltemplateid", grmi.TypeString)
var LabelHead_PrinterId = grmi.NewField("PrinterId", "[LabelHead].PrinterId", "printerid", grmi.TypeString)
var LabelHead_BusinessObjType = grmi.NewField("BusinessObjType", "[LabelHead].BusinessObjType", "businessobjtype", grmi.TypeString)
var LabelHead_BusinessObjId = grmi.NewField("BusinessObjId", "[LabelHead].BusinessObjId", "businessobjid", grmi.TypeString)
var LabelHead_Status = grmi.NewField("Status", "[LabelHead].Status", "status", grmi.TypeInt)
var LabelHead_PrintQty = grmi.NewField("PrintQty", "[LabelHead].PrintQty", "printqty", grmi.TypeInt)
var LabelHead_PrintTime = grmi.NewField("PrintTime", "[LabelHead].PrintTime", "printtime", grmi.TypeDateTime)
var LabelHead_LastModify = grmi.NewField("LastModify", "[LabelHead].LastModify", "lastmodify", grmi.TypeDateTime)
var LabelHead_LastUser = grmi.NewField("LastUser", "[LabelHead].LastUser", "lastuser", grmi.TypeString)
var LabelHead_CreateTime = grmi.NewField("CreateTime", "[LabelHead].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : LabelHead的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
var LabelHead = grmi.NewEntity(
	"LabelHead",
	func() interface{} { return &model.LabelHead{} },
	map[string]grmi.Field{
		LabelHead_PlantNr.Name:         LabelHead_PlantNr,
		LabelHead_LabelId.Name:         LabelHead_LabelId,
		LableHead_OperationId.Name:     LableHead_OperationId,
		LabelHead_LabelTemplateId.Name: LabelHead_LabelTemplateId,
		LabelHead_PrinterId.Name:       LabelHead_PrinterId,
		LabelHead_BusinessObjType.Name: LabelHead_BusinessObjType,
		LabelHead_BusinessObjId.Name:   LabelHead_BusinessObjId,
		LabelHead_Status.Name:          LabelHead_Status,
		LabelHead_PrintQty.Name:        LabelHead_PrintQty,
		LabelHead_PrintTime.Name:       LabelHead_PrintTime,
		LabelHead_LastModify.Name:      LabelHead_LastModify,
		LabelHead_LastUser.Name:        LabelHead_LastUser,
		LabelHead_CreateTime.Name:      LabelHead_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"OperationId", "LabelTemplateId", "PrinterId", "BusinessObjType", "BusinessObjId", "Status", "PrintQty", "PrintTime", "LastUser"})
