// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : MonitorOperation的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
var MonitorOperation_PlantNr = grmi.NewField("PlantNr", "[MonitorOperation].PlantNr", "plantnr", grmi.TypeInt)
var MonitorOperation_OperationId = grmi.NewField("OperationId", "[MonitorOperation].OperationId", "operationid", grmi.TypeInt)
var MonitorOperation_PO = grmi.NewField("PO", "[MonitorOperation].PO", "po", grmi.TypeString)
var MonitorOperation_StepNo = grmi.NewField("StepNo", "[MonitorOperation].StepNo", "stepno", grmi.TypeInt)
var MonitorOperation_StepDesc = grmi.NewField("StepDesc", "[MonitorOperation].StepDesc", "stepdesc", grmi.TypeString)
var MonitorOperation_StepType = grmi.NewField("StepType", "[MonitorOperation].StepType", "steptype", grmi.TypeString)
var MonitorOperation_ProjectId = grmi.NewField("ProjectId", "[MonitorOperation].ProjectId", "projectid", grmi.TypeString)
var MonitorOperation_TriggerPoint = grmi.NewField("TriggerPoint", "[MonitorOperation].TriggerPoint", "triggerpoint", grmi.TypeString)
var MonitorOperation_RunForeground = grmi.NewField("RunForeground", "[MonitorOperation].RunForeground", "runforeground", grmi.TypeInt)
var MonitorOperation_LastModify = grmi.NewField("LastModify", "[MonitorOperation].LastModify", "lastmodify", grmi.TypeDateTime)
var MonitorOperation_LastUser = grmi.NewField("LastUser", "[MonitorOperation].LastUser", "lastuser", grmi.TypeString)
var MonitorOperation_CreateTime = grmi.NewField("CreateTime", "[MonitorOperation].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : MonitorOperation的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
var MonitorOperation = grmi.NewEntity(
	"MonitorOperation",
	func() interface{} { return &model.MonitorOperation{} },
	map[string]grmi.Field{
		MonitorOperation_PlantNr.Name:       MonitorOperation_PlantNr,
		MonitorOperation_OperationId.Name:   MonitorOperation_OperationId,
		MonitorOperation_PO.Name:            MonitorOperation_PO,
		MonitorOperation_StepNo.Name:        MonitorOperation_StepNo,
		MonitorOperation_StepDesc.Name:      MonitorOperation_StepDesc,
		MonitorOperation_StepType.Name:      MonitorOperation_StepType,
		MonitorOperation_ProjectId.Name:     MonitorOperation_ProjectId,
		MonitorOperation_TriggerPoint.Name:  MonitorOperation_TriggerPoint,
		MonitorOperation_RunForeground.Name: MonitorOperation_RunForeground,
		MonitorOperation_LastModify.Name:    MonitorOperation_LastModify,
		MonitorOperation_LastUser.Name:      MonitorOperation_LastUser,
		MonitorOperation_CreateTime.Name:    MonitorOperation_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PO", "StepNo", "StepDesc", "StepType", "ProjectId", "TriggerPoint", "RunForeground", "LastUser"})
