// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : PLCErrorInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-14 17:25:00
 *
 ******************************************************************************/
var PLCErrorInfo_PlantNr = grmi.NewField("PlantNr", "[PLCErrorInfo].PlantNr", "plantnr", grmi.TypeInt)
var PLCErrorInfo_ErrorId = grmi.NewField("ErrorId", "[PLCErrorInfo].ErrorId", "errorid", grmi.TypeString)
var PLCErrorInfo_Source = grmi.NewField("Source", "[PLCErrorInfo].Source", "source", grmi.TypeString)
var PLCErrorInfo_Status = grmi.NewField("Status", "[PLCErrorInfo].Status", "status", grmi.TypeInt)
var PLCErrorInfo_Step = grmi.NewField("Step", "[PLCErrorInfo].Step", "step", grmi.TypeInt)
var PLCErrorInfo_ErrorInfo = grmi.NewField("ErrorInfo", "[PLCErrorInfo].ErrorInfo", "errorinfo", grmi.TypeString)
var PLCErrorInfo_SeatData = grmi.NewField("SeatData", "[PLCErrorInfo].SeatData", "seatdata", grmi.TypeString)
var PLCErrorInfo_Location = grmi.NewField("Location", "[PLCErrorInfo].Location", "location", grmi.TypeString)
var PLCErrorInfo_ErrorType = grmi.NewField("ErrorType", "[PLCErrorInfo].ErrorType", "errortype", grmi.TypeString)
var PLCErrorInfo_SaveStr1 = grmi.NewField("SaveStr1", "[PLCErrorInfo].SaveStr1", "savestr1", grmi.TypeString)
var PLCErrorInfo_SaveStr2 = grmi.NewField("SaveStr2", "[PLCErrorInfo].SaveStr2", "savestr2", grmi.TypeString)
var PLCErrorInfo_SaveStr3 = grmi.NewField("SaveStr3", "[PLCErrorInfo].SaveStr3", "savestr3", grmi.TypeString)
var PLCErrorInfo_SaveInt1 = grmi.NewField("SaveInt1", "[PLCErrorInfo].SaveInt1", "saveint1", grmi.TypeInt)
var PLCErrorInfo_SaveInt2 = grmi.NewField("SaveInt2", "[PLCErrorInfo].SaveInt2", "saveint2", grmi.TypeInt)
var PLCErrorInfo_SaveInt3 = grmi.NewField("SaveInt3", "[PLCErrorInfo].SaveInt3", "saveint3", grmi.TypeInt)
var PLCErrorInfo_SaveFloat1 = grmi.NewField("SaveFloat1", "[PLCErrorInfo].SaveFloat1", "savefloat1", grmi.TypeFloat64)
var PLCErrorInfo_SaveFloat2 = grmi.NewField("SaveFloat2", "[PLCErrorInfo].SaveFloat2", "savefloat2", grmi.TypeFloat64)
var PLCErrorInfo_SaveFloat3 = grmi.NewField("SaveFloat3", "[PLCErrorInfo].SaveFloat3", "savefloat3", grmi.TypeFloat64)
var PLCErrorInfo_LastModify = grmi.NewField("LastModify", "[PLCErrorInfo].LastModify", "lastmodify", grmi.TypeDateTime)
var PLCErrorInfo_LastUser = grmi.NewField("LastUser", "[PLCErrorInfo].LastUser", "lastuser", grmi.TypeString)
var PLCErrorInfo_CreateTime = grmi.NewField("CreateTime", "[PLCErrorInfo].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PLCErrorInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-14 17:25:00
 *
 ******************************************************************************/
var PLCErrorInfo = grmi.NewEntity(
	"PLCErrorInfo",
	func() interface{} { return &model.PLCErrorInfo{} },
	map[string]grmi.Field{
		PLCErrorInfo_PlantNr.Name:    PLCErrorInfo_PlantNr,
		PLCErrorInfo_ErrorId.Name:    PLCErrorInfo_ErrorId,
		PLCErrorInfo_Source.Name:     PLCErrorInfo_Source,
		PLCErrorInfo_Status.Name:     PLCErrorInfo_Status,
		PLCErrorInfo_Step.Name:       PLCErrorInfo_Step,
		PLCErrorInfo_ErrorInfo.Name:  PLCErrorInfo_ErrorInfo,
		PLCErrorInfo_SeatData.Name:   PLCErrorInfo_SeatData,
		PLCErrorInfo_Location.Name:   PLCErrorInfo_Location,
		PLCErrorInfo_ErrorType.Name: PLCErrorInfo_ErrorType,
		PLCErrorInfo_SaveStr1.Name:   PLCErrorInfo_SaveStr1,
		PLCErrorInfo_SaveStr2.Name:   PLCErrorInfo_SaveStr2,
		PLCErrorInfo_SaveStr3.Name:   PLCErrorInfo_SaveStr3,
		PLCErrorInfo_SaveInt1.Name:   PLCErrorInfo_SaveInt1,
		PLCErrorInfo_SaveInt2.Name:   PLCErrorInfo_SaveInt2,
		PLCErrorInfo_SaveInt3.Name:   PLCErrorInfo_SaveInt3,
		PLCErrorInfo_SaveFloat1.Name: PLCErrorInfo_SaveFloat1,
		PLCErrorInfo_SaveFloat2.Name: PLCErrorInfo_SaveFloat2,
		PLCErrorInfo_SaveFloat3.Name: PLCErrorInfo_SaveFloat3,
		PLCErrorInfo_LastModify.Name: PLCErrorInfo_LastModify,
		PLCErrorInfo_LastUser.Name:   PLCErrorInfo_LastUser,
		PLCErrorInfo_CreateTime.Name: PLCErrorInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "Step", "ErrorInfo", "SeatData", "Location", "ErrorType", "SaveStr1", "SaveStr2", "SaveStr3", "SaveInt1", "SaveInt2", "SaveInt3", "SaveFloat1", "SaveFloat2", "SaveFloat3", "LastUser"})
