// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Snr的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
var Snr_PlantNr = grmi.NewField("PlantNr", "[Snr].PlantNr", "plantnr", grmi.TypeInt)
var Snr_SnrId = grmi.NewField("SnrId", "[Snr].SnrId", "snrid", grmi.TypeString)
var Snr_Descr = grmi.NewField("Descr", "[Snr].Descr", "descr", grmi.TypeString)
var Snr_ValidFrom = grmi.NewField("ValidFrom", "[Snr].ValidFrom", "validfrom", grmi.TypeDate)
var Snr_ValidTo = grmi.NewField("ValidTo", "[Snr].ValidTo", "validto", grmi.TypeDate)
var Snr_Prefix = grmi.NewField("Prefix", "[Snr].Prefix", "prefix", grmi.TypeString)
var Snr_Infix = grmi.NewField("Infix", "[Snr].Infix", "infix", grmi.TypeString)
var Snr_Postfix = grmi.NewField("Postfix", "[Snr].Postfix", "postfix", grmi.TypeString)
var Snr_StartNr = grmi.NewField("StartNr", "[Snr].StartNr", "startnr", grmi.TypeInt)
var Snr_EndNr = grmi.NewField("EndNr", "[Snr].EndNr", "endnr", grmi.TypeInt)
var Snr_Step = grmi.NewField("Step", "[Snr].Step", "step", grmi.TypeInt)
var Snr_Length = grmi.NewField("Length", "[Snr].Length", "length", grmi.TypeInt)
var Snr_NextNr = grmi.NewField("NextNr", "[Snr].NextNr", "nextnr", grmi.TypeInt)
var Snr_Data1MappingToggle = grmi.NewField("Data1MappingToggle", "[Snr].Data1MappingToggle", "data1mappingtoggle", grmi.TypeBool)
var Snr_Data1Mapper = grmi.NewField("Data1Mapper", "[Snr].Data1Mapper", "data1mapper", grmi.TypeString)

var Snr_Data2MappingToggle = grmi.NewField("Data2MappingToggle", "[Snr].Data2MappingToggle", "data2mappingtoggle", grmi.TypeBool)
var Snr_Data2Mapper = grmi.NewField("Data2Mapper", "[Snr].Data2Mapper", "data2mapper", grmi.TypeString)

var Snr_Data3MappingToggle = grmi.NewField("Data3MappingToggle", "[Snr].Data3MappingToggle", "data3mappingtoggle", grmi.TypeBool)
var Snr_Data3Mapper = grmi.NewField("Data3Mapper", "[Snr].Data3Mapper", "data3mapper", grmi.TypeString)

var Snr_Data4MappingToggle = grmi.NewField("Data4MappingToggle", "[Snr].Data4MappingToggle", "data4mappingtoggle", grmi.TypeBool)
var Snr_Data4Mapper = grmi.NewField("Data4Mapper", "[Snr].Data4Mapper", "data4mapper", grmi.TypeString)

var Snr_Data5MappingToggle = grmi.NewField("Data5MappingToggle", "[Snr].Data5MappingToggle", "data5mappingtoggle", grmi.TypeBool)
var Snr_Data5Mapper = grmi.NewField("Data5Mapper", "[Snr].Data5Mapper", "data5mapper", grmi.TypeString)

var Snr_LastNrCreate = grmi.NewField("LastNrCreate", "[Snr].LastNrCreate", "lastnrcreate", grmi.TypeString)
var Snr_ResetNrRule = grmi.NewField("ResetNrRule", "[Snr].ResetNrRule", "resetnrrule", grmi.TypeString)
var Snr_OverflowHandling = grmi.NewField("OverflowHandling", "[Snr].OverflowHandling", "overflowhandling", grmi.TypeString)
var Snr_IdentifierFormat = grmi.NewField("IdentifierFormat", "[Snr].IdentifierFormat", "identifierformat", grmi.TypeString)
var Snr_DateVariable = grmi.NewField("DateVariable", "[Snr].DateVariable", "datevariable", grmi.TypeString)
var Snr_DateFormat = grmi.NewField("DateFormat", "[Snr].DateFormat", "dateformat", grmi.TypeString)
var Snr_Identifierlayout = grmi.NewField("Identifierlayout", "[Snr].Identifierlayout", "identifierlayout", grmi.TypeString)
var Snr_LastModify = grmi.NewField("LastModify", "[Snr].LastModify", "lastmodify", grmi.TypeDateTime)
var Snr_LastUser = grmi.NewField("LastUser", "[Snr].LastUser", "lastuser", grmi.TypeString)
var Snr_CreateTime = grmi.NewField("CreateTime", "[Snr].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Snr的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
var Snr = grmi.NewEntity(
	"Snr",
	func() interface{} { return &model.Snr{} },
	map[string]grmi.Field{
		Snr_PlantNr.Name:            Snr_PlantNr,
		Snr_SnrId.Name:              Snr_SnrId,
		Snr_Descr.Name:              Snr_Descr,
		Snr_ValidFrom.Name:          Snr_ValidFrom,
		Snr_ValidTo.Name:            Snr_ValidTo,
		Snr_Prefix.Name:             Snr_Prefix,
		Snr_Infix.Name:              Snr_Infix,
		Snr_Postfix.Name:            Snr_Postfix,
		Snr_StartNr.Name:            Snr_StartNr,
		Snr_EndNr.Name:              Snr_EndNr,
		Snr_Step.Name:               Snr_Step,
		Snr_Length.Name:             Snr_Length,
		Snr_NextNr.Name:             Snr_NextNr,
		Snr_Data1MappingToggle.Name: Snr_Data1MappingToggle,
		Snr_Data1Mapper.Name:        Snr_Data1Mapper,
		Snr_Data2MappingToggle.Name: Snr_Data2MappingToggle,
		Snr_Data2Mapper.Name:        Snr_Data2Mapper,
		Snr_Data3MappingToggle.Name: Snr_Data3MappingToggle,
		Snr_Data3Mapper.Name:        Snr_Data3Mapper,
		Snr_Data4MappingToggle.Name: Snr_Data4MappingToggle,
		Snr_Data4Mapper.Name:        Snr_Data4Mapper,
		Snr_Data5MappingToggle.Name: Snr_Data5MappingToggle,
		Snr_Data5Mapper.Name:        Snr_Data5Mapper,
		Snr_LastNrCreate.Name:       Snr_LastNrCreate,
		Snr_ResetNrRule.Name:        Snr_ResetNrRule,
		Snr_OverflowHandling.Name:   Snr_OverflowHandling,
		Snr_IdentifierFormat.Name:   Snr_IdentifierFormat,
		Snr_DateVariable.Name:       Snr_DateVariable,
		Snr_DateFormat.Name:         Snr_DateFormat,
		Snr_Identifierlayout.Name:   Snr_Identifierlayout,
		Snr_LastModify.Name:         Snr_LastModify,
		Snr_LastUser.Name:           Snr_LastUser,
		Snr_CreateTime.Name:         Snr_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "ValidFrom", "ValidTo", "Prefix", "Infix", "Postfix", "StartNr", "EndNr", "Step", "Length", "NextNr", "Data1MappingToggle", "Data1Mapper", "Data2MappingToggle", "Data2Mapper", "Data3MappingToggle", "Data3Mapper", "Data4MappingToggle", "Data4Mapper", "Data5MappingToggle", "Data5Mapper", "LastNrCreate", "ResetNrRule", "OverflowHandling", "IdentifierFormat", "DateVariable", "DateFormat", "Identifierlayout", "LastUser"})
