// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : SnrOccupy的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
var SnrOccupy_PlantNr = grmi.NewField("PlantNr", "[SnrOccupy].PlantNr", "plantnr", grmi.TypeInt)
var SnrOccupy_OccupyNr = grmi.NewField("OccupyNr", "[SnrOccupy].OccupyNr", "occupynr", grmi.TypeInt)
var SnrOccupy_SnrId = grmi.NewField("SnrId", "[SnrOccupy].SnrId", "snrid", grmi.TypeString)
var SnrOccupy_ItemNr = grmi.NewField("ItemNr", "[SnrOccupy].ItemNr", "itemnr", grmi.TypeInt)
var SnrOccupy_BusinessObjType = grmi.NewField("BusinessObjType", "[SnrOccupy].BusinessObjType", "businessobjtype", grmi.TypeString)
var SnrOccupy_BusinessObjId = grmi.NewField("BusinessObjId", "[SnrOccupy].BusinessObjId", "businessobjid", grmi.TypeString)
var SnrOccupy_SnrData = grmi.NewField("SnrData", "[SnrOccupy].SnrData", "snrdata", grmi.TypeString)
var SnrOccupy_Status = grmi.NewField("Status", "[SnrOccupy].Status", "status", grmi.TypeInt)
var SnrOccupy_LastModify = grmi.NewField("LastModify", "[SnrOccupy].LastModify", "lastmodify", grmi.TypeDateTime)
var SnrOccupy_LastUser = grmi.NewField("LastUser", "[SnrOccupy].LastUser", "lastuser", grmi.TypeString)
var SnrOccupy_CreateTime = grmi.NewField("CreateTime", "[SnrOccupy].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SnrOccupy的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
var SnrOccupy = grmi.NewEntity(
	"SnrOccupy",
	func() interface{} { return &model.SnrOccupy{} },
	map[string]grmi.Field{
		SnrOccupy_PlantNr.Name:         SnrOccupy_PlantNr,
		SnrOccupy_OccupyNr.Name:        SnrOccupy_OccupyNr,
		SnrOccupy_SnrId.Name:           SnrOccupy_SnrId,
		SnrOccupy_ItemNr.Name:          SnrOccupy_ItemNr,
		SnrOccupy_BusinessObjType.Name: SnrOccupy_BusinessObjType,
		SnrOccupy_BusinessObjId.Name:   SnrOccupy_BusinessObjId,
		SnrOccupy_SnrData.Name:         SnrOccupy_SnrData,
		SnrOccupy_Status.Name:          SnrOccupy_Status,
		SnrOccupy_LastModify.Name:      SnrOccupy_LastModify,
		SnrOccupy_LastUser.Name:        SnrOccupy_LastUser,
		SnrOccupy_CreateTime.Name:      SnrOccupy_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SnrId", "ItemNr", "BusinessObjType", "BusinessObjId", "SnrData", "Status", "LastUser"})
