// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
)

/******************************************************************************
 *
 * @Description              : EOLBR的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
var EOLBR_NAME = grmi.NewField("NAME", "[EOLBR].NAME", "name", grmi.TypeString)
var EOLBR_CODE = grmi.NewField("CODE", "[EOLBR].CODE", "code", grmi.TypeString)
var EOLBR_TESTDATA = grmi.NewField("TESTDATA", "[EOLBR].TESTDATA", "testdata", grmi.TypeDateTime)
var EOLBR_SBRNOLOADLEFT = grmi.NewField("SBRNOLOADLEFT", "[EOLBR].SBRNOLOADLEFT", "sbrnoloadleft", grmi.TypeString)
var EOLBR_SBRNOLOADMID = grmi.NewField("SBRNOLOADMID", "[EOLBR].SBRNOLOADMID", "sbrnoloadmid", grmi.TypeString)
var EOLBR_SBRNOLOADRIGHT = grmi.NewField("SBRNOLOADRIGHT", "[EOLBR].SBRNOLOADRIGHT", "sbrnoloadright", grmi.TypeString)
var EOLBR_SBRNOLOADRESULT = grmi.NewField("SBRNOLOADRESULT", "[EOLBR].SBRNOLOADRESULT", "sbrnoloadresult", grmi.TypeString)
var EOLBR_SBRLOADLEFT = grmi.NewField("SBRLOADLEFT", "[EOLBR].SBRLOADLEFT", "sbrloadleft", grmi.TypeString)
var EOLBR_SBRLOADMID = grmi.NewField("SBRLOADMID", "[EOLBR].SBRLOADMID", "sbrloadmid", grmi.TypeString)
var EOLBR_SBRLOADRIGHT = grmi.NewField("SBRLOADRIGHT", "[EOLBR].SBRLOADRIGHT", "sbrloadright", grmi.TypeString)
var EOLBR_SBRLOADRESULT = grmi.NewField("SBRLOADRESULT", "[EOLBR].SBRLOADRESULT", "sbrloadresult", grmi.TypeString)
var EOLBR_TOTALRESULT = grmi.NewField("TOTALRESULT", "[EOLBR].TOTALRESULT", "totalresult", grmi.TypeString)

/******************************************************************************
 *
 * @Description              : EOLBR的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
var EOLBR = grmi.NewEntity(
	"EOLBR",
	func() interface{} { return &model.EOLBR{} },
	map[string]grmi.Field{
		EOLBR_NAME.Name:            EOLBR_NAME,
		EOLBR_CODE.Name:            EOLBR_CODE,
		EOLBR_TESTDATA.Name:        EOLBR_TESTDATA,
		EOLBR_SBRNOLOADLEFT.Name:   EOLBR_SBRNOLOADLEFT,
		EOLBR_SBRNOLOADMID.Name:    EOLBR_SBRNOLOADMID,
		EOLBR_SBRNOLOADRIGHT.Name:  EOLBR_SBRNOLOADRIGHT,
		EOLBR_SBRNOLOADRESULT.Name: EOLBR_SBRNOLOADRESULT,
		EOLBR_SBRLOADLEFT.Name:     EOLBR_SBRLOADLEFT,
		EOLBR_SBRLOADMID.Name:      EOLBR_SBRLOADMID,
		EOLBR_SBRLOADRIGHT.Name:    EOLBR_SBRLOADRIGHT,
		EOLBR_SBRLOADRESULT.Name:   EOLBR_SBRLOADRESULT,
		EOLBR_TOTALRESULT.Name:     EOLBR_TOTALRESULT,
	},
	[]string{},
	[]string{"NAME", "CODE", "TESTDATA", "SBRNOLOADLEFT", "SBRNOLOADMID", "SBRNOLOADRIGHT", "SBRNOLOADRESULT", "SBRLOADLEFT", "SBRLOADMID", "SBRLOADRIGHT", "SBRLOADRESULT", "TOTALRESULT"})
