// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
)

/******************************************************************************
 *
 * @Description              : EOLTESTF2的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
var EOLTESTF2_BARCODE = grmi.NewField("BARCODE", "[EOL_TEST_F_2].BARCODE", "barcode", grmi.TypeString)
var EOLTESTF2_TYPE = grmi.NewField("TYPE", "[EOL_TEST_F_2].TYPE", "type", grmi.TypeString)
var EOLTESTF2_SBR_UNLOAD = grmi.NewField("SBR-UNLOAD", "[EOL_TEST_F_2].SBR-UNLOAD", "sbr-unload", grmi.TypeString)
var EOLTESTF2_SBR_UNLOADRESULT = grmi.NewField("SBR-UNLOADRESULT", "[EOL_TEST_F_2].SBR-UNLOADRESULT", "sbr-unloadresult", grmi.TypeString)
var EOLTESTF2_SBR_8KGLOAD = grmi.NewField("SBR-8KGLOAD", "[EOL_TEST_F_2].SBR-8KGLOAD", "sbr-8kgload", grmi.TypeString)
var EOLTESTF2_SBR_8KGLOADRESULT = grmi.NewField("SBR-8KGLOADRESULT", "[EOL_TEST_F_2].SBR-8KGLOADRESULT", "sbr-8kgloadresult", grmi.TypeString)
var EOLTESTF2_SBR_18KGLOAD = grmi.NewField("SBR-18KGLOAD", "[EOL_TEST_F_2].SBR-18KGLOAD", "sbr-18kgload", grmi.TypeString)
var EOLTESTF2_SBR_18KGLOADRESULT = grmi.NewField("SBR-18KGLOADRESULT", "[EOL_TEST_F_2].SBR-18KGLOADRESULT", "sbr-18kgloadresult", grmi.TypeString)
var EOLTESTF2_SAB = grmi.NewField("SAB", "[EOL_TEST_F_2].SAB", "sab", grmi.TypeString)
var EOLTESTF2_SABRESULT = grmi.NewField("SABRESULT", "[EOL_TEST_F_2].SABRESULT", "sabresult", grmi.TypeString)
var EOLTESTF2_HEAT = grmi.NewField("HEAT", "[EOL_TEST_F_2].HEAT", "heat", grmi.TypeString)
var EOLTESTF2_HEATRESULT = grmi.NewField("HEATRESULT", "[EOL_TEST_F_2].HEATRESULT", "heatresult", grmi.TypeString)
var EOLTESTF2_BUCKELUN = grmi.NewField("BUCKELUN", "[EOL_TEST_F_2].BUCKELUN", "buckelun", grmi.TypeString)
var EOLTESTF2_BUCKELUNRESULT = grmi.NewField("BUCKELUNRESULT", "[EOL_TEST_F_2].BUCKELUNRESULT", "buckelunresult", grmi.TypeString)
var EOLTESTF2_BUCKELIN = grmi.NewField("BUCKELIN", "[EOL_TEST_F_2].BUCKELIN", "buckelin", grmi.TypeString)
var EOLTESTF2_BUCKELINRESULT = grmi.NewField("BUCKELINRESULT", "[EOL_TEST_F_2].BUCKELINRESULT", "buckelinresult", grmi.TypeString)
var EOLTESTF2_BUCKELOUT = grmi.NewField("BUCKELOUT", "[EOL_TEST_F_2].BUCKELOUT", "buckelout", grmi.TypeString)
var EOLTESTF2_BUCKELOUTRESULT = grmi.NewField("BUCKELOUTRESULT", "[EOL_TEST_F_2].BUCKELOUTRESULT", "buckeloutresult", grmi.TypeString)
var EOLTESTF2_TOTALRESULT = grmi.NewField("TOTALRESULT", "[EOL_TEST_F_2].TOTALRESULT", "totalresult", grmi.TypeString)
var EOLTESTF2_CIRCLETIME = grmi.NewField("CIRCLETIME", "[EOL_TEST_F_2].CIRCLETIME", "circletime", grmi.TypeString)
var EOLTESTF2_DATA = grmi.NewField("DATA", "[EOL_TEST_F_2].DATA", "data", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : EOLTESTF2的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
var EOLTESTF2 = grmi.NewEntity(
	"EOL_TEST_F_2",
	func() interface{} { return &model.EOLTESTF2{} },
	map[string]grmi.Field{
		EOLTESTF2_BARCODE.Name:            EOLTESTF2_BARCODE,
		EOLTESTF2_TYPE.Name:               EOLTESTF2_TYPE,
		EOLTESTF2_SBR_UNLOAD.Name:         EOLTESTF2_SBR_UNLOAD,
		EOLTESTF2_SBR_UNLOADRESULT.Name:   EOLTESTF2_SBR_UNLOADRESULT,
		EOLTESTF2_SBR_8KGLOAD.Name:        EOLTESTF2_SBR_8KGLOAD,
		EOLTESTF2_SBR_8KGLOADRESULT.Name:  EOLTESTF2_SBR_8KGLOADRESULT,
		EOLTESTF2_SBR_18KGLOAD.Name:       EOLTESTF2_SBR_18KGLOAD,
		EOLTESTF2_SBR_18KGLOADRESULT.Name: EOLTESTF2_SBR_18KGLOADRESULT,
		EOLTESTF2_SAB.Name:                EOLTESTF2_SAB,
		EOLTESTF2_SABRESULT.Name:          EOLTESTF2_SABRESULT,
		EOLTESTF2_HEAT.Name:               EOLTESTF2_HEAT,
		EOLTESTF2_HEATRESULT.Name:         EOLTESTF2_HEATRESULT,
		EOLTESTF2_BUCKELUN.Name:           EOLTESTF2_BUCKELUN,
		EOLTESTF2_BUCKELUNRESULT.Name:     EOLTESTF2_BUCKELUNRESULT,
		EOLTESTF2_BUCKELIN.Name:           EOLTESTF2_BUCKELIN,
		EOLTESTF2_BUCKELINRESULT.Name:     EOLTESTF2_BUCKELINRESULT,
		EOLTESTF2_BUCKELOUT.Name:          EOLTESTF2_BUCKELOUT,
		EOLTESTF2_BUCKELOUTRESULT.Name:    EOLTESTF2_BUCKELOUTRESULT,
		EOLTESTF2_TOTALRESULT.Name:        EOLTESTF2_TOTALRESULT,
		EOLTESTF2_CIRCLETIME.Name:         EOLTESTF2_CIRCLETIME,
		EOLTESTF2_DATA.Name:               EOLTESTF2_DATA,
	},
	[]string{},
	[]string{"BARCODE", "TYPE", "SBR-UNLOAD", "SBR-UNLOADRESULT", "SBR-8KGLOAD", "SBR-8KGLOADRESULT", "SBR-18KGLOAD", "SBR-18KGLOADRESULT", "SAB", "SABRESULT", "HEAT", "HEATRESULT", "BUCKELUN", "BUCKELUNRESULT", "BUCKELIN", "BUCKELINRESULT", "BUCKELOUT", "BUCKELOUTRESULT", "TOTALRESULT", "CIRCLETIME", "DATA"})
