// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
)

/******************************************************************************
 *
 * @Description              : EOLTESTR1的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
var EOLTESTR1_BARCODE = grmi.NewField("BARCODE", "[EOL_TEST_R_1].BARCODE", "barcode", grmi.TypeString)
var EOLTESTR1_TYPE = grmi.NewField("TYPE", "[EOL_TEST_R_1].TYPE", "type", grmi.TypeString)
var EOLTESTR1_SBR_UNLOAD_L = grmi.NewField("SBR-UNLOAD-L", "[EOL_TEST_R_1].SBR-UNLOAD-L", "sbr-unload-l", grmi.TypeString)
var EOLTESTR1_SBR_UNLOADRESULT_L = grmi.NewField("SBR-UNLOADRESULT-L", "[EOL_TEST_R_1].SBR-UNLOADRESULT-L", "sbr-unloadresult-l", grmi.TypeString)
var EOLTESTR1_SBR_8KGLOAD_L = grmi.NewField("SBR-8KGLOAD-L", "[EOL_TEST_R_1].SBR-8KGLOAD-L", "sbr-8kgload-l", grmi.TypeString)
var EOLTESTR1_SBR_8KGLOADRESULT_L = grmi.NewField("SBR-8KGLOADRESULT-L", "[EOL_TEST_R_1].SBR-8KGLOADRESULT-L", "sbr-8kgloadresult-l", grmi.TypeString)
var EOLTESTR1_SBR_18KGLOAD_L = grmi.NewField("SBR-18KGLOAD-L", "[EOL_TEST_R_1].SBR-18KGLOAD-L", "sbr-18kgload-l", grmi.TypeString)
var EOLTESTR1_SBR_18KGLOADRESULT_L = grmi.NewField("SBR-18KGLOADRESULT-L", "[EOL_TEST_R_1].SBR-18KGLOADRESULT-L", "sbr-18kgloadresult-l", grmi.TypeString)
var EOLTESTR1_SBR_UNLOAD_M = grmi.NewField("SBR-UNLOAD-M", "[EOL_TEST_R_1].SBR-UNLOAD-M", "sbr-unload-m", grmi.TypeString)
var EOLTESTR1_SBR_UNLOADRESULT_M = grmi.NewField("SBR-UNLOADRESULT-M", "[EOL_TEST_R_1].SBR-UNLOADRESULT-M", "sbr-unloadresult-m", grmi.TypeString)
var EOLTESTR1_SBR_8KGLOAD_M = grmi.NewField("SBR-8KGLOAD-M", "[EOL_TEST_R_1].SBR-8KGLOAD-M", "sbr-8kgload-m", grmi.TypeString)
var EOLTESTR1_SBR_8KGLOADRESULT_M = grmi.NewField("SBR-8KGLOADRESULT-M", "[EOL_TEST_R_1].SBR-8KGLOADRESULT-M", "sbr-8kgloadresult-m", grmi.TypeString)
var EOLTESTR1_SBR_18KGLOAD_M = grmi.NewField("SBR-18KGLOAD-M", "[EOL_TEST_R_1].SBR-18KGLOAD-M", "sbr-18kgload-m", grmi.TypeString)
var EOLTESTR1_SBR_18KGLOADRESULT_M = grmi.NewField("SBR-18KGLOADRESULT-M", "[EOL_TEST_R_1].SBR-18KGLOADRESULT-M", "sbr-18kgloadresult-m", grmi.TypeString)
var EOLTESTR1_SBR_UNLOAD_R = grmi.NewField("SBR-UNLOAD-R", "[EOL_TEST_R_1].SBR-UNLOAD-R", "sbr-unload-r", grmi.TypeString)
var EOLTESTR1_SBR_UNLOADRESULT_R = grmi.NewField("SBR-UNLOADRESULT-R", "[EOL_TEST_R_1].SBR-UNLOADRESULT-R", "sbr-unloadresult-r", grmi.TypeString)
var EOLTESTR1_SBR_8KGLOAD_R = grmi.NewField("SBR-8KGLOAD-R", "[EOL_TEST_R_1].SBR-8KGLOAD-R", "sbr-8kgload-r", grmi.TypeString)
var EOLTESTR1_SBR_8KGLOADRESULT_R = grmi.NewField("SBR-8KGLOADRESULT-R", "[EOL_TEST_R_1].SBR-8KGLOADRESULT-R", "sbr-8kgloadresult-r", grmi.TypeString)
var EOLTESTR1_SBR_18KGLOAD_R = grmi.NewField("SBR-18KGLOAD-R", "[EOL_TEST_R_1].SBR-18KGLOAD-R", "sbr-18kgload-r", grmi.TypeString)
var EOLTESTR1_SBR_18KGLOADRESULT_R = grmi.NewField("SBR-18KGLOADRESULT-R", "[EOL_TEST_R_1].SBR-18KGLOADRESULT-R", "sbr-18kgloadresult-r", grmi.TypeString)
var EOLTESTR1_HEAT_L_1 = grmi.NewField("HEAT-L-1", "[EOL_TEST_R_1].HEAT-L-1", "heat-l-1", grmi.TypeString)
var EOLTESTR1_HEAT_R_1 = grmi.NewField("HEAT-R-1", "[EOL_TEST_R_1].HEAT-R-1", "heat-r-1", grmi.TypeString)
var EOLTESTR1_HEAT_L_2 = grmi.NewField("HEAT-L-2", "[EOL_TEST_R_1].HEAT-L-2", "heat-l-2", grmi.TypeString)
var EOLTESTR1_HEAT_R_2 = grmi.NewField("HEAT-R-2", "[EOL_TEST_R_1].HEAT-R-2", "heat-r-2", grmi.TypeString)
var EOLTESTR1_TOTALRESULT = grmi.NewField("TOTALRESULT", "[EOL_TEST_R_1].TOTALRESULT", "totalresult", grmi.TypeString)
var EOLTESTR1_CIRCLETIME = grmi.NewField("CIRCLETIME", "[EOL_TEST_R_1].CIRCLETIME", "circletime", grmi.TypeString)
var EOLTESTR1_DATE = grmi.NewField("DATE", "[EOL_TEST_R_1].DATE", "date", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : EOLTESTR1的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
var EOLTESTR1 = grmi.NewEntity(
	"EOL_TEST_R_1",
	func() interface{} { return &model.EOLTESTR1{} },
	map[string]grmi.Field{
		EOLTESTR1_BARCODE.Name:              EOLTESTR1_BARCODE,
		EOLTESTR1_TYPE.Name:                 EOLTESTR1_TYPE,
		EOLTESTR1_SBR_UNLOAD_L.Name:         EOLTESTR1_SBR_UNLOAD_L,
		EOLTESTR1_SBR_UNLOADRESULT_L.Name:   EOLTESTR1_SBR_UNLOADRESULT_L,
		EOLTESTR1_SBR_8KGLOAD_L.Name:        EOLTESTR1_SBR_8KGLOAD_L,
		EOLTESTR1_SBR_8KGLOADRESULT_L.Name:  EOLTESTR1_SBR_8KGLOADRESULT_L,
		EOLTESTR1_SBR_18KGLOAD_L.Name:       EOLTESTR1_SBR_18KGLOAD_L,
		EOLTESTR1_SBR_18KGLOADRESULT_L.Name: EOLTESTR1_SBR_18KGLOADRESULT_L,
		EOLTESTR1_SBR_UNLOAD_M.Name:         EOLTESTR1_SBR_UNLOAD_M,
		EOLTESTR1_SBR_UNLOADRESULT_M.Name:   EOLTESTR1_SBR_UNLOADRESULT_M,
		EOLTESTR1_SBR_8KGLOAD_M.Name:        EOLTESTR1_SBR_8KGLOAD_M,
		EOLTESTR1_SBR_8KGLOADRESULT_M.Name:  EOLTESTR1_SBR_8KGLOADRESULT_M,
		EOLTESTR1_SBR_18KGLOAD_M.Name:       EOLTESTR1_SBR_18KGLOAD_M,
		EOLTESTR1_SBR_18KGLOADRESULT_M.Name: EOLTESTR1_SBR_18KGLOADRESULT_M,
		EOLTESTR1_SBR_UNLOAD_R.Name:         EOLTESTR1_SBR_UNLOAD_R,
		EOLTESTR1_SBR_UNLOADRESULT_R.Name:   EOLTESTR1_SBR_UNLOADRESULT_R,
		EOLTESTR1_SBR_8KGLOAD_R.Name:        EOLTESTR1_SBR_8KGLOAD_R,
		EOLTESTR1_SBR_8KGLOADRESULT_R.Name:  EOLTESTR1_SBR_8KGLOADRESULT_R,
		EOLTESTR1_SBR_18KGLOAD_R.Name:       EOLTESTR1_SBR_18KGLOAD_R,
		EOLTESTR1_SBR_18KGLOADRESULT_R.Name: EOLTESTR1_SBR_18KGLOADRESULT_R,
		EOLTESTR1_HEAT_L_1.Name:             EOLTESTR1_HEAT_L_1,
		EOLTESTR1_HEAT_R_1.Name:             EOLTESTR1_HEAT_R_1,
		EOLTESTR1_HEAT_L_2.Name:             EOLTESTR1_HEAT_L_2,
		EOLTESTR1_HEAT_R_2.Name:             EOLTESTR1_HEAT_R_2,
		EOLTESTR1_TOTALRESULT.Name:          EOLTESTR1_TOTALRESULT,
		EOLTESTR1_CIRCLETIME.Name:           EOLTESTR1_CIRCLETIME,
		EOLTESTR1_DATE.Name:                 EOLTESTR1_DATE,
	},
	[]string{},
	[]string{"BARCODE", "TYPE", "SBR-UNLOAD-L", "SBR-UNLOADRESULT-L", "SBR-8KGLOAD-L", "SBR-8KGLOADRESULT-L", "SBR-18KGLOAD-L", "SBR-18KGLOADRESULT-L", "SBR-UNLOAD-M", "SBR-UNLOADRESULT-M", "SBR-8KGLOAD-M", "SBR-8KGLOADRESULT-M", "SBR-18KGLOAD-M", "SBR-18KGLOADRESULT-M", "SBR-UNLOAD-R", "SBR-UNLOADRESULT-R", "SBR-8KGLOAD-R", "SBR-8KGLOADRESULT-R", "SBR-18KGLOAD-R", "SBR-18KGLOADRESULT-R", "HEAT-L-1", "HEAT-R-1", "HEAT-L-2", "HEAT-R-2", "TOTALRESULT", "CIRCLETIME", "DATE"})
