// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipOrderItemLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderItemLst_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipOrderItemLst].PlantNr", "plantnr", grmi.TypeInt)
var ShipOrderItemLst_ShipOrderId = grmi.NewField("ShipOrderId", "[JIT_ShipOrderItemLst].ShipOrderId", "shiporderid", grmi.TypeString)
var ShipOrderItemLst_Pos = grmi.NewField("Pos", "[JIT_ShipOrderItemLst].Pos", "pos", grmi.TypeInt)
var ShipOrderItemLst_PackTemplateId = grmi.NewField("PackTemplateId", "[JIT_ShipOrderItemLst].PackTemplateId", "packtemplateid", grmi.TypeString)
var ShipOrderItemLst_PackTypeId = grmi.NewField("PackTypeId", "[JIT_ShipOrderItemLst].PackTypeId", "packtypeid", grmi.TypeString)
var ShipOrderItemLst_Status = grmi.NewField("Status", "[JIT_ShipOrderItemLst].Status", "status", grmi.TypeInt)
var ShipOrderItemLst_FillQty = grmi.NewField("FillQty", "[JIT_ShipOrderItemLst].FillQty", "fillqty", grmi.TypeInt)
var ShipOrderItemLst_PlanQty = grmi.NewField("PlanQty", "[JIT_ShipOrderItemLst].PlanQty", "planqty", grmi.TypeInt)
var ShipOrderItemLst_ActQty = grmi.NewField("ActQty", "[JIT_ShipOrderItemLst].ActQty", "actqty", grmi.TypeInt)
var ShipOrderItemLst_ShortShipToggle = grmi.NewField("ShortShipToggle", "[JIT_ShipOrderItemLst].ShortShipToggle", "shortshiptoggle", grmi.TypeBool)
var ShipOrderItemLst_ShortShipQty = grmi.NewField("ShortShipQty", "[JIT_ShipOrderItemLst].ShortShipQty", "shortshipqty", grmi.TypeInt)
var ShipOrderItemLst_ShortBy = grmi.NewField("ShortBy", "[JIT_ShipOrderItemLst].ShortBy", "shortby", grmi.TypeString)
var ShipOrderItemLst_ShortTime = grmi.NewField("ShortTime", "[JIT_ShipOrderItemLst].ShortTime", "shorttime", grmi.TypeDateTime)
var ShipOrderItemLst_LastModify = grmi.NewField("LastModify", "[JIT_ShipOrderItemLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipOrderItemLst_LastUser = grmi.NewField("LastUser", "[JIT_ShipOrderItemLst].LastUser", "lastuser", grmi.TypeString)
var ShipOrderItemLst_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipOrderItemLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipOrderItemLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrderItemLst = grmi.NewEntity(
	"JIT_ShipOrderItemLst",
	func() interface{} { return &model.ShipOrderItemLst{} },
	map[string]grmi.Field{
		ShipOrderItemLst_PlantNr.Name:         ShipOrderItemLst_PlantNr,
		ShipOrderItemLst_ShipOrderId.Name:     ShipOrderItemLst_ShipOrderId,
		ShipOrderItemLst_Pos.Name:             ShipOrderItemLst_Pos,
		ShipOrderItemLst_PackTemplateId.Name: ShipOrderItemLst_PackTemplateId,
		ShipOrderItemLst_PackTypeId.Name:      ShipOrderItemLst_PackTypeId,
		ShipOrderItemLst_Status.Name:          ShipOrderItemLst_Status,
		ShipOrderItemLst_FillQty.Name:         ShipOrderItemLst_FillQty,
		ShipOrderItemLst_PlanQty.Name:         ShipOrderItemLst_PlanQty,
		ShipOrderItemLst_ActQty.Name:          ShipOrderItemLst_ActQty,
		ShipOrderItemLst_ShortShipToggle.Name: ShipOrderItemLst_ShortShipToggle,
		ShipOrderItemLst_ShortShipQty.Name:    ShipOrderItemLst_ShortShipQty,
		ShipOrderItemLst_ShortBy.Name:         ShipOrderItemLst_ShortBy,
		ShipOrderItemLst_ShortTime.Name:       ShipOrderItemLst_ShortTime,
		ShipOrderItemLst_LastModify.Name:      ShipOrderItemLst_LastModify,
		ShipOrderItemLst_LastUser.Name:        ShipOrderItemLst_LastUser,
		ShipOrderItemLst_CreateTime.Name:      ShipOrderItemLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PackTemplateId", "PackTypeId", "Status", "FillQty", "PlanQty", "ActQty", "ShortShipToggle", "ShortShipQty", "ShortBy", "ShortTime", "LastUser"})
