// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : ProductWorkLineLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
var ProductWorkLineLst_PlantNr = grmi.NewField("PlantNr", "[ME_ProductWorkLineLst].PlantNr", "plantnr", grmi.TypeInt)
var ProductWorkLineLst_ProductId = grmi.NewField("ProductId", "[ME_ProductWorkLineLst].ProductId", "productid", grmi.TypeString)
var ProductWorkLineLst_ProjectId = grmi.NewField("ProjectId", "[ME_ProductWorkLineLst].ProjectId", "projectid", grmi.TypeString)
var ProductWorkLineLst_WorkLineId = grmi.NewField("WorkLineId", "[ME_ProductWorkLineLst].WorkLineId", "worklineid", grmi.TypeString)
var ProductWorkLineLst_WorkLineDescr = grmi.NewField("WorkLineDescr", "[ME_ProductWorkLineLst].WorkLineDescr", "worklinedescr", grmi.TypeString)
var ProductWorkLineLst_LastModify = grmi.NewField("LastModify", "[ME_ProductWorkLineLst].LastModify", "lastmodify", grmi.TypeDateTime)
var ProductWorkLineLst_LastUser = grmi.NewField("LastUser", "[ME_ProductWorkLineLst].LastUser", "lastuser", grmi.TypeString)
var ProductWorkLineLst_CreateTime = grmi.NewField("CreateTime", "[ME_ProductWorkLineLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ProductWorkLineLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
var ProductWorkLineLst = grmi.NewEntity(
	"ME_ProductWorkLineLst",
	func() interface{} { return &model.ProductWorkLineLst{} },
	map[string]grmi.Field{
		ProductWorkLineLst_PlantNr.Name:       ProductWorkLineLst_PlantNr,
		ProductWorkLineLst_ProductId.Name:     ProductWorkLineLst_ProductId,
		ProductWorkLineLst_ProjectId.Name:     ProductWorkLineLst_ProjectId,
		ProductWorkLineLst_WorkLineId.Name:    ProductWorkLineLst_WorkLineId,
		ProductWorkLineLst_WorkLineDescr.Name: ProductWorkLineLst_WorkLineDescr,
		ProductWorkLineLst_LastModify.Name:    ProductWorkLineLst_LastModify,
		ProductWorkLineLst_LastUser.Name:      ProductWorkLineLst_LastUser,
		ProductWorkLineLst_CreateTime.Name:    ProductWorkLineLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"WorkLineDescr", "LastUser"})
