// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : Project的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 11:07:11
 *
 ******************************************************************************/
var Project_PlantNr = grmi.NewField("PlantNr", "[ME_Project].PlantNr", "plantnr", grmi.TypeInt)
var Project_ProjectId = grmi.NewField("ProjectId", "[ME_Project].ProjectId", "projectid", grmi.TypeString)
var Project_Descr = grmi.NewField("Descr", "[ME_Project].Descr", "descr", grmi.TypeString)
var Project_CustomerId = grmi.NewField("CustomerId", "[ME_Project].CustomerId", "customerid", grmi.TypeString)
var Project_PlantSiteCode = grmi.NewField("PlantSiteCode", "[ME_Project].PlantSiteCode", "plantsitecode", grmi.TypeInt)
var Project_EdiType = grmi.NewField("EdiType", "[ME_Project].EdiType", "editype", grmi.TypeString)
var Project_EnabledToggle = grmi.NewField("EnabledToggle", "[ME_Project].EnabledToggle", "enabledtoggle", grmi.TypeBool)
var Project_EmailServerHost = grmi.NewField("EmailServerHost", "[ME_Project].EmailServerHost", "emailserverhost", grmi.TypeString)
var Project_EmailServerPort = grmi.NewField("EmailServerPort", "[ME_Project].EmailServerPort", "emailserverport", grmi.TypeInt)
var Project_FromEmail = grmi.NewField("FromEmail", "[ME_Project].FromEmail", "fromemail", grmi.TypeString)
var Project_FromPwd = grmi.NewField("FromPwd", "[ME_Project].FromPwd", "frompwd", grmi.TypeString)
var Project_CustOrderSnr = grmi.NewField("CustOrderSnr", "[ME_Project].CustOrderSnr", "custordersnr", grmi.TypeString)
var Project_WorkOrderSnr = grmi.NewField("WorkOrderSnr", "[ME_Project].WorkOrderSnr", "workordersnr", grmi.TypeString)
var Project_ManualWorkOrderSnr = grmi.NewField("ManualWorkOrderSnr", "[ME_Project].ManualWorkOrderSnr", "manualworkordersnr", grmi.TypeString)
var Project_ReorderSnr = grmi.NewField("ReorderSnr", "[ME_Project].ReorderSnr", "reordersnr", grmi.TypeString)
var Project_PackOrderSnr = grmi.NewField("PackOrderSnr", "[ME_Project].PackOrderSnr", "packordersnr", grmi.TypeString)
var Project_PackSyncSnr = grmi.NewField("PackSyncSnr", "[ME_Project].PackSyncSnr", "packsyncsnr", grmi.TypeString)
var Project_ShipOrderSnr = grmi.NewField("ShipOrderSnr", "[ME_Project].ShipOrderSnr", "shipordersnr", grmi.TypeString)
var Project_ShipCarSnr = grmi.NewField("ShipCarSnr", "[ME_Project].ShipCarSnr", "shipcarsnr", grmi.TypeString)
var Project_ShipFileSnr = grmi.NewField("ShipFileSnr", "[ME_Project].ShipFileSnr", "shipfilesnr", grmi.TypeString)
var Project_ShipFileFolder = grmi.NewField("ShipFileFolder", "[ME_Project].ShipFileFolder", "shipfilefolder", grmi.TypeString)
var Project_AsnSnr = grmi.NewField("AsnSnr", "[ME_Project].AsnSnr", "asnsnr", grmi.TypeString)
var Project_AsnFileType = grmi.NewField("AsnFileType", "[ME_Project].AsnFileType", "asnfiletype", grmi.TypeString)
var Project_AsnFolder = grmi.NewField("AsnFolder", "[ME_Project].AsnFolder", "asnfolder", grmi.TypeString)
var Project_BackFlushObject = grmi.NewField("BackFlushObject", "[ME_Project].BackFlushObject", "backflushobject", grmi.TypeString)
var Project_BackFlushMode = grmi.NewField("BackFlushMode", "[ME_Project].BackFlushMode", "backflushmode", grmi.TypeString)
var Project_BackFlushRule = grmi.NewField("BackFlushRule", "[ME_Project].BackFlushRule", "backflushrule", grmi.TypeString)
var Project_BackFlushFolder = grmi.NewField("BackFlushFolder", "[ME_Project].BackFlushFolder", "backflushfolder", grmi.TypeString)
var Project_INTSerialOrderSnr = grmi.NewField("INTSerialOrderSnr", "[ME_Project].INTSerialOrderSnr", "intserialordersnr", grmi.TypeString)
var Project_PackOrderRFIDSnr = grmi.NewField("PackOrderRFIDSnr", "[ME_Project].PackOrderRFIDSnr", "packorderrfidsnr", grmi.TypeString)
var Project_PackOrderOutLineRFIDSnr = grmi.NewField("PackOrderOutLineRFIDSnr", "[ME_Project].PackOrderOutLineRFIDSnr", "packorderoutlinerfidsnr", grmi.TypeString)
var Project_PreOrderSnr = grmi.NewField("PreOrderSnr", "[ME_Project].PreOrderSnr", "packordersnr", grmi.TypeString)
var Project_CtrlPara1 = grmi.NewField("CtrlPara1", "[ME_Project].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var Project_CtrlPara2 = grmi.NewField("CtrlPara2", "[ME_Project].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var Project_CtrlStr1 = grmi.NewField("CtrlStr1", "[ME_Project].CtrlStr1", "ctrlstr1", grmi.TypeString)
var Project_CtrlStr2 = grmi.NewField("CtrlStr2", "[ME_Project].CtrlStr2", "ctrlstr2", grmi.TypeString)
var Project_CtrlTime1 = grmi.NewField("CtrlTime1", "[ME_Project].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var Project_CtrlTime2 = grmi.NewField("CtrlTime2", "[ME_Project].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var Project_SerialOrderSnr = grmi.NewField("SerialOrderSnr", "[ME_Project].SerialOrderSnr", "serialordersnr", grmi.TypeString)
var Project_FileServerHost = grmi.NewField("FileServerHost", "[ME_Project].FileServerHost", "fileserverhost", grmi.TypeString)
var Project_CalloffFolder = grmi.NewField("CalloffFolder", "[ME_Project].CalloffFolder", "callofffolder", grmi.TypeString)
var Project_CalloffFileNameRegexp = grmi.NewField("CalloffFileNameRegexp", "[ME_Project].CalloffFileNameRegexp", "callofffilenameregexp", grmi.TypeString)
var Project_CalloffVerifyCheckSequenceToggle = grmi.NewField("CalloffVerifyCheckSequenceToggle", "[ME_Project].CalloffVerifyCheckSequenceToggle", "calloffverifychecksequencetoggle", grmi.TypeBool)
var Project_CalloffVerifyProductFamilyToggle = grmi.NewField("CalloffVerifyProductFamilyToggle", "[ME_Project].CalloffVerifyProductFamilyToggle", "calloffverifyproductfamilytoggle", grmi.TypeBool)
var Project_PlcAddress = grmi.NewField("PlcAddress", "[ME_Project].PlcAddress", "plcaddress", grmi.TypeString)
var Project_LastModify = grmi.NewField("LastModify", "[ME_Project].LastModify", "lastmodify", grmi.TypeDateTime)
var Project_LastUser = grmi.NewField("LastUser", "[ME_Project].LastUser", "lastuser", grmi.TypeString)
var Project_CreateTime = grmi.NewField("CreateTime", "[ME_Project].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Project的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 11:07:11
 *
 ******************************************************************************/
var Project = grmi.NewEntity(
	"ME_Project",
	func() interface{} { return &model.Project{} },
	map[string]grmi.Field{
		Project_PlantNr.Name:                          Project_PlantNr,
		Project_ProjectId.Name:                        Project_ProjectId,
		Project_Descr.Name:                            Project_Descr,
		Project_CustomerId.Name:                       Project_CustomerId,
		Project_PlantSiteCode.Name:                    Project_PlantSiteCode,
		Project_EdiType.Name:                          Project_EdiType,
		Project_EnabledToggle.Name:                    Project_EnabledToggle,
		Project_EmailServerHost.Name:                  Project_EmailServerHost,
		Project_EmailServerPort.Name:                  Project_EmailServerPort,
		Project_FromEmail.Name:                        Project_FromEmail,
		Project_FromPwd.Name:                          Project_FromPwd,
		Project_CustOrderSnr.Name:                     Project_CustOrderSnr,
		Project_WorkOrderSnr.Name:                     Project_WorkOrderSnr,
		Project_ManualWorkOrderSnr.Name:               Project_ManualWorkOrderSnr,
		Project_ReorderSnr.Name:                       Project_ReorderSnr,
		Project_PackOrderSnr.Name:                     Project_PackOrderSnr,
		Project_PackSyncSnr.Name:                      Project_PackSyncSnr,
		Project_ShipOrderSnr.Name:                     Project_ShipOrderSnr,
		Project_ShipCarSnr.Name:                       Project_ShipCarSnr,
		Project_ShipFileSnr.Name:                      Project_ShipFileSnr,
		Project_ShipFileFolder.Name:                   Project_ShipFileFolder,
		Project_AsnSnr.Name:                           Project_AsnSnr,
		Project_AsnFileType.Name:                      Project_AsnFileType,
		Project_AsnFolder.Name:                        Project_AsnFolder,
		Project_BackFlushObject.Name:                  Project_BackFlushObject,
		Project_BackFlushMode.Name:                    Project_BackFlushMode,
		Project_BackFlushRule.Name:                    Project_BackFlushRule,
		Project_BackFlushFolder.Name:                  Project_BackFlushFolder,
		Project_SerialOrderSnr.Name:                   Project_SerialOrderSnr,
		Project_INTSerialOrderSnr.Name:                Project_INTSerialOrderSnr,
		Project_PackOrderRFIDSnr.Name:                 Project_PackOrderRFIDSnr,
		Project_PackOrderOutLineRFIDSnr.Name:          Project_PackOrderOutLineRFIDSnr,
		Project_PreOrderSnr.Name:                      Project_PreOrderSnr,
		Project_CtrlPara1.Name:                        Project_CtrlPara1,
		Project_CtrlPara2.Name:                        Project_CtrlPara2,
		Project_CtrlStr1.Name:                         Project_CtrlStr1,
		Project_CtrlStr2.Name:                         Project_CtrlStr2,
		Project_CtrlTime1.Name:                        Project_CtrlTime1,
		Project_CtrlTime2.Name:                        Project_CtrlTime2,
		Project_FileServerHost.Name:                   Project_FileServerHost,
		Project_CalloffFolder.Name:                    Project_CalloffFolder,
		Project_CalloffFileNameRegexp.Name:            Project_CalloffFileNameRegexp,
		Project_CalloffVerifyCheckSequenceToggle.Name: Project_CalloffVerifyCheckSequenceToggle,
		Project_CalloffVerifyProductFamilyToggle.Name: Project_CalloffVerifyProductFamilyToggle,
		Project_PlcAddress.Name:                       Project_PlcAddress,
		Project_LastModify.Name:                       Project_LastModify,
		Project_LastUser.Name:                         Project_LastUser,
		Project_CreateTime.Name:                       Project_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "CustomerId", "PlantSiteCode", "EdiType", "EnabledToggle", "EmailServerHost", "EmailServerPort", "FromEmail", "FromPwd", "CustOrderSnr", "WorkOrderSnr", "ManualWorkOrderSnr", "ReorderSnr", "PackOrderSnr", "PackSyncSnr", "ShipOrderSnr", "ShipCarSnr", "SerialOrderSnr", "INTSerialOrderSnr", "ShipFileSnr", "ShipFileFolder", "AsnSnr", "AsnFileType", "AsnFolder", "BackFlushObject", "BackFlushMode", "BackFlushRule", "BackFlushFolder", "PackOrderRFIDSnr", "PackOrderOutLineRFIDSnr", "PreOrderSnr", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "FileServerHost", "CalloffFolder", "CalloffFileNameRegexp", "CalloffVerifyCheckSequenceToggle", "CalloffVerifyProductFamilyToggle", "PlcAddress", "LastUser"})
