// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderOPDetailRecvDataLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-16 14:27:35
 *
 ******************************************************************************/
var SerialOrderOPDetailRecvDataLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderOPDetailRecvDataLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_Pos = grmi.NewField("Pos", "OM_SerialOrderOPDetailRecvDataLst.Pos", "pos", grmi.TypeInt64)
var SerialOrderOPDetailRecvDataLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderOPDetailRecvDataLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderOPDetailRecvDataLst_PO = grmi.NewField("PO", "OM_SerialOrderOPDetailRecvDataLst.PO", "po", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "OM_SerialOrderOPDetailRecvDataLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_StepNo = grmi.NewField("StepNo", "OM_SerialOrderOPDetailRecvDataLst.StepNo", "stepno", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_OriginPos = grmi.NewField("OriginPos", "OM_SerialOrderOPDetailRecvDataLst.OriginPos", "originpos", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_OriginRuleId = grmi.NewField("OriginRuleId", "OM_SerialOrderOPDetailRecvDataLst.OriginRuleId", "originruleid", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_StepType = grmi.NewField("StepType", "OM_SerialOrderOPDetailRecvDataLst.StepType", "steptype", grmi.TypeString)
var SerialOrderOPDetailRecvDataLst_SubArtId = grmi.NewField("SubArtId", "OM_SerialOrderOPDetailRecvDataLst.SubArtId", "subartid", grmi.TypeString)
var SerialOrderOPDetailRecvDataLst_RecvData = grmi.NewField("RecvData", "OM_SerialOrderOPDetailRecvDataLst.RecvData", "recvdata", grmi.TypeString)
var SerialOrderOPDetailRecvDataLst_Status = grmi.NewField("Status", "OM_SerialOrderOPDetailRecvDataLst.Status", "status", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_Remark1 = grmi.NewField("Remark1", "OM_SerialOrderOPDetailRecvDataLst.Remark1", "remark1", grmi.TypeString)
var SerialOrderOPDetailRecvDataLst_Remark2 = grmi.NewField("Remark2", "OM_SerialOrderOPDetailRecvDataLst.Remark2", "remark2", grmi.TypeString)
var SerialOrderOPDetailRecvDataLst_RepairFlag = grmi.NewField("RepairFlag", "OM_SerialOrderOPDetailRecvDataLst.RepairFlag", "repairflag", grmi.TypeInt)
var SerialOrderOPDetailRecvDataLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderOPDetailRecvDataLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderOPDetailRecvDataLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderOPDetailRecvDataLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderOPDetailRecvDataLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderOPDetailRecvDataLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderOPDetailRecvDataLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-16 14:27:35
 *
 ******************************************************************************/
var SerialOrderOPDetailRecvDataLst = grmi.NewEntity(
	"OM_SerialOrderOPDetailRecvDataLst",
	func() interface{} { return &model.SerialOrderOPDetailRecvDataLst{} },
	map[string]grmi.Field{
		SerialOrderOPDetailRecvDataLst_PlantNr.Name:       SerialOrderOPDetailRecvDataLst_PlantNr,
		SerialOrderOPDetailRecvDataLst_Pos.Name:           SerialOrderOPDetailRecvDataLst_Pos,
		SerialOrderOPDetailRecvDataLst_SerialOrderId.Name: SerialOrderOPDetailRecvDataLst_SerialOrderId,
		SerialOrderOPDetailRecvDataLst_PO.Name:            SerialOrderOPDetailRecvDataLst_PO,
		SerialOrderOPDetailRecvDataLst_WorkPlaceNr.Name:   SerialOrderOPDetailRecvDataLst_WorkPlaceNr,
		SerialOrderOPDetailRecvDataLst_StepNo.Name:        SerialOrderOPDetailRecvDataLst_StepNo,
		SerialOrderOPDetailRecvDataLst_OriginPos.Name:     SerialOrderOPDetailRecvDataLst_OriginPos,
		SerialOrderOPDetailRecvDataLst_OriginRuleId.Name:  SerialOrderOPDetailRecvDataLst_OriginRuleId,
		SerialOrderOPDetailRecvDataLst_StepType.Name:      SerialOrderOPDetailRecvDataLst_StepType,
		SerialOrderOPDetailRecvDataLst_SubArtId.Name:      SerialOrderOPDetailRecvDataLst_SubArtId,
		SerialOrderOPDetailRecvDataLst_RecvData.Name:      SerialOrderOPDetailRecvDataLst_RecvData,
		SerialOrderOPDetailRecvDataLst_Status.Name:        SerialOrderOPDetailRecvDataLst_Status,
		SerialOrderOPDetailRecvDataLst_Remark1.Name:       SerialOrderOPDetailRecvDataLst_Remark1,
		SerialOrderOPDetailRecvDataLst_Remark2.Name:       SerialOrderOPDetailRecvDataLst_Remark2,
		SerialOrderOPDetailRecvDataLst_RepairFlag.Name:    SerialOrderOPDetailRecvDataLst_RepairFlag,
		SerialOrderOPDetailRecvDataLst_LastModify.Name:    SerialOrderOPDetailRecvDataLst_LastModify,
		SerialOrderOPDetailRecvDataLst_LastUser.Name:      SerialOrderOPDetailRecvDataLst_LastUser,
		SerialOrderOPDetailRecvDataLst_CreateTime.Name:    SerialOrderOPDetailRecvDataLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SerialOrderId", "PO", "WorkPlaceNr", "StepNo", "OriginPos", "OriginRuleId", "StepType", "SubArtId", "RecvData", "Status", "Remark1", "Remark2", "RepairFlag", "LastUser"})
