// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : CustOrderQty的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-03 16:35:12
 *
 ******************************************************************************/
var CustOrderQty_PlantNr = grmi.NewField("PlantNr", "[PLN_CustOrderQty].PlantNr", "plantnr", grmi.TypeInt)
var CustOrderQty_CustOrderId = grmi.NewField("CustOrderId", "[PLN_CustOrderQty].CustOrderId", "custorderid", grmi.TypeString)
var CustOrderQty_PlanQty = grmi.NewField("PlanQty", "[PLN_CustOrderQty].PlanQty", "planqty", grmi.TypeInt)
var CustOrderQty_ReleasedQty = grmi.NewField("ReleasedQty", "[PLN_CustOrderQty].ReleasedQty", "releasedqty", grmi.TypeInt)
var CustOrderQty_SerialOrderQty = grmi.NewField("SerialOrderQty", "[PLN_CustOrderQty].SerialOrderQty", "serialorderqty", grmi.TypeInt)
var CustOrderQty_SerialOrderActQty = grmi.NewField("SerialOrderActQty", "[PLN_CustOrderQty].SerialOrderActQty", "serialorderactqty", grmi.TypeInt)
var CustOrderQty_Running = grmi.NewField("Running", "[PLN_CustOrderQty].Running", "running", grmi.TypeInt)
var CustOrderQty_ActQty = grmi.NewField("ActQty", "[PLN_CustOrderQty].ActQty", "actqty", grmi.TypeInt)
var CustOrderQty_ActGoodQty = grmi.NewField("ActGoodQty", "[PLN_CustOrderQty].ActGoodQty", "actgoodqty", grmi.TypeInt)
var CustOrderQty_ActScrapQty = grmi.NewField("ActScrapQty", "[PLN_CustOrderQty].ActScrapQty", "actscrapqty", grmi.TypeInt)
var CustOrderQty_ActReworkQty = grmi.NewField("ActReworkQty", "[PLN_CustOrderQty].ActReworkQty", "actreworkqty", grmi.TypeInt)
var CustOrderQty_CancelQty = grmi.NewField("CancelQty", "[PLN_CustOrderQty].CancelQty", "cancelqty", grmi.TypeInt)
var CustOrderQty_ActQty1 = grmi.NewField("ActQty1", "[PLN_CustOrderQty].ActQty1", "actqty1", grmi.TypeInt)
var CustOrderQty_ActQty2 = grmi.NewField("ActQty2", "[PLN_CustOrderQty].ActQty2", "actqty2", grmi.TypeInt)
var CustOrderQty_ActQty3 = grmi.NewField("ActQty3", "[PLN_CustOrderQty].ActQty3", "actqty3", grmi.TypeInt)
var CustOrderQty_ActQty4 = grmi.NewField("ActQty4", "[PLN_CustOrderQty].ActQty4", "actqty4", grmi.TypeInt)
var CustOrderQty_LastModify = grmi.NewField("LastModify", "[PLN_CustOrderQty].LastModify", "lastmodify", grmi.TypeDateTime)
var CustOrderQty_LastUser = grmi.NewField("LastUser", "[PLN_CustOrderQty].LastUser", "lastuser", grmi.TypeString)
var CustOrderQty_CreateTime = grmi.NewField("CreateTime", "[PLN_CustOrderQty].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CustOrderQty的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-03 16:35:12
 *
 ******************************************************************************/
var CustOrderQty = grmi.NewEntity(
	"PLN_CustOrderQty",
	func() interface{} { return &model.CustOrderQty{} },
	map[string]grmi.Field{
		CustOrderQty_PlantNr.Name:           CustOrderQty_PlantNr,
		CustOrderQty_CustOrderId.Name:       CustOrderQty_CustOrderId,
		CustOrderQty_PlanQty.Name:           CustOrderQty_PlanQty,
		CustOrderQty_ReleasedQty.Name:       CustOrderQty_ReleasedQty,
		CustOrderQty_Running.Name:           CustOrderQty_Running,
		CustOrderQty_SerialOrderQty.Name:    CustOrderQty_SerialOrderQty,
		CustOrderQty_SerialOrderActQty.Name: CustOrderQty_SerialOrderActQty,
		CustOrderQty_ActQty.Name:            CustOrderQty_ActQty,
		CustOrderQty_ActGoodQty.Name:        CustOrderQty_ActGoodQty,
		CustOrderQty_ActScrapQty.Name:       CustOrderQty_ActScrapQty,
		CustOrderQty_ActReworkQty.Name:      CustOrderQty_ActReworkQty,
		CustOrderQty_CancelQty.Name:         CustOrderQty_CancelQty,
		CustOrderQty_ActQty1.Name:           CustOrderQty_ActQty1,
		CustOrderQty_ActQty2.Name:           CustOrderQty_ActQty2,
		CustOrderQty_ActQty3.Name:           CustOrderQty_ActQty3,
		CustOrderQty_ActQty4.Name:           CustOrderQty_ActQty4,
		CustOrderQty_LastModify.Name:        CustOrderQty_LastModify,
		CustOrderQty_LastUser.Name:          CustOrderQty_LastUser,
		CustOrderQty_CreateTime.Name:        CustOrderQty_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PlanQty", "ReleasedQty", "SerialOrderQty", "SerialOrderActQty", "ActQty", "Running", "ActGoodQty", "ActScrapQty", "ActReworkQty", "CancelQty", "ActQty1", "ActQty2", "ActQty3", "ActQty4", "LastUser"})
