// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : ReleaseTaskConfig的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:23:13
 *
 ******************************************************************************/
var ReleaseTaskConfig_PlantNr = grmi.NewField("PlantNr", "[PLN_ReleaseTaskConfig].PlantNr", "plantnr", grmi.TypeInt)
var ReleaseTaskConfig_ConfigNr = grmi.NewField("ConfigNr", "[PLN_ReleaseTaskConfig].ConfigNr", "confignr", grmi.TypeInt)
var ReleaseTaskConfig_LeadTime = grmi.NewField("LeadTime", "[PLN_ReleaseTaskConfig].LeadTime", "leadtime", grmi.TypeInt)
var ReleaseTaskConfig_TimeUomId = grmi.NewField("TimeUomId", "[PLN_ReleaseTaskConfig].TimeUomId", "timeuomid", grmi.TypeString)
var ReleaseTaskConfig_BusinessObjType = grmi.NewField("BusinessObjType", "[PLN_ReleaseTaskConfig].BusinessObjType", "businessobjtype", grmi.TypeString)
var ReleaseTaskConfig_BusinessObjId = grmi.NewField("BusinessObjId", "[PLN_ReleaseTaskConfig].BusinessObjId", "businessobjid", grmi.TypeString)
var ReleaseTaskConfig_LastModify = grmi.NewField("LastModify", "[PLN_ReleaseTaskConfig].LastModify", "lastmodify", grmi.TypeDateTime)
var ReleaseTaskConfig_LastUser = grmi.NewField("LastUser", "[PLN_ReleaseTaskConfig].LastUser", "lastuser", grmi.TypeString)
var ReleaseTaskConfig_CreateTime = grmi.NewField("CreateTime", "[PLN_ReleaseTaskConfig].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ReleaseTaskConfig的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:23:13
 *
 ******************************************************************************/
var ReleaseTaskConfig = grmi.NewEntity(
	"PLN_ReleaseTaskConfig",
	func() interface{} { return &model.ReleaseTaskConfig{} },
	map[string]grmi.Field{
		ReleaseTaskConfig_PlantNr.Name:         ReleaseTaskConfig_PlantNr,
		ReleaseTaskConfig_ConfigNr.Name:        ReleaseTaskConfig_ConfigNr,
		ReleaseTaskConfig_LeadTime.Name:        ReleaseTaskConfig_LeadTime,
		ReleaseTaskConfig_TimeUomId.Name:       ReleaseTaskConfig_TimeUomId,
		ReleaseTaskConfig_BusinessObjType.Name: ReleaseTaskConfig_BusinessObjType,
		ReleaseTaskConfig_BusinessObjId.Name:   ReleaseTaskConfig_BusinessObjId,
		ReleaseTaskConfig_LastModify.Name:      ReleaseTaskConfig_LastModify,
		ReleaseTaskConfig_LastUser.Name:        ReleaseTaskConfig_LastUser,
		ReleaseTaskConfig_CreateTime.Name:      ReleaseTaskConfig_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"LeadTime", "TimeUomId", "BusinessObjType", "BusinessObjId", "LastUser"})
