// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : ToyotaTask的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-07-12 13:58:15
 *
 ******************************************************************************/
var ToyotaTask_PlantNr = grmi.NewField("PlantNr", "[PLN_ToyotaTask].PlantNr", "plantnr", grmi.TypeInt)
var ToyotaTask_TaskId = grmi.NewField("TaskId", "[PLN_ToyotaTask].TaskId", "taskid", grmi.TypeString)
var ToyotaTask_TaskName = grmi.NewField("TaskName", "[PLN_ToyotaTask].TaskName", "taskname", grmi.TypeString)
var ToyotaTask_Status = grmi.NewField("Status", "[PLN_ToyotaTask].Status", "status", grmi.TypeBool)
var ToyotaTask_StrCtrl1 = grmi.NewField("StrCtrl1", "[PLN_ToyotaTask].StrCtrl1", "strctrl1", grmi.TypeString)
var ToyotaTask_StrCtrl2 = grmi.NewField("StrCtrl2", "[PLN_ToyotaTask].StrCtrl2", "strctrl2", grmi.TypeString)
var ToyotaTask_IntCtrl1 = grmi.NewField("IntCtrl1", "[PLN_ToyotaTask].IntCtrl1", "intctrl1", grmi.TypeInt)
var ToyotaTask_IntCtrl2 = grmi.NewField("IntCtrl2", "[PLN_ToyotaTask].IntCtrl2", "intctrl2", grmi.TypeInt)
var ToyotaTask_FloatCtrl1 = grmi.NewField("FloatCtrl1", "[PLN_ToyotaTask].FloatCtrl1", "floatctrl1", grmi.TypeFloat64)
var ToyotaTask_FloatCtrl2 = grmi.NewField("FloatCtrl2", "[PLN_ToyotaTask].FloatCtrl2", "floatctrl2", grmi.TypeFloat64)
var ToyotaTask_LastTaskTime = grmi.NewField("LastTaskTime", "[PLN_ToyotaTask].LastTaskTime", "lasttasktime", grmi.TypeDateTime)
var ToyotaTask_LastModify = grmi.NewField("LastModify", "[PLN_ToyotaTask].LastModify", "lastmodify", grmi.TypeDateTime)
var ToyotaTask_LastUser = grmi.NewField("LastUser", "[PLN_ToyotaTask].LastUser", "lastuser", grmi.TypeString)
var ToyotaTask_CreateTime = grmi.NewField("CreateTime", "[PLN_ToyotaTask].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ToyotaTask的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-07-12 13:58:15
 *
 ******************************************************************************/
var ToyotaTask = grmi.NewEntity(
	"PLN_ToyotaTask",
	func() interface{} { return &model.ToyotaTask{} },
	map[string]grmi.Field{
		ToyotaTask_PlantNr.Name:      ToyotaTask_PlantNr,
		ToyotaTask_TaskId.Name:       ToyotaTask_TaskId,
		ToyotaTask_TaskName.Name:     ToyotaTask_TaskName,
		ToyotaTask_Status.Name:       ToyotaTask_Status,
		ToyotaTask_StrCtrl1.Name:     ToyotaTask_StrCtrl1,
		ToyotaTask_StrCtrl2.Name:     ToyotaTask_StrCtrl2,
		ToyotaTask_IntCtrl1.Name:     ToyotaTask_IntCtrl1,
		ToyotaTask_IntCtrl2.Name:     ToyotaTask_IntCtrl2,
		ToyotaTask_FloatCtrl1.Name:   ToyotaTask_FloatCtrl1,
		ToyotaTask_FloatCtrl2.Name:   ToyotaTask_FloatCtrl2,
		ToyotaTask_LastTaskTime.Name: ToyotaTask_LastTaskTime,
		ToyotaTask_LastModify.Name:   ToyotaTask_LastModify,
		ToyotaTask_LastUser.Name:     ToyotaTask_LastUser,
		ToyotaTask_CreateTime.Name:   ToyotaTask_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"TaskName", "Status", "StrCtrl1", "StrCtrl2", "IntCtrl1", "IntCtrl2", "FloatCtrl1", "FloatCtrl2", "LastTaskTime", "LastUser"})
