// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/report"
)

/******************************************************************************
 *
 * @Description              : DashBoardLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-10 17:33:11
 *
 ******************************************************************************/
var DashBoardLst_PlantNr = grmi.NewField("PlantNr", "[RP_DashBoardLst].PlantNr", "plantnr", grmi.TypeInt)
var DashBoardLst_DashboardId = grmi.NewField("DashboardId", "[RP_DashBoardLst].DashboardId", "dashboardid", grmi.TypeString)
var DashBoardLst_Pos = grmi.NewField("Pos", "[RP_DashBoardLst].Pos", "pos", grmi.TypeInt)
var DashBoardLst_ParamName = grmi.NewField("ParamName", "[RP_DashBoardLst].ParamName", "paramname", grmi.TypeString)
var DashBoardLst_Descr = grmi.NewField("Descr", "[RP_DashBoardLst].Descr", "descr", grmi.TypeString)
var DashBoardLst_IntParam1 = grmi.NewField("IntParam1", "[RP_DashBoardLst].IntParam1", "intparam1", grmi.TypeInt)
var DashBoardLst_IntParam2 = grmi.NewField("IntParam2", "[RP_DashBoardLst].IntParam2", "intparam2", grmi.TypeInt)
var DashBoardLst_FloatParam1 = grmi.NewField("FloatParam1", "[RP_DashBoardLst].FloatParam1", "floatparam1", grmi.TypeFloat64)
var DashBoardLst_FloatParam2 = grmi.NewField("FloatParam2", "[RP_DashBoardLst].FloatParam2", "floatparam2", grmi.TypeFloat64)
var DashBoardLst_CharParam1 = grmi.NewField("CharParam1", "[RP_DashBoardLst].CharParam1", "charparam1", grmi.TypeString)
var DashBoardLst_CharParam2 = grmi.NewField("CharParam2", "[RP_DashBoardLst].CharParam2", "charparam2", grmi.TypeString)
var DashBoardLst_CharParam3 = grmi.NewField("CharParam3", "[RP_DashBoardLst].CharParam3", "charparam3", grmi.TypeString)
var DashBoardLst_CharParam4 = grmi.NewField("CharParam4", "[RP_DashBoardLst].CharParam4", "charparam4", grmi.TypeString)
var DashBoardLst_IntParam3 = grmi.NewField("IntParam3", "[RP_DashBoardLst].IntParam3", "intparam3", grmi.TypeInt)
var DashBoardLst_IntParam4 = grmi.NewField("IntParam4", "[RP_DashBoardLst].IntParam4", "intparam4", grmi.TypeInt)
var DashBoardLst_IntParam5 = grmi.NewField("IntParam5", "[RP_DashBoardLst].IntParam5", "intparam5", grmi.TypeInt)
var DashBoardLst_LastModify = grmi.NewField("LastModify", "[RP_DashBoardLst].LastModify", "lastmodify", grmi.TypeDateTime)
var DashBoardLst_LastUser = grmi.NewField("LastUser", "[RP_DashBoardLst].LastUser", "lastuser", grmi.TypeString)
var DashBoardLst_CreateTime = grmi.NewField("CreateTime", "[RP_DashBoardLst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DashBoardLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-10 17:33:11
 *
 ******************************************************************************/
var DashBoardLst = grmi.NewEntity(
	"RP_DashBoardLst",
	func() interface{} { return &model.DashBoardLst{} },
	map[string]grmi.Field{
		DashBoardLst_PlantNr.Name:     DashBoardLst_PlantNr,
		DashBoardLst_DashboardId.Name: DashBoardLst_DashboardId,
		DashBoardLst_Pos.Name:         DashBoardLst_Pos,
		DashBoardLst_ParamName.Name:   DashBoardLst_ParamName,
		DashBoardLst_Descr.Name:       DashBoardLst_Descr,
		DashBoardLst_IntParam1.Name:   DashBoardLst_IntParam1,
		DashBoardLst_IntParam2.Name:   DashBoardLst_IntParam2,
		DashBoardLst_FloatParam1.Name: DashBoardLst_FloatParam1,
		DashBoardLst_FloatParam2.Name: DashBoardLst_FloatParam2,
		DashBoardLst_CharParam1.Name:  DashBoardLst_CharParam1,
		DashBoardLst_CharParam2.Name:  DashBoardLst_CharParam2,
		DashBoardLst_CharParam3.Name:  DashBoardLst_CharParam3,
		DashBoardLst_CharParam4.Name:  DashBoardLst_CharParam4,
		DashBoardLst_IntParam3.Name:   DashBoardLst_IntParam3,
		DashBoardLst_IntParam4.Name:   DashBoardLst_IntParam4,
		DashBoardLst_IntParam5.Name:   DashBoardLst_IntParam5,
		DashBoardLst_LastModify.Name:  DashBoardLst_LastModify,
		DashBoardLst_LastUser.Name:    DashBoardLst_LastUser,
		DashBoardLst_CreateTime.Name:  DashBoardLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ParamName", "Descr", "IntParam1", "IntParam2", "FloatParam1", "FloatParam2", "CharParam1", "CharParam2", "CharParam3", "CharParam4", "IntParam3", "IntParam4", "IntParam5", "LastUser"})
