// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OPCComValueCheckRuleDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCComValueCheckRuleDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
type OPCComValueCheckRuleDetail struct {
	Id               int           `xorm:"pk int 'Id'" json:"OPCComValueCheckRuleDetail-Id"`
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"OPCComValueCheckRuleDetail-PlantNr"`
	DetailId         int           `xorm:"pk int 'DetailId'" json:"OPCComValueCheckRuleDetail-DetailId"`
	CheckOperationId int           `xorm:"int 'CheckOperationId' not null" json:"OPCComValueCheckRuleDetail-CheckOperationId"`
	CheckPO          string        `xorm:"nvarchar(40) 'CheckPO' not null" json:"OPCComValueCheckRuleDetail-CheckPO"`
	CheckStepNo      int           `xorm:"int 'CheckStepNo' not null" json:"OPCComValueCheckRuleDetail-CheckStepNo"`
	CheckStepDesc    string        `xorm:"nvarchar(100) 'CheckStepDesc' not null" json:"OPCComValueCheckRuleDetail-CheckStepDesc"`
	CheckPos         int           `xorm:"int 'CheckPos' not null" json:"OPCComValueCheckRuleDetail-CheckPos"`
	CheckProductId   string        `xorm:"nvarchar(40) 'CheckProductId' not null" json:"OPCComValueCheckRuleDetail-CheckProductId"`
	CheckWorkPlaceNr int           `xorm:"int 'CheckWorkPlaceNr' not null" json:"OPCComValueCheckRuleDetail-CheckWorkPlaceNr"`
	ObjectStepNo     int           `xorm:"int 'ObjectStepNo' not null" json:"OPCComValueCheckRuleDetail-ObjectStepNo"`
	ObjectPos        int           `xorm:"int 'ObjectPos' not null" json:"OPCComValueCheckRuleDetail-ObjectPos"`
	ObjectOPCDesc    string        `xorm:"nvarchar(100) 'ObjectOPCDesc' not null" json:"OPCComValueCheckRuleDetail-ObjectOPCDesc"`
	OperatorSimbol   string        `xorm:"nvarchar(40) 'OperatorSimbol' not null" json:"OPCComValueCheckRuleDetail-OperatorSimbol"`
	CheckValue       string        `xorm:"nvarchar(100) 'CheckValue' not null" json:"OPCComValueCheckRuleDetail-CheckValue"`
	DoWhenOK         string        `xorm:"nvarchar(10) 'DoWhenOK' not null" json:"OPCComValueCheckRuleDetail-DoWhenOK"`
	DoWhenNOK        string        `xorm:"nvarchar(10) 'DoWhenNOK' not null" json:"OPCComValueCheckRuleDetail-DoWhenNOK"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OPCComValueCheckRuleDetail-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OPCComValueCheckRuleDetail-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OPCComValueCheckRuleDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
func (self *OPCComValueCheckRuleDetail) GetKey() core.PK {
	return core.PK{self.Id, self.PlantNr, self.DetailId}
}
