// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SnrOccupy
 *-----------------------------------------------------------------------------
 *
 * @Description              : SnrOccupy的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
type SnrOccupy struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"SnrOccupy-PlantNr"`
	OccupyNr        int           `xorm:"pk int 'OccupyNr' autoincr" json:"SnrOccupy-OccupyNr"`
	SnrId           string        `xorm:"varchar(80) 'SnrId' not null" json:"SnrOccupy-SnrId"`
	ItemNr          int           `xorm:"int 'ItemNr' not null" json:"SnrOccupy-ItemNr"`
	BusinessObjType string        `xorm:"nvarchar(40) 'BusinessObjType' not null" json:"SnrOccupy-BusinessObjType"`
	BusinessObjId   string        `xorm:"nvarchar(40) 'BusinessObjId' not null" json:"SnrOccupy-BusinessObjId"`
	SnrData         string        `xorm:"nvarchar(255) 'SnrData' not null" json:"SnrOccupy-SnrData"`
	Status          int           `xorm:"int 'Status' not null" json:"SnrOccupy-Status"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"SnrOccupy-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"SnrOccupy-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"SnrOccupy-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
func (self *SnrOccupy) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OccupyNr}
}
