// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ProductWorkLineLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductWorkLineLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
type ProductWorkLineLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ME_ProductWorkLineLst-PlantNr"`
	ProductId     string        `xorm:"pk nvarchar(40) 'ProductId'" json:"ME_ProductWorkLineLst-ProductId"`
	ProjectId     string        `xorm:"pk nvarchar(40) 'ProjectId'" json:"ME_ProductWorkLineLst-ProjectId"`
	WorkLineId    string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"ME_ProductWorkLineLst-WorkLineId"`
	WorkLineDescr string        `xorm:"nvarchar(100) 'WorkLineDescr' not null" json:"ME_ProductWorkLineLst-WorkLineDescr"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ME_ProductWorkLineLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ME_ProductWorkLineLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ME_ProductWorkLineLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
func (self *ProductWorkLineLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProductId, self.WorkLineId}
}
