package om

type SerialOrderOPTrace struct {
	ArtId         string `json:"SerialOrderOPTrace-ArtId"`
	SerialOrderId string `json:"SerialOrderOPTrace-SerialOrderId"`
	PO            string `json:"SerialOrderOPTrace-PO"`
	WorkPlaceId   string `json:"SerialOrderOPTrace-WorkPlaceId"`
	StepDesc      string `json:"SerialOrderOPTrace-StepDesc"`
	RecvData      string `json:"SerialOrderOPTrace-RecvData"`
	Status        string `json:"SerialOrderOPTrace-Status"`
	Remark1       string `json:"SerialOrderOPTrace-Remark1"`
	ExecuteTime   string `json:"SerialOrderOPTrace-ExecuteTime"`
}

type RecvDataItem struct {
	SerialOrderId string `json:"RecvDataItem-SerialOrderId"`
	ArtId         string `json:"RecvDataItem-ArtId"`
	PO            string `json:"RecvDataItem-PO"`
	OperationDesc string `json:"RecvDataItem-OperationDesc"`
	RecvData      string `json:"RecvDataItem-RecvData"`
	Status        string `json:"RecvDataItem-Status"`
	Remark1       string `json:"RecvDataItem-Remark1"`
	ExecuteTime   string `json:"RecvDataItem-ExecuteTime"`
}

type POOperationData struct {
	PO         string         `json:"POOperationData-PO"`
	Status     string         `json:"POOperationData-Status"`
	RecvDataLi []RecvDataItem `json:"POOperationData-RecvDataLi"`
}

type TraceData struct {
	Status             bool              `json:"TraceData-Status"`
	TraceDataTraceData []POOperationData `json:"TraceData-POOperationDataLi"`
	IsFirstPiece       bool              `json:"TraceData-IsFirstPiece"`
	BarCode            string            `json:"TraceData-BarCode"`
	Desc               string            `json:"TraceData-Desc"`
}
